/** @jsxRuntime classic */
/** @jsx jsx */
import React from 'react';
export interface ActionType {
    actionType?: 'none' | 'single' | 'double' | 'triple';
}
export interface ModalProps extends ActionType {
    visible: boolean;
    title?: React.ReactNode;
    onCancel?: React.MouseEventHandler;
    onClickOverlay?: () => void;
    overlayColor?: string;
    children?: React.ReactNode;
    secondaryBtnLabel?: string;
    secondaryBtnFunction?: React.MouseEventHandler;
    primaryBtnLabel?: string;
    primaryBtnFunction?: React.MouseEventHandler;
    footer?: React.ReactNode;
    actionLink?: string;
    actionLinkLabel?: string;
    size?: 'medium' | 'small';
    width?: string;
    maxHeight?: string;
    top?: string;
    center?: boolean;
    draggable?: boolean;
    left?: string;
    isBackgroundActive?: boolean;
    isCloseIconVisible?: boolean;
}
export default function Modal({ visible, title, onCancel, onClickOverlay, overlayColor, children, actionType, secondaryBtnLabel, secondaryBtnFunction, primaryBtnFunction, primaryBtnLabel, footer, actionLink, actionLinkLabel, size, width, top, left, center, draggable, maxHeight, isBackgroundActive, isCloseIconVisible, }: ModalProps): import("@emotion/react/jsx-runtime").JSX.Element | null;
