import React from 'react';
export interface IMenuOption {
    id?: number;
    value: string | number;
    name: string | number;
}
export declare type menuOptionArray = Array<IMenuOption>;
export interface IIconSize {
    size?: 'large' | 'medium' | 'small';
}
export interface IDropdown {
    name?: string;
    label?: React.ReactNode;
    placeholder?: string;
    menu: menuOptionArray;
    selectedValue?: string | number;
    helpText?: React.ReactNode;
    validation?: 'none' | 'passed' | 'failed';
    width?: string;
    height?: string;
    size?: 'large' | 'medium' | 'small';
    disabled?: boolean;
    useDoneIcon?: boolean;
    onChange?: React.ChangeEventHandler;
}
export default function Dropdown({ name, label, placeholder, menu, selectedValue, helpText, validation, width, height, size, disabled, useDoneIcon, onChange, }: IDropdown): import("@emotion/react/jsx-runtime").JSX.Element;
