/** @jsxRuntime classic */
/** @jsx jsx */
import React from 'react';
export interface InputProps {
    label?: React.ReactNode;
    name?: string;
    placeholder?: string;
    value?: string;
    valueType?: 'text' | 'password';
    valueCount?: boolean;
    helpText?: React.ReactNode;
    size?: 'large' | 'medium' | 'small';
    width?: string;
    validation?: 'none' | 'passed' | 'failed';
    showIcon?: boolean;
    disabled?: boolean;
    readOnly?: boolean;
    maxLength?: number;
    onChange?: (e: React.ChangeEvent<HTMLInputElement>) => void;
    onBlur?: (e: React.FocusEvent<HTMLInputElement>) => void;
    onKeyUp?: (e: React.KeyboardEvent<HTMLInputElement>) => void;
}
export default function TextInput({ label, name, placeholder, value, valueType, valueCount, helpText, size, width, validation, showIcon, disabled, readOnly, maxLength, onChange, onBlur, onKeyUp, }: InputProps): import("@emotion/react/jsx-runtime").JSX.Element;
export interface StatusProps {
    validation?: 'none' | 'passed' | 'failed';
    size?: 'large' | 'medium' | 'small';
}
