import { jsxs, jsx } from '@emotion/react/jsx-runtime';
import * as React$1 from 'react';
import React__default, { useEffect, useState, useRef, useCallback } from 'react';
import { css } from '@emotion/react';
import require$$2 from 'react-dom';

/******************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __makeTemplateObject(cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
}

function useOverlayclick(ref, callback) {
    useEffect(function () {
        function handleClickOutside(e) {
            if (ref.current && !ref.current.contains(e.target))
                callback();
        }
        document.addEventListener('click', handleClickOutside, true);
        return function () {
            document.removeEventListener('click', handleClickOutside, true);
        };
    }, [ref, callback]);
}

function getAugmentedNamespace(n) {
  var f = n.default;
	if (typeof f == "function") {
		var a = function () {
			return f.apply(this, arguments);
		};
		a.prototype = f.prototype;
  } else a = {};
  Object.defineProperty(a, '__esModule', {value: true});
	Object.keys(n).forEach(function (k) {
		var d = Object.getOwnPropertyDescriptor(n, k);
		Object.defineProperty(a, k, d.get ? d : {
			enumerable: true,
			get: function () {
				return n[k];
			}
		});
	});
	return a;
}

var cjs = {exports: {}};

var Draggable$1 = {};

var propTypes = {exports: {}};

var reactIs = {exports: {}};

var reactIs_production_min = {};

/** @license React v16.13.1
 * react-is.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var hasRequiredReactIs_production_min;

function requireReactIs_production_min () {
	if (hasRequiredReactIs_production_min) return reactIs_production_min;
	hasRequiredReactIs_production_min = 1;
var b="function"===typeof Symbol&&Symbol.for,c=b?Symbol.for("react.element"):60103,d=b?Symbol.for("react.portal"):60106,e=b?Symbol.for("react.fragment"):60107,f=b?Symbol.for("react.strict_mode"):60108,g=b?Symbol.for("react.profiler"):60114,h=b?Symbol.for("react.provider"):60109,k=b?Symbol.for("react.context"):60110,l=b?Symbol.for("react.async_mode"):60111,m=b?Symbol.for("react.concurrent_mode"):60111,n=b?Symbol.for("react.forward_ref"):60112,p=b?Symbol.for("react.suspense"):60113,q=b?
	Symbol.for("react.suspense_list"):60120,r=b?Symbol.for("react.memo"):60115,t=b?Symbol.for("react.lazy"):60116,v=b?Symbol.for("react.block"):60121,w=b?Symbol.for("react.fundamental"):60117,x=b?Symbol.for("react.responder"):60118,y=b?Symbol.for("react.scope"):60119;
	function z(a){if("object"===typeof a&&null!==a){var u=a.$$typeof;switch(u){case c:switch(a=a.type,a){case l:case m:case e:case g:case f:case p:return a;default:switch(a=a&&a.$$typeof,a){case k:case n:case t:case r:case h:return a;default:return u}}case d:return u}}}function A(a){return z(a)===m}reactIs_production_min.AsyncMode=l;reactIs_production_min.ConcurrentMode=m;reactIs_production_min.ContextConsumer=k;reactIs_production_min.ContextProvider=h;reactIs_production_min.Element=c;reactIs_production_min.ForwardRef=n;reactIs_production_min.Fragment=e;reactIs_production_min.Lazy=t;reactIs_production_min.Memo=r;reactIs_production_min.Portal=d;
	reactIs_production_min.Profiler=g;reactIs_production_min.StrictMode=f;reactIs_production_min.Suspense=p;reactIs_production_min.isAsyncMode=function(a){return A(a)||z(a)===l};reactIs_production_min.isConcurrentMode=A;reactIs_production_min.isContextConsumer=function(a){return z(a)===k};reactIs_production_min.isContextProvider=function(a){return z(a)===h};reactIs_production_min.isElement=function(a){return "object"===typeof a&&null!==a&&a.$$typeof===c};reactIs_production_min.isForwardRef=function(a){return z(a)===n};reactIs_production_min.isFragment=function(a){return z(a)===e};reactIs_production_min.isLazy=function(a){return z(a)===t};
	reactIs_production_min.isMemo=function(a){return z(a)===r};reactIs_production_min.isPortal=function(a){return z(a)===d};reactIs_production_min.isProfiler=function(a){return z(a)===g};reactIs_production_min.isStrictMode=function(a){return z(a)===f};reactIs_production_min.isSuspense=function(a){return z(a)===p};
	reactIs_production_min.isValidElementType=function(a){return "string"===typeof a||"function"===typeof a||a===e||a===m||a===g||a===f||a===p||a===q||"object"===typeof a&&null!==a&&(a.$$typeof===t||a.$$typeof===r||a.$$typeof===h||a.$$typeof===k||a.$$typeof===n||a.$$typeof===w||a.$$typeof===x||a.$$typeof===y||a.$$typeof===v)};reactIs_production_min.typeOf=z;
	return reactIs_production_min;
}

var reactIs_development = {};

/** @license React v16.13.1
 * react-is.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var hasRequiredReactIs_development;

function requireReactIs_development () {
	if (hasRequiredReactIs_development) return reactIs_development;
	hasRequiredReactIs_development = 1;



	if (process.env.NODE_ENV !== "production") {
	  (function() {

	// The Symbol used to tag the ReactElement-like types. If there is no native Symbol
	// nor polyfill, then a plain number is used for performance.
	var hasSymbol = typeof Symbol === 'function' && Symbol.for;
	var REACT_ELEMENT_TYPE = hasSymbol ? Symbol.for('react.element') : 0xeac7;
	var REACT_PORTAL_TYPE = hasSymbol ? Symbol.for('react.portal') : 0xeaca;
	var REACT_FRAGMENT_TYPE = hasSymbol ? Symbol.for('react.fragment') : 0xeacb;
	var REACT_STRICT_MODE_TYPE = hasSymbol ? Symbol.for('react.strict_mode') : 0xeacc;
	var REACT_PROFILER_TYPE = hasSymbol ? Symbol.for('react.profiler') : 0xead2;
	var REACT_PROVIDER_TYPE = hasSymbol ? Symbol.for('react.provider') : 0xeacd;
	var REACT_CONTEXT_TYPE = hasSymbol ? Symbol.for('react.context') : 0xeace; // TODO: We don't use AsyncMode or ConcurrentMode anymore. They were temporary
	// (unstable) APIs that have been removed. Can we remove the symbols?

	var REACT_ASYNC_MODE_TYPE = hasSymbol ? Symbol.for('react.async_mode') : 0xeacf;
	var REACT_CONCURRENT_MODE_TYPE = hasSymbol ? Symbol.for('react.concurrent_mode') : 0xeacf;
	var REACT_FORWARD_REF_TYPE = hasSymbol ? Symbol.for('react.forward_ref') : 0xead0;
	var REACT_SUSPENSE_TYPE = hasSymbol ? Symbol.for('react.suspense') : 0xead1;
	var REACT_SUSPENSE_LIST_TYPE = hasSymbol ? Symbol.for('react.suspense_list') : 0xead8;
	var REACT_MEMO_TYPE = hasSymbol ? Symbol.for('react.memo') : 0xead3;
	var REACT_LAZY_TYPE = hasSymbol ? Symbol.for('react.lazy') : 0xead4;
	var REACT_BLOCK_TYPE = hasSymbol ? Symbol.for('react.block') : 0xead9;
	var REACT_FUNDAMENTAL_TYPE = hasSymbol ? Symbol.for('react.fundamental') : 0xead5;
	var REACT_RESPONDER_TYPE = hasSymbol ? Symbol.for('react.responder') : 0xead6;
	var REACT_SCOPE_TYPE = hasSymbol ? Symbol.for('react.scope') : 0xead7;

	function isValidElementType(type) {
	  return typeof type === 'string' || typeof type === 'function' || // Note: its typeof might be other than 'symbol' or 'number' if it's a polyfill.
	  type === REACT_FRAGMENT_TYPE || type === REACT_CONCURRENT_MODE_TYPE || type === REACT_PROFILER_TYPE || type === REACT_STRICT_MODE_TYPE || type === REACT_SUSPENSE_TYPE || type === REACT_SUSPENSE_LIST_TYPE || typeof type === 'object' && type !== null && (type.$$typeof === REACT_LAZY_TYPE || type.$$typeof === REACT_MEMO_TYPE || type.$$typeof === REACT_PROVIDER_TYPE || type.$$typeof === REACT_CONTEXT_TYPE || type.$$typeof === REACT_FORWARD_REF_TYPE || type.$$typeof === REACT_FUNDAMENTAL_TYPE || type.$$typeof === REACT_RESPONDER_TYPE || type.$$typeof === REACT_SCOPE_TYPE || type.$$typeof === REACT_BLOCK_TYPE);
	}

	function typeOf(object) {
	  if (typeof object === 'object' && object !== null) {
	    var $$typeof = object.$$typeof;

	    switch ($$typeof) {
	      case REACT_ELEMENT_TYPE:
	        var type = object.type;

	        switch (type) {
	          case REACT_ASYNC_MODE_TYPE:
	          case REACT_CONCURRENT_MODE_TYPE:
	          case REACT_FRAGMENT_TYPE:
	          case REACT_PROFILER_TYPE:
	          case REACT_STRICT_MODE_TYPE:
	          case REACT_SUSPENSE_TYPE:
	            return type;

	          default:
	            var $$typeofType = type && type.$$typeof;

	            switch ($$typeofType) {
	              case REACT_CONTEXT_TYPE:
	              case REACT_FORWARD_REF_TYPE:
	              case REACT_LAZY_TYPE:
	              case REACT_MEMO_TYPE:
	              case REACT_PROVIDER_TYPE:
	                return $$typeofType;

	              default:
	                return $$typeof;
	            }

	        }

	      case REACT_PORTAL_TYPE:
	        return $$typeof;
	    }
	  }

	  return undefined;
	} // AsyncMode is deprecated along with isAsyncMode

	var AsyncMode = REACT_ASYNC_MODE_TYPE;
	var ConcurrentMode = REACT_CONCURRENT_MODE_TYPE;
	var ContextConsumer = REACT_CONTEXT_TYPE;
	var ContextProvider = REACT_PROVIDER_TYPE;
	var Element = REACT_ELEMENT_TYPE;
	var ForwardRef = REACT_FORWARD_REF_TYPE;
	var Fragment = REACT_FRAGMENT_TYPE;
	var Lazy = REACT_LAZY_TYPE;
	var Memo = REACT_MEMO_TYPE;
	var Portal = REACT_PORTAL_TYPE;
	var Profiler = REACT_PROFILER_TYPE;
	var StrictMode = REACT_STRICT_MODE_TYPE;
	var Suspense = REACT_SUSPENSE_TYPE;
	var hasWarnedAboutDeprecatedIsAsyncMode = false; // AsyncMode should be deprecated

	function isAsyncMode(object) {
	  {
	    if (!hasWarnedAboutDeprecatedIsAsyncMode) {
	      hasWarnedAboutDeprecatedIsAsyncMode = true; // Using console['warn'] to evade Babel and ESLint

	      console['warn']('The ReactIs.isAsyncMode() alias has been deprecated, ' + 'and will be removed in React 17+. Update your code to use ' + 'ReactIs.isConcurrentMode() instead. It has the exact same API.');
	    }
	  }

	  return isConcurrentMode(object) || typeOf(object) === REACT_ASYNC_MODE_TYPE;
	}
	function isConcurrentMode(object) {
	  return typeOf(object) === REACT_CONCURRENT_MODE_TYPE;
	}
	function isContextConsumer(object) {
	  return typeOf(object) === REACT_CONTEXT_TYPE;
	}
	function isContextProvider(object) {
	  return typeOf(object) === REACT_PROVIDER_TYPE;
	}
	function isElement(object) {
	  return typeof object === 'object' && object !== null && object.$$typeof === REACT_ELEMENT_TYPE;
	}
	function isForwardRef(object) {
	  return typeOf(object) === REACT_FORWARD_REF_TYPE;
	}
	function isFragment(object) {
	  return typeOf(object) === REACT_FRAGMENT_TYPE;
	}
	function isLazy(object) {
	  return typeOf(object) === REACT_LAZY_TYPE;
	}
	function isMemo(object) {
	  return typeOf(object) === REACT_MEMO_TYPE;
	}
	function isPortal(object) {
	  return typeOf(object) === REACT_PORTAL_TYPE;
	}
	function isProfiler(object) {
	  return typeOf(object) === REACT_PROFILER_TYPE;
	}
	function isStrictMode(object) {
	  return typeOf(object) === REACT_STRICT_MODE_TYPE;
	}
	function isSuspense(object) {
	  return typeOf(object) === REACT_SUSPENSE_TYPE;
	}

	reactIs_development.AsyncMode = AsyncMode;
	reactIs_development.ConcurrentMode = ConcurrentMode;
	reactIs_development.ContextConsumer = ContextConsumer;
	reactIs_development.ContextProvider = ContextProvider;
	reactIs_development.Element = Element;
	reactIs_development.ForwardRef = ForwardRef;
	reactIs_development.Fragment = Fragment;
	reactIs_development.Lazy = Lazy;
	reactIs_development.Memo = Memo;
	reactIs_development.Portal = Portal;
	reactIs_development.Profiler = Profiler;
	reactIs_development.StrictMode = StrictMode;
	reactIs_development.Suspense = Suspense;
	reactIs_development.isAsyncMode = isAsyncMode;
	reactIs_development.isConcurrentMode = isConcurrentMode;
	reactIs_development.isContextConsumer = isContextConsumer;
	reactIs_development.isContextProvider = isContextProvider;
	reactIs_development.isElement = isElement;
	reactIs_development.isForwardRef = isForwardRef;
	reactIs_development.isFragment = isFragment;
	reactIs_development.isLazy = isLazy;
	reactIs_development.isMemo = isMemo;
	reactIs_development.isPortal = isPortal;
	reactIs_development.isProfiler = isProfiler;
	reactIs_development.isStrictMode = isStrictMode;
	reactIs_development.isSuspense = isSuspense;
	reactIs_development.isValidElementType = isValidElementType;
	reactIs_development.typeOf = typeOf;
	  })();
	}
	return reactIs_development;
}

var hasRequiredReactIs;

function requireReactIs () {
	if (hasRequiredReactIs) return reactIs.exports;
	hasRequiredReactIs = 1;
	(function (module) {

		if (process.env.NODE_ENV === 'production') {
		  module.exports = requireReactIs_production_min();
		} else {
		  module.exports = requireReactIs_development();
		}
} (reactIs));
	return reactIs.exports;
}

/*
object-assign
(c) Sindre Sorhus
@license MIT
*/

var objectAssign;
var hasRequiredObjectAssign;

function requireObjectAssign () {
	if (hasRequiredObjectAssign) return objectAssign;
	hasRequiredObjectAssign = 1;
	/* eslint-disable no-unused-vars */
	var getOwnPropertySymbols = Object.getOwnPropertySymbols;
	var hasOwnProperty = Object.prototype.hasOwnProperty;
	var propIsEnumerable = Object.prototype.propertyIsEnumerable;

	function toObject(val) {
		if (val === null || val === undefined) {
			throw new TypeError('Object.assign cannot be called with null or undefined');
		}

		return Object(val);
	}

	function shouldUseNative() {
		try {
			if (!Object.assign) {
				return false;
			}

			// Detect buggy property enumeration order in older V8 versions.

			// https://bugs.chromium.org/p/v8/issues/detail?id=4118
			var test1 = new String('abc');  // eslint-disable-line no-new-wrappers
			test1[5] = 'de';
			if (Object.getOwnPropertyNames(test1)[0] === '5') {
				return false;
			}

			// https://bugs.chromium.org/p/v8/issues/detail?id=3056
			var test2 = {};
			for (var i = 0; i < 10; i++) {
				test2['_' + String.fromCharCode(i)] = i;
			}
			var order2 = Object.getOwnPropertyNames(test2).map(function (n) {
				return test2[n];
			});
			if (order2.join('') !== '0123456789') {
				return false;
			}

			// https://bugs.chromium.org/p/v8/issues/detail?id=3056
			var test3 = {};
			'abcdefghijklmnopqrst'.split('').forEach(function (letter) {
				test3[letter] = letter;
			});
			if (Object.keys(Object.assign({}, test3)).join('') !==
					'abcdefghijklmnopqrst') {
				return false;
			}

			return true;
		} catch (err) {
			// We don't expect any of the above to throw, but better to be safe.
			return false;
		}
	}

	objectAssign = shouldUseNative() ? Object.assign : function (target, source) {
		var from;
		var to = toObject(target);
		var symbols;

		for (var s = 1; s < arguments.length; s++) {
			from = Object(arguments[s]);

			for (var key in from) {
				if (hasOwnProperty.call(from, key)) {
					to[key] = from[key];
				}
			}

			if (getOwnPropertySymbols) {
				symbols = getOwnPropertySymbols(from);
				for (var i = 0; i < symbols.length; i++) {
					if (propIsEnumerable.call(from, symbols[i])) {
						to[symbols[i]] = from[symbols[i]];
					}
				}
			}
		}

		return to;
	};
	return objectAssign;
}

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var ReactPropTypesSecret_1;
var hasRequiredReactPropTypesSecret;

function requireReactPropTypesSecret () {
	if (hasRequiredReactPropTypesSecret) return ReactPropTypesSecret_1;
	hasRequiredReactPropTypesSecret = 1;

	var ReactPropTypesSecret = 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED';

	ReactPropTypesSecret_1 = ReactPropTypesSecret;
	return ReactPropTypesSecret_1;
}

var has;
var hasRequiredHas;

function requireHas () {
	if (hasRequiredHas) return has;
	hasRequiredHas = 1;
	has = Function.call.bind(Object.prototype.hasOwnProperty);
	return has;
}

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var checkPropTypes_1;
var hasRequiredCheckPropTypes;

function requireCheckPropTypes () {
	if (hasRequiredCheckPropTypes) return checkPropTypes_1;
	hasRequiredCheckPropTypes = 1;

	var printWarning = function() {};

	if (process.env.NODE_ENV !== 'production') {
	  var ReactPropTypesSecret = requireReactPropTypesSecret();
	  var loggedTypeFailures = {};
	  var has = requireHas();

	  printWarning = function(text) {
	    var message = 'Warning: ' + text;
	    if (typeof console !== 'undefined') {
	      console.error(message);
	    }
	    try {
	      // --- Welcome to debugging React ---
	      // This error was thrown as a convenience so that you can use this stack
	      // to find the callsite that caused this warning to fire.
	      throw new Error(message);
	    } catch (x) { /**/ }
	  };
	}

	/**
	 * Assert that the values match with the type specs.
	 * Error messages are memorized and will only be shown once.
	 *
	 * @param {object} typeSpecs Map of name to a ReactPropType
	 * @param {object} values Runtime values that need to be type-checked
	 * @param {string} location e.g. "prop", "context", "child context"
	 * @param {string} componentName Name of the component for error messages.
	 * @param {?Function} getStack Returns the component stack.
	 * @private
	 */
	function checkPropTypes(typeSpecs, values, location, componentName, getStack) {
	  if (process.env.NODE_ENV !== 'production') {
	    for (var typeSpecName in typeSpecs) {
	      if (has(typeSpecs, typeSpecName)) {
	        var error;
	        // Prop type validation may throw. In case they do, we don't want to
	        // fail the render phase where it didn't fail before. So we log it.
	        // After these have been cleaned up, we'll let them throw.
	        try {
	          // This is intentionally an invariant that gets caught. It's the same
	          // behavior as without this statement except with a better message.
	          if (typeof typeSpecs[typeSpecName] !== 'function') {
	            var err = Error(
	              (componentName || 'React class') + ': ' + location + ' type `' + typeSpecName + '` is invalid; ' +
	              'it must be a function, usually from the `prop-types` package, but received `' + typeof typeSpecs[typeSpecName] + '`.' +
	              'This often happens because of typos such as `PropTypes.function` instead of `PropTypes.func`.'
	            );
	            err.name = 'Invariant Violation';
	            throw err;
	          }
	          error = typeSpecs[typeSpecName](values, typeSpecName, componentName, location, null, ReactPropTypesSecret);
	        } catch (ex) {
	          error = ex;
	        }
	        if (error && !(error instanceof Error)) {
	          printWarning(
	            (componentName || 'React class') + ': type specification of ' +
	            location + ' `' + typeSpecName + '` is invalid; the type checker ' +
	            'function must return `null` or an `Error` but returned a ' + typeof error + '. ' +
	            'You may have forgotten to pass an argument to the type checker ' +
	            'creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and ' +
	            'shape all require an argument).'
	          );
	        }
	        if (error instanceof Error && !(error.message in loggedTypeFailures)) {
	          // Only monitor this failure once because there tends to be a lot of the
	          // same error.
	          loggedTypeFailures[error.message] = true;

	          var stack = getStack ? getStack() : '';

	          printWarning(
	            'Failed ' + location + ' type: ' + error.message + (stack != null ? stack : '')
	          );
	        }
	      }
	    }
	  }
	}

	/**
	 * Resets warning cache when testing.
	 *
	 * @private
	 */
	checkPropTypes.resetWarningCache = function() {
	  if (process.env.NODE_ENV !== 'production') {
	    loggedTypeFailures = {};
	  }
	};

	checkPropTypes_1 = checkPropTypes;
	return checkPropTypes_1;
}

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var factoryWithTypeCheckers;
var hasRequiredFactoryWithTypeCheckers;

function requireFactoryWithTypeCheckers () {
	if (hasRequiredFactoryWithTypeCheckers) return factoryWithTypeCheckers;
	hasRequiredFactoryWithTypeCheckers = 1;

	var ReactIs = requireReactIs();
	var assign = requireObjectAssign();

	var ReactPropTypesSecret = requireReactPropTypesSecret();
	var has = requireHas();
	var checkPropTypes = requireCheckPropTypes();

	var printWarning = function() {};

	if (process.env.NODE_ENV !== 'production') {
	  printWarning = function(text) {
	    var message = 'Warning: ' + text;
	    if (typeof console !== 'undefined') {
	      console.error(message);
	    }
	    try {
	      // --- Welcome to debugging React ---
	      // This error was thrown as a convenience so that you can use this stack
	      // to find the callsite that caused this warning to fire.
	      throw new Error(message);
	    } catch (x) {}
	  };
	}

	function emptyFunctionThatReturnsNull() {
	  return null;
	}

	factoryWithTypeCheckers = function(isValidElement, throwOnDirectAccess) {
	  /* global Symbol */
	  var ITERATOR_SYMBOL = typeof Symbol === 'function' && Symbol.iterator;
	  var FAUX_ITERATOR_SYMBOL = '@@iterator'; // Before Symbol spec.

	  /**
	   * Returns the iterator method function contained on the iterable object.
	   *
	   * Be sure to invoke the function with the iterable as context:
	   *
	   *     var iteratorFn = getIteratorFn(myIterable);
	   *     if (iteratorFn) {
	   *       var iterator = iteratorFn.call(myIterable);
	   *       ...
	   *     }
	   *
	   * @param {?object} maybeIterable
	   * @return {?function}
	   */
	  function getIteratorFn(maybeIterable) {
	    var iteratorFn = maybeIterable && (ITERATOR_SYMBOL && maybeIterable[ITERATOR_SYMBOL] || maybeIterable[FAUX_ITERATOR_SYMBOL]);
	    if (typeof iteratorFn === 'function') {
	      return iteratorFn;
	    }
	  }

	  /**
	   * Collection of methods that allow declaration and validation of props that are
	   * supplied to React components. Example usage:
	   *
	   *   var Props = require('ReactPropTypes');
	   *   var MyArticle = React.createClass({
	   *     propTypes: {
	   *       // An optional string prop named "description".
	   *       description: Props.string,
	   *
	   *       // A required enum prop named "category".
	   *       category: Props.oneOf(['News','Photos']).isRequired,
	   *
	   *       // A prop named "dialog" that requires an instance of Dialog.
	   *       dialog: Props.instanceOf(Dialog).isRequired
	   *     },
	   *     render: function() { ... }
	   *   });
	   *
	   * A more formal specification of how these methods are used:
	   *
	   *   type := array|bool|func|object|number|string|oneOf([...])|instanceOf(...)
	   *   decl := ReactPropTypes.{type}(.isRequired)?
	   *
	   * Each and every declaration produces a function with the same signature. This
	   * allows the creation of custom validation functions. For example:
	   *
	   *  var MyLink = React.createClass({
	   *    propTypes: {
	   *      // An optional string or URI prop named "href".
	   *      href: function(props, propName, componentName) {
	   *        var propValue = props[propName];
	   *        if (propValue != null && typeof propValue !== 'string' &&
	   *            !(propValue instanceof URI)) {
	   *          return new Error(
	   *            'Expected a string or an URI for ' + propName + ' in ' +
	   *            componentName
	   *          );
	   *        }
	   *      }
	   *    },
	   *    render: function() {...}
	   *  });
	   *
	   * @internal
	   */

	  var ANONYMOUS = '<<anonymous>>';

	  // Important!
	  // Keep this list in sync with production version in `./factoryWithThrowingShims.js`.
	  var ReactPropTypes = {
	    array: createPrimitiveTypeChecker('array'),
	    bigint: createPrimitiveTypeChecker('bigint'),
	    bool: createPrimitiveTypeChecker('boolean'),
	    func: createPrimitiveTypeChecker('function'),
	    number: createPrimitiveTypeChecker('number'),
	    object: createPrimitiveTypeChecker('object'),
	    string: createPrimitiveTypeChecker('string'),
	    symbol: createPrimitiveTypeChecker('symbol'),

	    any: createAnyTypeChecker(),
	    arrayOf: createArrayOfTypeChecker,
	    element: createElementTypeChecker(),
	    elementType: createElementTypeTypeChecker(),
	    instanceOf: createInstanceTypeChecker,
	    node: createNodeChecker(),
	    objectOf: createObjectOfTypeChecker,
	    oneOf: createEnumTypeChecker,
	    oneOfType: createUnionTypeChecker,
	    shape: createShapeTypeChecker,
	    exact: createStrictShapeTypeChecker,
	  };

	  /**
	   * inlined Object.is polyfill to avoid requiring consumers ship their own
	   * https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/is
	   */
	  /*eslint-disable no-self-compare*/
	  function is(x, y) {
	    // SameValue algorithm
	    if (x === y) {
	      // Steps 1-5, 7-10
	      // Steps 6.b-6.e: +0 != -0
	      return x !== 0 || 1 / x === 1 / y;
	    } else {
	      // Step 6.a: NaN == NaN
	      return x !== x && y !== y;
	    }
	  }
	  /*eslint-enable no-self-compare*/

	  /**
	   * We use an Error-like object for backward compatibility as people may call
	   * PropTypes directly and inspect their output. However, we don't use real
	   * Errors anymore. We don't inspect their stack anyway, and creating them
	   * is prohibitively expensive if they are created too often, such as what
	   * happens in oneOfType() for any type before the one that matched.
	   */
	  function PropTypeError(message, data) {
	    this.message = message;
	    this.data = data && typeof data === 'object' ? data: {};
	    this.stack = '';
	  }
	  // Make `instanceof Error` still work for returned errors.
	  PropTypeError.prototype = Error.prototype;

	  function createChainableTypeChecker(validate) {
	    if (process.env.NODE_ENV !== 'production') {
	      var manualPropTypeCallCache = {};
	      var manualPropTypeWarningCount = 0;
	    }
	    function checkType(isRequired, props, propName, componentName, location, propFullName, secret) {
	      componentName = componentName || ANONYMOUS;
	      propFullName = propFullName || propName;

	      if (secret !== ReactPropTypesSecret) {
	        if (throwOnDirectAccess) {
	          // New behavior only for users of `prop-types` package
	          var err = new Error(
	            'Calling PropTypes validators directly is not supported by the `prop-types` package. ' +
	            'Use `PropTypes.checkPropTypes()` to call them. ' +
	            'Read more at http://fb.me/use-check-prop-types'
	          );
	          err.name = 'Invariant Violation';
	          throw err;
	        } else if (process.env.NODE_ENV !== 'production' && typeof console !== 'undefined') {
	          // Old behavior for people using React.PropTypes
	          var cacheKey = componentName + ':' + propName;
	          if (
	            !manualPropTypeCallCache[cacheKey] &&
	            // Avoid spamming the console because they are often not actionable except for lib authors
	            manualPropTypeWarningCount < 3
	          ) {
	            printWarning(
	              'You are manually calling a React.PropTypes validation ' +
	              'function for the `' + propFullName + '` prop on `' + componentName + '`. This is deprecated ' +
	              'and will throw in the standalone `prop-types` package. ' +
	              'You may be seeing this warning due to a third-party PropTypes ' +
	              'library. See https://fb.me/react-warning-dont-call-proptypes ' + 'for details.'
	            );
	            manualPropTypeCallCache[cacheKey] = true;
	            manualPropTypeWarningCount++;
	          }
	        }
	      }
	      if (props[propName] == null) {
	        if (isRequired) {
	          if (props[propName] === null) {
	            return new PropTypeError('The ' + location + ' `' + propFullName + '` is marked as required ' + ('in `' + componentName + '`, but its value is `null`.'));
	          }
	          return new PropTypeError('The ' + location + ' `' + propFullName + '` is marked as required in ' + ('`' + componentName + '`, but its value is `undefined`.'));
	        }
	        return null;
	      } else {
	        return validate(props, propName, componentName, location, propFullName);
	      }
	    }

	    var chainedCheckType = checkType.bind(null, false);
	    chainedCheckType.isRequired = checkType.bind(null, true);

	    return chainedCheckType;
	  }

	  function createPrimitiveTypeChecker(expectedType) {
	    function validate(props, propName, componentName, location, propFullName, secret) {
	      var propValue = props[propName];
	      var propType = getPropType(propValue);
	      if (propType !== expectedType) {
	        // `propValue` being instance of, say, date/regexp, pass the 'object'
	        // check, but we can offer a more precise error message here rather than
	        // 'of type `object`'.
	        var preciseType = getPreciseType(propValue);

	        return new PropTypeError(
	          'Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + preciseType + '` supplied to `' + componentName + '`, expected ') + ('`' + expectedType + '`.'),
	          {expectedType: expectedType}
	        );
	      }
	      return null;
	    }
	    return createChainableTypeChecker(validate);
	  }

	  function createAnyTypeChecker() {
	    return createChainableTypeChecker(emptyFunctionThatReturnsNull);
	  }

	  function createArrayOfTypeChecker(typeChecker) {
	    function validate(props, propName, componentName, location, propFullName) {
	      if (typeof typeChecker !== 'function') {
	        return new PropTypeError('Property `' + propFullName + '` of component `' + componentName + '` has invalid PropType notation inside arrayOf.');
	      }
	      var propValue = props[propName];
	      if (!Array.isArray(propValue)) {
	        var propType = getPropType(propValue);
	        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an array.'));
	      }
	      for (var i = 0; i < propValue.length; i++) {
	        var error = typeChecker(propValue, i, componentName, location, propFullName + '[' + i + ']', ReactPropTypesSecret);
	        if (error instanceof Error) {
	          return error;
	        }
	      }
	      return null;
	    }
	    return createChainableTypeChecker(validate);
	  }

	  function createElementTypeChecker() {
	    function validate(props, propName, componentName, location, propFullName) {
	      var propValue = props[propName];
	      if (!isValidElement(propValue)) {
	        var propType = getPropType(propValue);
	        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected a single ReactElement.'));
	      }
	      return null;
	    }
	    return createChainableTypeChecker(validate);
	  }

	  function createElementTypeTypeChecker() {
	    function validate(props, propName, componentName, location, propFullName) {
	      var propValue = props[propName];
	      if (!ReactIs.isValidElementType(propValue)) {
	        var propType = getPropType(propValue);
	        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected a single ReactElement type.'));
	      }
	      return null;
	    }
	    return createChainableTypeChecker(validate);
	  }

	  function createInstanceTypeChecker(expectedClass) {
	    function validate(props, propName, componentName, location, propFullName) {
	      if (!(props[propName] instanceof expectedClass)) {
	        var expectedClassName = expectedClass.name || ANONYMOUS;
	        var actualClassName = getClassName(props[propName]);
	        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + actualClassName + '` supplied to `' + componentName + '`, expected ') + ('instance of `' + expectedClassName + '`.'));
	      }
	      return null;
	    }
	    return createChainableTypeChecker(validate);
	  }

	  function createEnumTypeChecker(expectedValues) {
	    if (!Array.isArray(expectedValues)) {
	      if (process.env.NODE_ENV !== 'production') {
	        if (arguments.length > 1) {
	          printWarning(
	            'Invalid arguments supplied to oneOf, expected an array, got ' + arguments.length + ' arguments. ' +
	            'A common mistake is to write oneOf(x, y, z) instead of oneOf([x, y, z]).'
	          );
	        } else {
	          printWarning('Invalid argument supplied to oneOf, expected an array.');
	        }
	      }
	      return emptyFunctionThatReturnsNull;
	    }

	    function validate(props, propName, componentName, location, propFullName) {
	      var propValue = props[propName];
	      for (var i = 0; i < expectedValues.length; i++) {
	        if (is(propValue, expectedValues[i])) {
	          return null;
	        }
	      }

	      var valuesString = JSON.stringify(expectedValues, function replacer(key, value) {
	        var type = getPreciseType(value);
	        if (type === 'symbol') {
	          return String(value);
	        }
	        return value;
	      });
	      return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of value `' + String(propValue) + '` ' + ('supplied to `' + componentName + '`, expected one of ' + valuesString + '.'));
	    }
	    return createChainableTypeChecker(validate);
	  }

	  function createObjectOfTypeChecker(typeChecker) {
	    function validate(props, propName, componentName, location, propFullName) {
	      if (typeof typeChecker !== 'function') {
	        return new PropTypeError('Property `' + propFullName + '` of component `' + componentName + '` has invalid PropType notation inside objectOf.');
	      }
	      var propValue = props[propName];
	      var propType = getPropType(propValue);
	      if (propType !== 'object') {
	        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an object.'));
	      }
	      for (var key in propValue) {
	        if (has(propValue, key)) {
	          var error = typeChecker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret);
	          if (error instanceof Error) {
	            return error;
	          }
	        }
	      }
	      return null;
	    }
	    return createChainableTypeChecker(validate);
	  }

	  function createUnionTypeChecker(arrayOfTypeCheckers) {
	    if (!Array.isArray(arrayOfTypeCheckers)) {
	      process.env.NODE_ENV !== 'production' ? printWarning('Invalid argument supplied to oneOfType, expected an instance of array.') : void 0;
	      return emptyFunctionThatReturnsNull;
	    }

	    for (var i = 0; i < arrayOfTypeCheckers.length; i++) {
	      var checker = arrayOfTypeCheckers[i];
	      if (typeof checker !== 'function') {
	        printWarning(
	          'Invalid argument supplied to oneOfType. Expected an array of check functions, but ' +
	          'received ' + getPostfixForTypeWarning(checker) + ' at index ' + i + '.'
	        );
	        return emptyFunctionThatReturnsNull;
	      }
	    }

	    function validate(props, propName, componentName, location, propFullName) {
	      var expectedTypes = [];
	      for (var i = 0; i < arrayOfTypeCheckers.length; i++) {
	        var checker = arrayOfTypeCheckers[i];
	        var checkerResult = checker(props, propName, componentName, location, propFullName, ReactPropTypesSecret);
	        if (checkerResult == null) {
	          return null;
	        }
	        if (checkerResult.data && has(checkerResult.data, 'expectedType')) {
	          expectedTypes.push(checkerResult.data.expectedType);
	        }
	      }
	      var expectedTypesMessage = (expectedTypes.length > 0) ? ', expected one of type [' + expectedTypes.join(', ') + ']': '';
	      return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`' + expectedTypesMessage + '.'));
	    }
	    return createChainableTypeChecker(validate);
	  }

	  function createNodeChecker() {
	    function validate(props, propName, componentName, location, propFullName) {
	      if (!isNode(props[propName])) {
	        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`, expected a ReactNode.'));
	      }
	      return null;
	    }
	    return createChainableTypeChecker(validate);
	  }

	  function invalidValidatorError(componentName, location, propFullName, key, type) {
	    return new PropTypeError(
	      (componentName || 'React class') + ': ' + location + ' type `' + propFullName + '.' + key + '` is invalid; ' +
	      'it must be a function, usually from the `prop-types` package, but received `' + type + '`.'
	    );
	  }

	  function createShapeTypeChecker(shapeTypes) {
	    function validate(props, propName, componentName, location, propFullName) {
	      var propValue = props[propName];
	      var propType = getPropType(propValue);
	      if (propType !== 'object') {
	        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));
	      }
	      for (var key in shapeTypes) {
	        var checker = shapeTypes[key];
	        if (typeof checker !== 'function') {
	          return invalidValidatorError(componentName, location, propFullName, key, getPreciseType(checker));
	        }
	        var error = checker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret);
	        if (error) {
	          return error;
	        }
	      }
	      return null;
	    }
	    return createChainableTypeChecker(validate);
	  }

	  function createStrictShapeTypeChecker(shapeTypes) {
	    function validate(props, propName, componentName, location, propFullName) {
	      var propValue = props[propName];
	      var propType = getPropType(propValue);
	      if (propType !== 'object') {
	        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));
	      }
	      // We need to check all keys in case some are required but missing from props.
	      var allKeys = assign({}, props[propName], shapeTypes);
	      for (var key in allKeys) {
	        var checker = shapeTypes[key];
	        if (has(shapeTypes, key) && typeof checker !== 'function') {
	          return invalidValidatorError(componentName, location, propFullName, key, getPreciseType(checker));
	        }
	        if (!checker) {
	          return new PropTypeError(
	            'Invalid ' + location + ' `' + propFullName + '` key `' + key + '` supplied to `' + componentName + '`.' +
	            '\nBad object: ' + JSON.stringify(props[propName], null, '  ') +
	            '\nValid keys: ' + JSON.stringify(Object.keys(shapeTypes), null, '  ')
	          );
	        }
	        var error = checker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret);
	        if (error) {
	          return error;
	        }
	      }
	      return null;
	    }

	    return createChainableTypeChecker(validate);
	  }

	  function isNode(propValue) {
	    switch (typeof propValue) {
	      case 'number':
	      case 'string':
	      case 'undefined':
	        return true;
	      case 'boolean':
	        return !propValue;
	      case 'object':
	        if (Array.isArray(propValue)) {
	          return propValue.every(isNode);
	        }
	        if (propValue === null || isValidElement(propValue)) {
	          return true;
	        }

	        var iteratorFn = getIteratorFn(propValue);
	        if (iteratorFn) {
	          var iterator = iteratorFn.call(propValue);
	          var step;
	          if (iteratorFn !== propValue.entries) {
	            while (!(step = iterator.next()).done) {
	              if (!isNode(step.value)) {
	                return false;
	              }
	            }
	          } else {
	            // Iterator will provide entry [k,v] tuples rather than values.
	            while (!(step = iterator.next()).done) {
	              var entry = step.value;
	              if (entry) {
	                if (!isNode(entry[1])) {
	                  return false;
	                }
	              }
	            }
	          }
	        } else {
	          return false;
	        }

	        return true;
	      default:
	        return false;
	    }
	  }

	  function isSymbol(propType, propValue) {
	    // Native Symbol.
	    if (propType === 'symbol') {
	      return true;
	    }

	    // falsy value can't be a Symbol
	    if (!propValue) {
	      return false;
	    }

	    // 19.4.3.5 Symbol.prototype[@@toStringTag] === 'Symbol'
	    if (propValue['@@toStringTag'] === 'Symbol') {
	      return true;
	    }

	    // Fallback for non-spec compliant Symbols which are polyfilled.
	    if (typeof Symbol === 'function' && propValue instanceof Symbol) {
	      return true;
	    }

	    return false;
	  }

	  // Equivalent of `typeof` but with special handling for array and regexp.
	  function getPropType(propValue) {
	    var propType = typeof propValue;
	    if (Array.isArray(propValue)) {
	      return 'array';
	    }
	    if (propValue instanceof RegExp) {
	      // Old webkits (at least until Android 4.0) return 'function' rather than
	      // 'object' for typeof a RegExp. We'll normalize this here so that /bla/
	      // passes PropTypes.object.
	      return 'object';
	    }
	    if (isSymbol(propType, propValue)) {
	      return 'symbol';
	    }
	    return propType;
	  }

	  // This handles more types than `getPropType`. Only used for error messages.
	  // See `createPrimitiveTypeChecker`.
	  function getPreciseType(propValue) {
	    if (typeof propValue === 'undefined' || propValue === null) {
	      return '' + propValue;
	    }
	    var propType = getPropType(propValue);
	    if (propType === 'object') {
	      if (propValue instanceof Date) {
	        return 'date';
	      } else if (propValue instanceof RegExp) {
	        return 'regexp';
	      }
	    }
	    return propType;
	  }

	  // Returns a string that is postfixed to a warning about an invalid type.
	  // For example, "undefined" or "of type array"
	  function getPostfixForTypeWarning(value) {
	    var type = getPreciseType(value);
	    switch (type) {
	      case 'array':
	      case 'object':
	        return 'an ' + type;
	      case 'boolean':
	      case 'date':
	      case 'regexp':
	        return 'a ' + type;
	      default:
	        return type;
	    }
	  }

	  // Returns class name of the object, if any.
	  function getClassName(propValue) {
	    if (!propValue.constructor || !propValue.constructor.name) {
	      return ANONYMOUS;
	    }
	    return propValue.constructor.name;
	  }

	  ReactPropTypes.checkPropTypes = checkPropTypes;
	  ReactPropTypes.resetWarningCache = checkPropTypes.resetWarningCache;
	  ReactPropTypes.PropTypes = ReactPropTypes;

	  return ReactPropTypes;
	};
	return factoryWithTypeCheckers;
}

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var factoryWithThrowingShims;
var hasRequiredFactoryWithThrowingShims;

function requireFactoryWithThrowingShims () {
	if (hasRequiredFactoryWithThrowingShims) return factoryWithThrowingShims;
	hasRequiredFactoryWithThrowingShims = 1;

	var ReactPropTypesSecret = requireReactPropTypesSecret();

	function emptyFunction() {}
	function emptyFunctionWithReset() {}
	emptyFunctionWithReset.resetWarningCache = emptyFunction;

	factoryWithThrowingShims = function() {
	  function shim(props, propName, componentName, location, propFullName, secret) {
	    if (secret === ReactPropTypesSecret) {
	      // It is still safe when called from React.
	      return;
	    }
	    var err = new Error(
	      'Calling PropTypes validators directly is not supported by the `prop-types` package. ' +
	      'Use PropTypes.checkPropTypes() to call them. ' +
	      'Read more at http://fb.me/use-check-prop-types'
	    );
	    err.name = 'Invariant Violation';
	    throw err;
	  }	  shim.isRequired = shim;
	  function getShim() {
	    return shim;
	  }	  // Important!
	  // Keep this list in sync with production version in `./factoryWithTypeCheckers.js`.
	  var ReactPropTypes = {
	    array: shim,
	    bigint: shim,
	    bool: shim,
	    func: shim,
	    number: shim,
	    object: shim,
	    string: shim,
	    symbol: shim,

	    any: shim,
	    arrayOf: getShim,
	    element: shim,
	    elementType: shim,
	    instanceOf: getShim,
	    node: shim,
	    objectOf: getShim,
	    oneOf: getShim,
	    oneOfType: getShim,
	    shape: getShim,
	    exact: getShim,

	    checkPropTypes: emptyFunctionWithReset,
	    resetWarningCache: emptyFunction
	  };

	  ReactPropTypes.PropTypes = ReactPropTypes;

	  return ReactPropTypes;
	};
	return factoryWithThrowingShims;
}

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

if (process.env.NODE_ENV !== 'production') {
  var ReactIs = requireReactIs();

  // By explicitly using `prop-types` you are opting into new development behavior.
  // http://fb.me/prop-types-in-prod
  var throwOnDirectAccess = true;
  propTypes.exports = requireFactoryWithTypeCheckers()(ReactIs.isElement, throwOnDirectAccess);
} else {
  // By explicitly using `prop-types` you are opting into new production behavior.
  // http://fb.me/prop-types-in-prod
  propTypes.exports = requireFactoryWithThrowingShims()();
}

function toVal(mix) {
	var k, y, str='';

	if (typeof mix === 'string' || typeof mix === 'number') {
		str += mix;
	} else if (typeof mix === 'object') {
		if (Array.isArray(mix)) {
			for (k=0; k < mix.length; k++) {
				if (mix[k]) {
					if (y = toVal(mix[k])) {
						str && (str += ' ');
						str += y;
					}
				}
			}
		} else {
			for (k in mix) {
				if (mix[k]) {
					str && (str += ' ');
					str += k;
				}
			}
		}
	}

	return str;
}

function clsx_m () {
	var i=0, tmp, x, str='';
	while (i < arguments.length) {
		if (tmp = arguments[i++]) {
			if (x = toVal(tmp)) {
				str && (str += ' ');
				str += x;
			}
		}
	}
	return str;
}

var clsx_m$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': clsx_m
});

var require$$3 = /*@__PURE__*/getAugmentedNamespace(clsx_m$1);

var domFns = {};

var shims = {};

Object.defineProperty(shims, "__esModule", {
  value: true
});
shims.dontSetMe = dontSetMe;
shims.findInArray = findInArray;
shims.int = int;
shims.isFunction = isFunction;
shims.isNum = isNum;

// @credits https://gist.github.com/rogozhnikoff/a43cfed27c41e4e68cdc
function findInArray(array
/*: Array<any> | TouchList*/
, callback
/*: Function*/
)
/*: any*/
{
  for (var i = 0, length = array.length; i < length; i++) {
    if (callback.apply(callback, [array[i], i, array])) return array[i];
  }
}

function isFunction(func
/*: any*/
)
/*: boolean %checks*/
{
  // $FlowIgnore[method-unbinding]
  return typeof func === 'function' || Object.prototype.toString.call(func) === '[object Function]';
}

function isNum(num
/*: any*/
)
/*: boolean %checks*/
{
  return typeof num === 'number' && !isNaN(num);
}

function int(a
/*: string*/
)
/*: number*/
{
  return parseInt(a, 10);
}

function dontSetMe(props
/*: Object*/
, propName
/*: string*/
, componentName
/*: string*/
)
/*: ?Error*/
{
  if (props[propName]) {
    return new Error("Invalid prop ".concat(propName, " passed to ").concat(componentName, " - do not set this, set it on the child."));
  }
}

var getPrefix$1 = {};

Object.defineProperty(getPrefix$1, "__esModule", {
  value: true
});
getPrefix$1.browserPrefixToKey = browserPrefixToKey;
getPrefix$1.browserPrefixToStyle = browserPrefixToStyle;
getPrefix$1.default = void 0;
getPrefix$1.getPrefix = getPrefix;
var prefixes = ['Moz', 'Webkit', 'O', 'ms'];

function getPrefix()
/*: string*/
{
  var _window$document, _window$document$docu;

  var prop
  /*: string*/
  = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'transform';
  // Ensure we're running in an environment where there is actually a global
  // `window` obj
  if (typeof window === 'undefined') return ''; // If we're in a pseudo-browser server-side environment, this access
  // path may not exist, so bail out if it doesn't.

  var style = (_window$document = window.document) === null || _window$document === void 0 ? void 0 : (_window$document$docu = _window$document.documentElement) === null || _window$document$docu === void 0 ? void 0 : _window$document$docu.style;
  if (!style) return '';
  if (prop in style) return '';

  for (var i = 0; i < prefixes.length; i++) {
    if (browserPrefixToKey(prop, prefixes[i]) in style) return prefixes[i];
  }

  return '';
}

function browserPrefixToKey(prop
/*: string*/
, prefix
/*: string*/
)
/*: string*/
{
  return prefix ? "".concat(prefix).concat(kebabToTitleCase(prop)) : prop;
}

function browserPrefixToStyle(prop
/*: string*/
, prefix
/*: string*/
)
/*: string*/
{
  return prefix ? "-".concat(prefix.toLowerCase(), "-").concat(prop) : prop;
}

function kebabToTitleCase(str
/*: string*/
)
/*: string*/
{
  var out = '';
  var shouldCapitalize = true;

  for (var i = 0; i < str.length; i++) {
    if (shouldCapitalize) {
      out += str[i].toUpperCase();
      shouldCapitalize = false;
    } else if (str[i] === '-') {
      shouldCapitalize = true;
    } else {
      out += str[i];
    }
  }

  return out;
} // Default export is the prefix itself, like 'Moz', 'Webkit', etc
// Note that you may have to re-test for certain things; for instance, Chrome 50
// can handle unprefixed `transform`, but not unprefixed `user-select`


var _default = (getPrefix()
/*: string*/
);

getPrefix$1.default = _default;

function _typeof$1(obj) { "@babel/helpers - typeof"; return _typeof$1 = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof$1(obj); }

Object.defineProperty(domFns, "__esModule", {
  value: true
});
domFns.addClassName = addClassName;
domFns.addEvent = addEvent;
domFns.addUserSelectStyles = addUserSelectStyles;
domFns.createCSSTransform = createCSSTransform;
domFns.createSVGTransform = createSVGTransform;
domFns.getTouch = getTouch;
domFns.getTouchIdentifier = getTouchIdentifier;
domFns.getTranslation = getTranslation;
domFns.innerHeight = innerHeight;
domFns.innerWidth = innerWidth;
domFns.matchesSelector = matchesSelector;
domFns.matchesSelectorAndParentsTo = matchesSelectorAndParentsTo;
domFns.offsetXYFromParent = offsetXYFromParent;
domFns.outerHeight = outerHeight;
domFns.outerWidth = outerWidth;
domFns.removeClassName = removeClassName;
domFns.removeEvent = removeEvent;
domFns.removeUserSelectStyles = removeUserSelectStyles;

var _shims$2 = shims;

var _getPrefix = _interopRequireWildcard$1(getPrefix$1);

function _getRequireWildcardCache$1(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache$1 = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard$1(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof$1(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache$1(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty$1(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty$1(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var matchesSelectorFunc = '';

function matchesSelector(el
/*: Node*/
, selector
/*: string*/
)
/*: boolean*/
{
  if (!matchesSelectorFunc) {
    matchesSelectorFunc = (0, _shims$2.findInArray)(['matches', 'webkitMatchesSelector', 'mozMatchesSelector', 'msMatchesSelector', 'oMatchesSelector'], function (method) {
      // $FlowIgnore: Doesn't think elements are indexable
      return (0, _shims$2.isFunction)(el[method]);
    });
  } // Might not be found entirely (not an Element?) - in that case, bail
  // $FlowIgnore: Doesn't think elements are indexable


  if (!(0, _shims$2.isFunction)(el[matchesSelectorFunc])) return false; // $FlowIgnore: Doesn't think elements are indexable

  return el[matchesSelectorFunc](selector);
} // Works up the tree to the draggable itself attempting to match selector.


function matchesSelectorAndParentsTo(el
/*: Node*/
, selector
/*: string*/
, baseNode
/*: Node*/
)
/*: boolean*/
{
  var node = el;

  do {
    if (matchesSelector(node, selector)) return true;
    if (node === baseNode) return false;
    node = node.parentNode;
  } while (node);

  return false;
}

function addEvent(el
/*: ?Node*/
, event
/*: string*/
, handler
/*: Function*/
, inputOptions
/*: Object*/
)
/*: void*/
{
  if (!el) return;

  var options = _objectSpread({
    capture: true
  }, inputOptions); // $FlowIgnore[method-unbinding]


  if (el.addEventListener) {
    el.addEventListener(event, handler, options);
  } else if (el.attachEvent) {
    el.attachEvent('on' + event, handler);
  } else {
    // $FlowIgnore: Doesn't think elements are indexable
    el['on' + event] = handler;
  }
}

function removeEvent(el
/*: ?Node*/
, event
/*: string*/
, handler
/*: Function*/
, inputOptions
/*: Object*/
)
/*: void*/
{
  if (!el) return;

  var options = _objectSpread({
    capture: true
  }, inputOptions); // $FlowIgnore[method-unbinding]


  if (el.removeEventListener) {
    el.removeEventListener(event, handler, options);
  } else if (el.detachEvent) {
    el.detachEvent('on' + event, handler);
  } else {
    // $FlowIgnore: Doesn't think elements are indexable
    el['on' + event] = null;
  }
}

function outerHeight(node
/*: HTMLElement*/
)
/*: number*/
{
  // This is deliberately excluding margin for our calculations, since we are using
  // offsetTop which is including margin. See getBoundPosition
  var height = node.clientHeight;
  var computedStyle = node.ownerDocument.defaultView.getComputedStyle(node);
  height += (0, _shims$2.int)(computedStyle.borderTopWidth);
  height += (0, _shims$2.int)(computedStyle.borderBottomWidth);
  return height;
}

function outerWidth(node
/*: HTMLElement*/
)
/*: number*/
{
  // This is deliberately excluding margin for our calculations, since we are using
  // offsetLeft which is including margin. See getBoundPosition
  var width = node.clientWidth;
  var computedStyle = node.ownerDocument.defaultView.getComputedStyle(node);
  width += (0, _shims$2.int)(computedStyle.borderLeftWidth);
  width += (0, _shims$2.int)(computedStyle.borderRightWidth);
  return width;
}

function innerHeight(node
/*: HTMLElement*/
)
/*: number*/
{
  var height = node.clientHeight;
  var computedStyle = node.ownerDocument.defaultView.getComputedStyle(node);
  height -= (0, _shims$2.int)(computedStyle.paddingTop);
  height -= (0, _shims$2.int)(computedStyle.paddingBottom);
  return height;
}

function innerWidth(node
/*: HTMLElement*/
)
/*: number*/
{
  var width = node.clientWidth;
  var computedStyle = node.ownerDocument.defaultView.getComputedStyle(node);
  width -= (0, _shims$2.int)(computedStyle.paddingLeft);
  width -= (0, _shims$2.int)(computedStyle.paddingRight);
  return width;
}
/*:: interface EventWithOffset {
  clientX: number, clientY: number
}*/


// Get from offsetParent
function offsetXYFromParent(evt
/*: EventWithOffset*/
, offsetParent
/*: HTMLElement*/
, scale
/*: number*/
)
/*: ControlPosition*/
{
  var isBody = offsetParent === offsetParent.ownerDocument.body;
  var offsetParentRect = isBody ? {
    left: 0,
    top: 0
  } : offsetParent.getBoundingClientRect();
  var x = (evt.clientX + offsetParent.scrollLeft - offsetParentRect.left) / scale;
  var y = (evt.clientY + offsetParent.scrollTop - offsetParentRect.top) / scale;
  return {
    x: x,
    y: y
  };
}

function createCSSTransform(controlPos
/*: ControlPosition*/
, positionOffset
/*: PositionOffsetControlPosition*/
)
/*: Object*/
{
  var translation = getTranslation(controlPos, positionOffset, 'px');
  return _defineProperty$1({}, (0, _getPrefix.browserPrefixToKey)('transform', _getPrefix.default), translation);
}

function createSVGTransform(controlPos
/*: ControlPosition*/
, positionOffset
/*: PositionOffsetControlPosition*/
)
/*: string*/
{
  var translation = getTranslation(controlPos, positionOffset, '');
  return translation;
}

function getTranslation(_ref2, positionOffset
/*: PositionOffsetControlPosition*/
, unitSuffix
/*: string*/
)
/*: string*/
{
  var x = _ref2.x,
      y = _ref2.y;
  var translation = "translate(".concat(x).concat(unitSuffix, ",").concat(y).concat(unitSuffix, ")");

  if (positionOffset) {
    var defaultX = "".concat(typeof positionOffset.x === 'string' ? positionOffset.x : positionOffset.x + unitSuffix);
    var defaultY = "".concat(typeof positionOffset.y === 'string' ? positionOffset.y : positionOffset.y + unitSuffix);
    translation = "translate(".concat(defaultX, ", ").concat(defaultY, ")") + translation;
  }

  return translation;
}

function getTouch(e
/*: MouseTouchEvent*/
, identifier
/*: number*/
)
/*: ?{clientX: number, clientY: number}*/
{
  return e.targetTouches && (0, _shims$2.findInArray)(e.targetTouches, function (t) {
    return identifier === t.identifier;
  }) || e.changedTouches && (0, _shims$2.findInArray)(e.changedTouches, function (t) {
    return identifier === t.identifier;
  });
}

function getTouchIdentifier(e
/*: MouseTouchEvent*/
)
/*: ?number*/
{
  if (e.targetTouches && e.targetTouches[0]) return e.targetTouches[0].identifier;
  if (e.changedTouches && e.changedTouches[0]) return e.changedTouches[0].identifier;
} // User-select Hacks:
//
// Useful for preventing blue highlights all over everything when dragging.
// Note we're passing `document` b/c we could be iframed


function addUserSelectStyles(doc
/*: ?Document*/
) {
  if (!doc) return;
  var styleEl = doc.getElementById('react-draggable-style-el');

  if (!styleEl) {
    styleEl = doc.createElement('style');
    styleEl.type = 'text/css';
    styleEl.id = 'react-draggable-style-el';
    styleEl.innerHTML = '.react-draggable-transparent-selection *::-moz-selection {all: inherit;}\n';
    styleEl.innerHTML += '.react-draggable-transparent-selection *::selection {all: inherit;}\n';
    doc.getElementsByTagName('head')[0].appendChild(styleEl);
  }

  if (doc.body) addClassName(doc.body, 'react-draggable-transparent-selection');
}

function removeUserSelectStyles(doc
/*: ?Document*/
) {
  if (!doc) return;

  try {
    if (doc.body) removeClassName(doc.body, 'react-draggable-transparent-selection'); // $FlowIgnore: IE

    if (doc.selection) {
      // $FlowIgnore: IE
      doc.selection.empty();
    } else {
      // Remove selection caused by scroll, unless it's a focused input
      // (we use doc.defaultView in case we're in an iframe)
      var selection = (doc.defaultView || window).getSelection();

      if (selection && selection.type !== 'Caret') {
        selection.removeAllRanges();
      }
    }
  } catch (e) {// probably IE
  }
}

function addClassName(el
/*: HTMLElement*/
, className
/*: string*/
) {
  if (el.classList) {
    el.classList.add(className);
  } else {
    if (!el.className.match(new RegExp("(?:^|\\s)".concat(className, "(?!\\S)")))) {
      el.className += " ".concat(className);
    }
  }
}

function removeClassName(el
/*: HTMLElement*/
, className
/*: string*/
) {
  if (el.classList) {
    el.classList.remove(className);
  } else {
    el.className = el.className.replace(new RegExp("(?:^|\\s)".concat(className, "(?!\\S)"), 'g'), '');
  }
}

var positionFns = {};

Object.defineProperty(positionFns, "__esModule", {
  value: true
});
positionFns.canDragX = canDragX;
positionFns.canDragY = canDragY;
positionFns.createCoreData = createCoreData;
positionFns.createDraggableData = createDraggableData;
positionFns.getBoundPosition = getBoundPosition;
positionFns.getControlPosition = getControlPosition;
positionFns.snapToGrid = snapToGrid;

var _shims$1 = shims;

var _domFns$1 = domFns;

function getBoundPosition(draggable
/*: Draggable*/
, x
/*: number*/
, y
/*: number*/
)
/*: [number, number]*/
{
  // If no bounds, short-circuit and move on
  if (!draggable.props.bounds) return [x, y]; // Clone new bounds

  var bounds = draggable.props.bounds;
  bounds = typeof bounds === 'string' ? bounds : cloneBounds(bounds);
  var node = findDOMNode(draggable);

  if (typeof bounds === 'string') {
    var ownerDocument = node.ownerDocument;
    var ownerWindow = ownerDocument.defaultView;
    var boundNode;

    if (bounds === 'parent') {
      boundNode = node.parentNode;
    } else {
      boundNode = ownerDocument.querySelector(bounds);
    }

    if (!(boundNode instanceof ownerWindow.HTMLElement)) {
      throw new Error('Bounds selector "' + bounds + '" could not find an element.');
    }

    var boundNodeEl
    /*: HTMLElement*/
    = boundNode; // for Flow, can't seem to refine correctly

    var nodeStyle = ownerWindow.getComputedStyle(node);
    var boundNodeStyle = ownerWindow.getComputedStyle(boundNodeEl); // Compute bounds. This is a pain with padding and offsets but this gets it exactly right.

    bounds = {
      left: -node.offsetLeft + (0, _shims$1.int)(boundNodeStyle.paddingLeft) + (0, _shims$1.int)(nodeStyle.marginLeft),
      top: -node.offsetTop + (0, _shims$1.int)(boundNodeStyle.paddingTop) + (0, _shims$1.int)(nodeStyle.marginTop),
      right: (0, _domFns$1.innerWidth)(boundNodeEl) - (0, _domFns$1.outerWidth)(node) - node.offsetLeft + (0, _shims$1.int)(boundNodeStyle.paddingRight) - (0, _shims$1.int)(nodeStyle.marginRight),
      bottom: (0, _domFns$1.innerHeight)(boundNodeEl) - (0, _domFns$1.outerHeight)(node) - node.offsetTop + (0, _shims$1.int)(boundNodeStyle.paddingBottom) - (0, _shims$1.int)(nodeStyle.marginBottom)
    };
  } // Keep x and y below right and bottom limits...


  if ((0, _shims$1.isNum)(bounds.right)) x = Math.min(x, bounds.right);
  if ((0, _shims$1.isNum)(bounds.bottom)) y = Math.min(y, bounds.bottom); // But above left and top limits.

  if ((0, _shims$1.isNum)(bounds.left)) x = Math.max(x, bounds.left);
  if ((0, _shims$1.isNum)(bounds.top)) y = Math.max(y, bounds.top);
  return [x, y];
}

function snapToGrid(grid
/*: [number, number]*/
, pendingX
/*: number*/
, pendingY
/*: number*/
)
/*: [number, number]*/
{
  var x = Math.round(pendingX / grid[0]) * grid[0];
  var y = Math.round(pendingY / grid[1]) * grid[1];
  return [x, y];
}

function canDragX(draggable
/*: Draggable*/
)
/*: boolean*/
{
  return draggable.props.axis === 'both' || draggable.props.axis === 'x';
}

function canDragY(draggable
/*: Draggable*/
)
/*: boolean*/
{
  return draggable.props.axis === 'both' || draggable.props.axis === 'y';
} // Get {x, y} positions from event.


function getControlPosition(e
/*: MouseTouchEvent*/
, touchIdentifier
/*: ?number*/
, draggableCore
/*: DraggableCore*/
)
/*: ?ControlPosition*/
{
  var touchObj = typeof touchIdentifier === 'number' ? (0, _domFns$1.getTouch)(e, touchIdentifier) : null;
  if (typeof touchIdentifier === 'number' && !touchObj) return null; // not the right touch

  var node = findDOMNode(draggableCore); // User can provide an offsetParent if desired.

  var offsetParent = draggableCore.props.offsetParent || node.offsetParent || node.ownerDocument.body;
  return (0, _domFns$1.offsetXYFromParent)(touchObj || e, offsetParent, draggableCore.props.scale);
} // Create an data object exposed by <DraggableCore>'s events


function createCoreData(draggable
/*: DraggableCore*/
, x
/*: number*/
, y
/*: number*/
)
/*: DraggableData*/
{
  var state = draggable.state;
  var isStart = !(0, _shims$1.isNum)(state.lastX);
  var node = findDOMNode(draggable);

  if (isStart) {
    // If this is our first move, use the x and y as last coords.
    return {
      node: node,
      deltaX: 0,
      deltaY: 0,
      lastX: x,
      lastY: y,
      x: x,
      y: y
    };
  } else {
    // Otherwise calculate proper values.
    return {
      node: node,
      deltaX: x - state.lastX,
      deltaY: y - state.lastY,
      lastX: state.lastX,
      lastY: state.lastY,
      x: x,
      y: y
    };
  }
} // Create an data exposed by <Draggable>'s events


function createDraggableData(draggable
/*: Draggable*/
, coreData
/*: DraggableData*/
)
/*: DraggableData*/
{
  var scale = draggable.props.scale;
  return {
    node: coreData.node,
    x: draggable.state.x + coreData.deltaX / scale,
    y: draggable.state.y + coreData.deltaY / scale,
    deltaX: coreData.deltaX / scale,
    deltaY: coreData.deltaY / scale,
    lastX: draggable.state.x,
    lastY: draggable.state.y
  };
} // A lot faster than stringify/parse


function cloneBounds(bounds
/*: Bounds*/
)
/*: Bounds*/
{
  return {
    left: bounds.left,
    top: bounds.top,
    right: bounds.right,
    bottom: bounds.bottom
  };
}

function findDOMNode(draggable
/*: Draggable | DraggableCore*/
)
/*: HTMLElement*/
{
  var node = draggable.findDOMNode();

  if (!node) {
    throw new Error('<DraggableCore>: Unmounted during event!');
  } // $FlowIgnore we can't assert on HTMLElement due to tests... FIXME


  return node;
}

var DraggableCore$2 = {};

var log$1 = {};

Object.defineProperty(log$1, "__esModule", {
  value: true
});
log$1.default = log;

/*eslint no-console:0*/
function log() {
}

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(DraggableCore$2, "__esModule", {
  value: true
});
DraggableCore$2.default = void 0;

var React = _interopRequireWildcard(React__default);

var _propTypes = _interopRequireDefault(propTypes.exports);

var _reactDom = _interopRequireDefault(require$$2);

var _domFns = domFns;

var _positionFns = positionFns;

var _shims = shims;

var _log = _interopRequireDefault(log$1);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// Simple abstraction for dragging events names.
var eventsFor = {
  touch: {
    start: 'touchstart',
    move: 'touchmove',
    stop: 'touchend'
  },
  mouse: {
    start: 'mousedown',
    move: 'mousemove',
    stop: 'mouseup'
  }
}; // Default to mouse events.

var dragEventFor = eventsFor.mouse;
/*:: type DraggableCoreState = {
  dragging: boolean,
  lastX: number,
  lastY: number,
  touchIdentifier: ?number
};*/

/*:: export type DraggableData = {
  node: HTMLElement,
  x: number, y: number,
  deltaX: number, deltaY: number,
  lastX: number, lastY: number,
};*/

/*:: export type DraggableEventHandler = (e: MouseEvent, data: DraggableData) => void | false;*/

/*:: export type ControlPosition = {x: number, y: number};*/

/*:: export type PositionOffsetControlPosition = {x: number|string, y: number|string};*/

/*:: export type DraggableCoreDefaultProps = {
  allowAnyClick: boolean,
  disabled: boolean,
  enableUserSelectHack: boolean,
  onStart: DraggableEventHandler,
  onDrag: DraggableEventHandler,
  onStop: DraggableEventHandler,
  onMouseDown: (e: MouseEvent) => void,
  scale: number,
};*/

/*:: export type DraggableCoreProps = {
  ...DraggableCoreDefaultProps,
  cancel: string,
  children: ReactElement<any>,
  offsetParent: HTMLElement,
  grid: [number, number],
  handle: string,
  nodeRef?: ?React.ElementRef<any>,
};*/

//
// Define <DraggableCore>.
//
// <DraggableCore> is for advanced usage of <Draggable>. It maintains minimal internal state so it can
// work well with libraries that require more control over the element.
//
var DraggableCore$1 = /*#__PURE__*/function (_React$Component) {
  _inherits(DraggableCore, _React$Component);

  var _super = _createSuper(DraggableCore);

  function DraggableCore() {
    var _this;

    _classCallCheck(this, DraggableCore);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "state", {
      dragging: false,
      // Used while dragging to determine deltas.
      lastX: NaN,
      lastY: NaN,
      touchIdentifier: null
    });

    _defineProperty(_assertThisInitialized(_this), "mounted", false);

    _defineProperty(_assertThisInitialized(_this), "handleDragStart", function (e) {
      // Make it possible to attach event handlers on top of this one.
      _this.props.onMouseDown(e); // Only accept left-clicks.


      if (!_this.props.allowAnyClick && typeof e.button === 'number' && e.button !== 0) return false; // Get nodes. Be sure to grab relative document (could be iframed)

      var thisNode = _this.findDOMNode();

      if (!thisNode || !thisNode.ownerDocument || !thisNode.ownerDocument.body) {
        throw new Error('<DraggableCore> not mounted on DragStart!');
      }

      var ownerDocument = thisNode.ownerDocument; // Short circuit if handle or cancel prop was provided and selector doesn't match.

      if (_this.props.disabled || !(e.target instanceof ownerDocument.defaultView.Node) || _this.props.handle && !(0, _domFns.matchesSelectorAndParentsTo)(e.target, _this.props.handle, thisNode) || _this.props.cancel && (0, _domFns.matchesSelectorAndParentsTo)(e.target, _this.props.cancel, thisNode)) {
        return;
      } // Prevent scrolling on mobile devices, like ipad/iphone.
      // Important that this is after handle/cancel.


      if (e.type === 'touchstart') e.preventDefault(); // Set touch identifier in component state if this is a touch event. This allows us to
      // distinguish between individual touches on multitouch screens by identifying which
      // touchpoint was set to this element.

      var touchIdentifier = (0, _domFns.getTouchIdentifier)(e);

      _this.setState({
        touchIdentifier: touchIdentifier
      }); // Get the current drag point from the event. This is used as the offset.


      var position = (0, _positionFns.getControlPosition)(e, touchIdentifier, _assertThisInitialized(_this));
      if (position == null) return; // not possible but satisfies flow

      var x = position.x,
          y = position.y; // Create an event object with all the data parents need to make a decision here.

      var coreEvent = (0, _positionFns.createCoreData)(_assertThisInitialized(_this), x, y);
      (0, _log.default)('DraggableCore: handleDragStart: %j', coreEvent); // Call event handler. If it returns explicit false, cancel.

      (0, _log.default)('calling', _this.props.onStart);

      var shouldUpdate = _this.props.onStart(e, coreEvent);

      if (shouldUpdate === false || _this.mounted === false) return; // Add a style to the body to disable user-select. This prevents text from
      // being selected all over the page.

      if (_this.props.enableUserSelectHack) (0, _domFns.addUserSelectStyles)(ownerDocument); // Initiate dragging. Set the current x and y as offsets
      // so we know how much we've moved during the drag. This allows us
      // to drag elements around even if they have been moved, without issue.

      _this.setState({
        dragging: true,
        lastX: x,
        lastY: y
      }); // Add events to the document directly so we catch when the user's mouse/touch moves outside of
      // this element. We use different events depending on whether or not we have detected that this
      // is a touch-capable device.


      (0, _domFns.addEvent)(ownerDocument, dragEventFor.move, _this.handleDrag);
      (0, _domFns.addEvent)(ownerDocument, dragEventFor.stop, _this.handleDragStop);
    });

    _defineProperty(_assertThisInitialized(_this), "handleDrag", function (e) {
      // Get the current drag point from the event. This is used as the offset.
      var position = (0, _positionFns.getControlPosition)(e, _this.state.touchIdentifier, _assertThisInitialized(_this));
      if (position == null) return;
      var x = position.x,
          y = position.y; // Snap to grid if prop has been provided

      if (Array.isArray(_this.props.grid)) {
        var deltaX = x - _this.state.lastX,
            deltaY = y - _this.state.lastY;

        var _snapToGrid = (0, _positionFns.snapToGrid)(_this.props.grid, deltaX, deltaY);

        var _snapToGrid2 = _slicedToArray(_snapToGrid, 2);

        deltaX = _snapToGrid2[0];
        deltaY = _snapToGrid2[1];
        if (!deltaX && !deltaY) return; // skip useless drag

        x = _this.state.lastX + deltaX, y = _this.state.lastY + deltaY;
      }

      var coreEvent = (0, _positionFns.createCoreData)(_assertThisInitialized(_this), x, y);
      (0, _log.default)('DraggableCore: handleDrag: %j', coreEvent); // Call event handler. If it returns explicit false, trigger end.

      var shouldUpdate = _this.props.onDrag(e, coreEvent);

      if (shouldUpdate === false || _this.mounted === false) {
        try {
          // $FlowIgnore
          _this.handleDragStop(new MouseEvent('mouseup'));
        } catch (err) {
          // Old browsers
          var event = ((document.createEvent('MouseEvents')
          /*: any*/
          )
          /*: MouseTouchEvent*/
          ); // I see why this insanity was deprecated
          // $FlowIgnore

          event.initMouseEvent('mouseup', true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);

          _this.handleDragStop(event);
        }

        return;
      }

      _this.setState({
        lastX: x,
        lastY: y
      });
    });

    _defineProperty(_assertThisInitialized(_this), "handleDragStop", function (e) {
      if (!_this.state.dragging) return;
      var position = (0, _positionFns.getControlPosition)(e, _this.state.touchIdentifier, _assertThisInitialized(_this));
      if (position == null) return;
      var x = position.x,
          y = position.y; // Snap to grid if prop has been provided

      if (Array.isArray(_this.props.grid)) {
        var deltaX = x - _this.state.lastX || 0;
        var deltaY = y - _this.state.lastY || 0;

        var _snapToGrid3 = (0, _positionFns.snapToGrid)(_this.props.grid, deltaX, deltaY);

        var _snapToGrid4 = _slicedToArray(_snapToGrid3, 2);

        deltaX = _snapToGrid4[0];
        deltaY = _snapToGrid4[1];
        x = _this.state.lastX + deltaX, y = _this.state.lastY + deltaY;
      }

      var coreEvent = (0, _positionFns.createCoreData)(_assertThisInitialized(_this), x, y); // Call event handler

      var shouldContinue = _this.props.onStop(e, coreEvent);

      if (shouldContinue === false || _this.mounted === false) return false;

      var thisNode = _this.findDOMNode();

      if (thisNode) {
        // Remove user-select hack
        if (_this.props.enableUserSelectHack) (0, _domFns.removeUserSelectStyles)(thisNode.ownerDocument);
      }

      (0, _log.default)('DraggableCore: handleDragStop: %j', coreEvent); // Reset the el.

      _this.setState({
        dragging: false,
        lastX: NaN,
        lastY: NaN
      });

      if (thisNode) {
        // Remove event handlers
        (0, _log.default)('DraggableCore: Removing handlers');
        (0, _domFns.removeEvent)(thisNode.ownerDocument, dragEventFor.move, _this.handleDrag);
        (0, _domFns.removeEvent)(thisNode.ownerDocument, dragEventFor.stop, _this.handleDragStop);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onMouseDown", function (e) {
      dragEventFor = eventsFor.mouse; // on touchscreen laptops we could switch back to mouse

      return _this.handleDragStart(e);
    });

    _defineProperty(_assertThisInitialized(_this), "onMouseUp", function (e) {
      dragEventFor = eventsFor.mouse;
      return _this.handleDragStop(e);
    });

    _defineProperty(_assertThisInitialized(_this), "onTouchStart", function (e) {
      // We're on a touch device now, so change the event handlers
      dragEventFor = eventsFor.touch;
      return _this.handleDragStart(e);
    });

    _defineProperty(_assertThisInitialized(_this), "onTouchEnd", function (e) {
      // We're on a touch device now, so change the event handlers
      dragEventFor = eventsFor.touch;
      return _this.handleDragStop(e);
    });

    return _this;
  }

  _createClass(DraggableCore, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.mounted = true; // Touch handlers must be added with {passive: false} to be cancelable.
      // https://developers.google.com/web/updates/2017/01/scrolling-intervention

      var thisNode = this.findDOMNode();

      if (thisNode) {
        (0, _domFns.addEvent)(thisNode, eventsFor.touch.start, this.onTouchStart, {
          passive: false
        });
      }
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.mounted = false; // Remove any leftover event handlers. Remove both touch and mouse handlers in case
      // some browser quirk caused a touch event to fire during a mouse move, or vice versa.

      var thisNode = this.findDOMNode();

      if (thisNode) {
        var ownerDocument = thisNode.ownerDocument;
        (0, _domFns.removeEvent)(ownerDocument, eventsFor.mouse.move, this.handleDrag);
        (0, _domFns.removeEvent)(ownerDocument, eventsFor.touch.move, this.handleDrag);
        (0, _domFns.removeEvent)(ownerDocument, eventsFor.mouse.stop, this.handleDragStop);
        (0, _domFns.removeEvent)(ownerDocument, eventsFor.touch.stop, this.handleDragStop);
        (0, _domFns.removeEvent)(thisNode, eventsFor.touch.start, this.onTouchStart, {
          passive: false
        });
        if (this.props.enableUserSelectHack) (0, _domFns.removeUserSelectStyles)(ownerDocument);
      }
    } // React Strict Mode compatibility: if `nodeRef` is passed, we will use it instead of trying to find
    // the underlying DOM node ourselves. See the README for more information.

  }, {
    key: "findDOMNode",
    value: function findDOMNode()
    /*: ?HTMLElement*/
    {
      var _this$props, _this$props2, _this$props2$nodeRef;

      return (_this$props = this.props) !== null && _this$props !== void 0 && _this$props.nodeRef ? (_this$props2 = this.props) === null || _this$props2 === void 0 ? void 0 : (_this$props2$nodeRef = _this$props2.nodeRef) === null || _this$props2$nodeRef === void 0 ? void 0 : _this$props2$nodeRef.current : _reactDom.default.findDOMNode(this);
    }
  }, {
    key: "render",
    value: function render()
    /*: React.Element<any>*/
    {
      // Reuse the child provided
      // This makes it flexible to use whatever element is wanted (div, ul, etc)
      return /*#__PURE__*/React.cloneElement(React.Children.only(this.props.children), {
        // Note: mouseMove handler is attached to document so it will still function
        // when the user drags quickly and leaves the bounds of the element.
        onMouseDown: this.onMouseDown,
        onMouseUp: this.onMouseUp,
        // onTouchStart is added on `componentDidMount` so they can be added with
        // {passive: false}, which allows it to cancel. See
        // https://developers.google.com/web/updates/2017/01/scrolling-intervention
        onTouchEnd: this.onTouchEnd
      });
    }
  }]);

  return DraggableCore;
}(React.Component);

DraggableCore$2.default = DraggableCore$1;

_defineProperty(DraggableCore$1, "displayName", 'DraggableCore');

_defineProperty(DraggableCore$1, "propTypes", {
  /**
   * `allowAnyClick` allows dragging using any mouse button.
   * By default, we only accept the left button.
   *
   * Defaults to `false`.
   */
  allowAnyClick: _propTypes.default.bool,

  /**
   * `disabled`, if true, stops the <Draggable> from dragging. All handlers,
   * with the exception of `onMouseDown`, will not fire.
   */
  disabled: _propTypes.default.bool,

  /**
   * By default, we add 'user-select:none' attributes to the document body
   * to prevent ugly text selection during drag. If this is causing problems
   * for your app, set this to `false`.
   */
  enableUserSelectHack: _propTypes.default.bool,

  /**
   * `offsetParent`, if set, uses the passed DOM node to compute drag offsets
   * instead of using the parent node.
   */
  offsetParent: function offsetParent(props
  /*: DraggableCoreProps*/
  , propName
  /*: $Keys<DraggableCoreProps>*/
  ) {
    if (props[propName] && props[propName].nodeType !== 1) {
      throw new Error('Draggable\'s offsetParent must be a DOM Node.');
    }
  },

  /**
   * `grid` specifies the x and y that dragging should snap to.
   */
  grid: _propTypes.default.arrayOf(_propTypes.default.number),

  /**
   * `handle` specifies a selector to be used as the handle that initiates drag.
   *
   * Example:
   *
   * ```jsx
   *   let App = React.createClass({
   *       render: function () {
   *         return (
   *            <Draggable handle=".handle">
   *              <div>
   *                  <div className="handle">Click me to drag</div>
   *                  <div>This is some other content</div>
   *              </div>
   *           </Draggable>
   *         );
   *       }
   *   });
   * ```
   */
  handle: _propTypes.default.string,

  /**
   * `cancel` specifies a selector to be used to prevent drag initialization.
   *
   * Example:
   *
   * ```jsx
   *   let App = React.createClass({
   *       render: function () {
   *           return(
   *               <Draggable cancel=".cancel">
   *                   <div>
   *                     <div className="cancel">You can't drag from here</div>
   *                     <div>Dragging here works fine</div>
   *                   </div>
   *               </Draggable>
   *           );
   *       }
   *   });
   * ```
   */
  cancel: _propTypes.default.string,

  /* If running in React Strict mode, ReactDOM.findDOMNode() is deprecated.
   * Unfortunately, in order for <Draggable> to work properly, we need raw access
   * to the underlying DOM node. If you want to avoid the warning, pass a `nodeRef`
   * as in this example:
   *
   * function MyComponent() {
   *   const nodeRef = React.useRef(null);
   *   return (
   *     <Draggable nodeRef={nodeRef}>
   *       <div ref={nodeRef}>Example Target</div>
   *     </Draggable>
   *   );
   * }
   *
   * This can be used for arbitrarily nested components, so long as the ref ends up
   * pointing to the actual child DOM node and not a custom component.
   */
  nodeRef: _propTypes.default.object,

  /**
   * Called when dragging starts.
   * If this function returns the boolean false, dragging will be canceled.
   */
  onStart: _propTypes.default.func,

  /**
   * Called while dragging.
   * If this function returns the boolean false, dragging will be canceled.
   */
  onDrag: _propTypes.default.func,

  /**
   * Called when dragging stops.
   * If this function returns the boolean false, the drag will remain active.
   */
  onStop: _propTypes.default.func,

  /**
   * A workaround option which can be passed if onMouseDown needs to be accessed,
   * since it'll always be blocked (as there is internal use of onMouseDown)
   */
  onMouseDown: _propTypes.default.func,

  /**
   * `scale`, if set, applies scaling while dragging an element
   */
  scale: _propTypes.default.number,

  /**
   * These properties should be defined on the child, not here.
   */
  className: _shims.dontSetMe,
  style: _shims.dontSetMe,
  transform: _shims.dontSetMe
});

_defineProperty(DraggableCore$1, "defaultProps", {
  allowAnyClick: false,
  // by default only accept left click
  disabled: false,
  enableUserSelectHack: true,
  onStart: function onStart() {},
  onDrag: function onDrag() {},
  onStop: function onStop() {},
  onMouseDown: function onMouseDown() {},
  scale: 1
});

(function (exports) {

	function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	Object.defineProperty(exports, "DraggableCore", {
	  enumerable: true,
	  get: function get() {
	    return _DraggableCore.default;
	  }
	});
	exports.default = void 0;

	var React = _interopRequireWildcard(React__default);

	var _propTypes = _interopRequireDefault(propTypes.exports);

	var _reactDom = _interopRequireDefault(require$$2);

	var _clsx2 = _interopRequireDefault(require$$3);

	var _domFns = domFns;

	var _positionFns = positionFns;

	var _shims = shims;

	var _DraggableCore = _interopRequireDefault(DraggableCore$2);

	var _log = _interopRequireDefault(log$1);

	var _excluded = ["axis", "bounds", "children", "defaultPosition", "defaultClassName", "defaultClassNameDragging", "defaultClassNameDragged", "position", "positionOffset", "scale"];

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

	function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

	function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

	function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

	function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

	function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

	function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

	function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

	function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

	function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

	function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

	function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

	function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

	function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }

	function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

	function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

	function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }

	function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

	function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

	function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

	function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

	//
	// Define <Draggable>
	//
	var Draggable = /*#__PURE__*/function (_React$Component) {
	  _inherits(Draggable, _React$Component);

	  var _super = _createSuper(Draggable);

	  function Draggable(props
	  /*: DraggableProps*/
	  ) {
	    var _this;

	    _classCallCheck(this, Draggable);

	    _this = _super.call(this, props);

	    _defineProperty(_assertThisInitialized(_this), "onDragStart", function (e, coreData) {
	      (0, _log.default)('Draggable: onDragStart: %j', coreData); // Short-circuit if user's callback killed it.

	      var shouldStart = _this.props.onStart(e, (0, _positionFns.createDraggableData)(_assertThisInitialized(_this), coreData)); // Kills start event on core as well, so move handlers are never bound.


	      if (shouldStart === false) return false;

	      _this.setState({
	        dragging: true,
	        dragged: true
	      });
	    });

	    _defineProperty(_assertThisInitialized(_this), "onDrag", function (e, coreData) {
	      if (!_this.state.dragging) return false;
	      (0, _log.default)('Draggable: onDrag: %j', coreData);
	      var uiData = (0, _positionFns.createDraggableData)(_assertThisInitialized(_this), coreData);
	      var newState
	      /*: $Shape<DraggableState>*/
	      = {
	        x: uiData.x,
	        y: uiData.y
	      }; // Keep within bounds.

	      if (_this.props.bounds) {
	        // Save original x and y.
	        var x = newState.x,
	            y = newState.y; // Add slack to the values used to calculate bound position. This will ensure that if
	        // we start removing slack, the element won't react to it right away until it's been
	        // completely removed.

	        newState.x += _this.state.slackX;
	        newState.y += _this.state.slackY; // Get bound position. This will ceil/floor the x and y within the boundaries.

	        var _getBoundPosition = (0, _positionFns.getBoundPosition)(_assertThisInitialized(_this), newState.x, newState.y),
	            _getBoundPosition2 = _slicedToArray(_getBoundPosition, 2),
	            newStateX = _getBoundPosition2[0],
	            newStateY = _getBoundPosition2[1];

	        newState.x = newStateX;
	        newState.y = newStateY; // Recalculate slack by noting how much was shaved by the boundPosition handler.

	        newState.slackX = _this.state.slackX + (x - newState.x);
	        newState.slackY = _this.state.slackY + (y - newState.y); // Update the event we fire to reflect what really happened after bounds took effect.

	        uiData.x = newState.x;
	        uiData.y = newState.y;
	        uiData.deltaX = newState.x - _this.state.x;
	        uiData.deltaY = newState.y - _this.state.y;
	      } // Short-circuit if user's callback killed it.


	      var shouldUpdate = _this.props.onDrag(e, uiData);

	      if (shouldUpdate === false) return false;

	      _this.setState(newState);
	    });

	    _defineProperty(_assertThisInitialized(_this), "onDragStop", function (e, coreData) {
	      if (!_this.state.dragging) return false; // Short-circuit if user's callback killed it.

	      var shouldContinue = _this.props.onStop(e, (0, _positionFns.createDraggableData)(_assertThisInitialized(_this), coreData));

	      if (shouldContinue === false) return false;
	      (0, _log.default)('Draggable: onDragStop: %j', coreData);
	      var newState
	      /*: $Shape<DraggableState>*/
	      = {
	        dragging: false,
	        slackX: 0,
	        slackY: 0
	      }; // If this is a controlled component, the result of this operation will be to
	      // revert back to the old position. We expect a handler on `onDragStop`, at the least.

	      var controlled = Boolean(_this.props.position);

	      if (controlled) {
	        var _this$props$position = _this.props.position,
	            x = _this$props$position.x,
	            y = _this$props$position.y;
	        newState.x = x;
	        newState.y = y;
	      }

	      _this.setState(newState);
	    });

	    _this.state = {
	      // Whether or not we are currently dragging.
	      dragging: false,
	      // Whether or not we have been dragged before.
	      dragged: false,
	      // Current transform x and y.
	      x: props.position ? props.position.x : props.defaultPosition.x,
	      y: props.position ? props.position.y : props.defaultPosition.y,
	      prevPropsPosition: _objectSpread({}, props.position),
	      // Used for compensating for out-of-bounds drags
	      slackX: 0,
	      slackY: 0,
	      // Can only determine if SVG after mounting
	      isElementSVG: false
	    };

	    if (props.position && !(props.onDrag || props.onStop)) {
	      // eslint-disable-next-line no-console
	      console.warn('A `position` was applied to this <Draggable>, without drag handlers. This will make this ' + 'component effectively undraggable. Please attach `onDrag` or `onStop` handlers so you can adjust the ' + '`position` of this element.');
	    }

	    return _this;
	  }

	  _createClass(Draggable, [{
	    key: "componentDidMount",
	    value: function componentDidMount() {
	      // Check to see if the element passed is an instanceof SVGElement
	      if (typeof window.SVGElement !== 'undefined' && this.findDOMNode() instanceof window.SVGElement) {
	        this.setState({
	          isElementSVG: true
	        });
	      }
	    }
	  }, {
	    key: "componentWillUnmount",
	    value: function componentWillUnmount() {
	      this.setState({
	        dragging: false
	      }); // prevents invariant if unmounted while dragging
	    } // React Strict Mode compatibility: if `nodeRef` is passed, we will use it instead of trying to find
	    // the underlying DOM node ourselves. See the README for more information.

	  }, {
	    key: "findDOMNode",
	    value: function findDOMNode()
	    /*: ?HTMLElement*/
	    {
	      var _this$props$nodeRef$c, _this$props, _this$props$nodeRef;

	      return (_this$props$nodeRef$c = (_this$props = this.props) === null || _this$props === void 0 ? void 0 : (_this$props$nodeRef = _this$props.nodeRef) === null || _this$props$nodeRef === void 0 ? void 0 : _this$props$nodeRef.current) !== null && _this$props$nodeRef$c !== void 0 ? _this$props$nodeRef$c : _reactDom.default.findDOMNode(this);
	    }
	  }, {
	    key: "render",
	    value: function render()
	    /*: ReactElement<any>*/
	    {
	      var _clsx;

	      var _this$props2 = this.props;
	          _this$props2.axis;
	          _this$props2.bounds;
	          var children = _this$props2.children,
	          defaultPosition = _this$props2.defaultPosition,
	          defaultClassName = _this$props2.defaultClassName,
	          defaultClassNameDragging = _this$props2.defaultClassNameDragging,
	          defaultClassNameDragged = _this$props2.defaultClassNameDragged,
	          position = _this$props2.position,
	          positionOffset = _this$props2.positionOffset;
	          _this$props2.scale;
	          var draggableCoreProps = _objectWithoutProperties(_this$props2, _excluded);

	      var style = {};
	      var svgTransform = null; // If this is controlled, we don't want to move it - unless it's dragging.

	      var controlled = Boolean(position);
	      var draggable = !controlled || this.state.dragging;
	      var validPosition = position || defaultPosition;
	      var transformOpts = {
	        // Set left if horizontal drag is enabled
	        x: (0, _positionFns.canDragX)(this) && draggable ? this.state.x : validPosition.x,
	        // Set top if vertical drag is enabled
	        y: (0, _positionFns.canDragY)(this) && draggable ? this.state.y : validPosition.y
	      }; // If this element was SVG, we use the `transform` attribute.

	      if (this.state.isElementSVG) {
	        svgTransform = (0, _domFns.createSVGTransform)(transformOpts, positionOffset);
	      } else {
	        // Add a CSS transform to move the element around. This allows us to move the element around
	        // without worrying about whether or not it is relatively or absolutely positioned.
	        // If the item you are dragging already has a transform set, wrap it in a <span> so <Draggable>
	        // has a clean slate.
	        style = (0, _domFns.createCSSTransform)(transformOpts, positionOffset);
	      } // Mark with class while dragging


	      var className = (0, _clsx2.default)(children.props.className || '', defaultClassName, (_clsx = {}, _defineProperty(_clsx, defaultClassNameDragging, this.state.dragging), _defineProperty(_clsx, defaultClassNameDragged, this.state.dragged), _clsx)); // Reuse the child provided
	      // This makes it flexible to use whatever element is wanted (div, ul, etc)

	      return /*#__PURE__*/React.createElement(_DraggableCore.default, _extends({}, draggableCoreProps, {
	        onStart: this.onDragStart,
	        onDrag: this.onDrag,
	        onStop: this.onDragStop
	      }), /*#__PURE__*/React.cloneElement(React.Children.only(children), {
	        className: className,
	        style: _objectSpread(_objectSpread({}, children.props.style), style),
	        transform: svgTransform
	      }));
	    }
	  }], [{
	    key: "getDerivedStateFromProps",
	    value: // React 16.3+
	    // Arity (props, state)
	    function getDerivedStateFromProps(_ref, _ref2)
	    /*: ?$Shape<DraggableState>*/
	    {
	      var position = _ref.position;
	      var prevPropsPosition = _ref2.prevPropsPosition;

	      // Set x/y if a new position is provided in props that is different than the previous.
	      if (position && (!prevPropsPosition || position.x !== prevPropsPosition.x || position.y !== prevPropsPosition.y)) {
	        (0, _log.default)('Draggable: getDerivedStateFromProps %j', {
	          position: position,
	          prevPropsPosition: prevPropsPosition
	        });
	        return {
	          x: position.x,
	          y: position.y,
	          prevPropsPosition: _objectSpread({}, position)
	        };
	      }

	      return null;
	    }
	  }]);

	  return Draggable;
	}(React.Component);

	exports.default = Draggable;

	_defineProperty(Draggable, "displayName", 'Draggable');

	_defineProperty(Draggable, "propTypes", _objectSpread(_objectSpread({}, _DraggableCore.default.propTypes), {}, {
	  /**
	   * `axis` determines which axis the draggable can move.
	   *
	   *  Note that all callbacks will still return data as normal. This only
	   *  controls flushing to the DOM.
	   *
	   * 'both' allows movement horizontally and vertically.
	   * 'x' limits movement to horizontal axis.
	   * 'y' limits movement to vertical axis.
	   * 'none' limits all movement.
	   *
	   * Defaults to 'both'.
	   */
	  axis: _propTypes.default.oneOf(['both', 'x', 'y', 'none']),

	  /**
	   * `bounds` determines the range of movement available to the element.
	   * Available values are:
	   *
	   * 'parent' restricts movement within the Draggable's parent node.
	   *
	   * Alternatively, pass an object with the following properties, all of which are optional:
	   *
	   * {left: LEFT_BOUND, right: RIGHT_BOUND, bottom: BOTTOM_BOUND, top: TOP_BOUND}
	   *
	   * All values are in px.
	   *
	   * Example:
	   *
	   * ```jsx
	   *   let App = React.createClass({
	   *       render: function () {
	   *         return (
	   *            <Draggable bounds={{right: 300, bottom: 300}}>
	   *              <div>Content</div>
	   *           </Draggable>
	   *         );
	   *       }
	   *   });
	   * ```
	   */
	  bounds: _propTypes.default.oneOfType([_propTypes.default.shape({
	    left: _propTypes.default.number,
	    right: _propTypes.default.number,
	    top: _propTypes.default.number,
	    bottom: _propTypes.default.number
	  }), _propTypes.default.string, _propTypes.default.oneOf([false])]),
	  defaultClassName: _propTypes.default.string,
	  defaultClassNameDragging: _propTypes.default.string,
	  defaultClassNameDragged: _propTypes.default.string,

	  /**
	   * `defaultPosition` specifies the x and y that the dragged item should start at
	   *
	   * Example:
	   *
	   * ```jsx
	   *      let App = React.createClass({
	   *          render: function () {
	   *              return (
	   *                  <Draggable defaultPosition={{x: 25, y: 25}}>
	   *                      <div>I start with transformX: 25px and transformY: 25px;</div>
	   *                  </Draggable>
	   *              );
	   *          }
	   *      });
	   * ```
	   */
	  defaultPosition: _propTypes.default.shape({
	    x: _propTypes.default.number,
	    y: _propTypes.default.number
	  }),
	  positionOffset: _propTypes.default.shape({
	    x: _propTypes.default.oneOfType([_propTypes.default.number, _propTypes.default.string]),
	    y: _propTypes.default.oneOfType([_propTypes.default.number, _propTypes.default.string])
	  }),

	  /**
	   * `position`, if present, defines the current position of the element.
	   *
	   *  This is similar to how form elements in React work - if no `position` is supplied, the component
	   *  is uncontrolled.
	   *
	   * Example:
	   *
	   * ```jsx
	   *      let App = React.createClass({
	   *          render: function () {
	   *              return (
	   *                  <Draggable position={{x: 25, y: 25}}>
	   *                      <div>I start with transformX: 25px and transformY: 25px;</div>
	   *                  </Draggable>
	   *              );
	   *          }
	   *      });
	   * ```
	   */
	  position: _propTypes.default.shape({
	    x: _propTypes.default.number,
	    y: _propTypes.default.number
	  }),

	  /**
	   * These properties should be defined on the child, not here.
	   */
	  className: _shims.dontSetMe,
	  style: _shims.dontSetMe,
	  transform: _shims.dontSetMe
	}));

	_defineProperty(Draggable, "defaultProps", _objectSpread(_objectSpread({}, _DraggableCore.default.defaultProps), {}, {
	  axis: 'both',
	  bounds: false,
	  defaultClassName: 'react-draggable',
	  defaultClassNameDragging: 'react-draggable-dragging',
	  defaultClassNameDragged: 'react-draggable-dragged',
	  defaultPosition: {
	    x: 0,
	    y: 0
	  },
	  scale: 1
	}));
} (Draggable$1));

var _require = Draggable$1,
    Draggable = _require.default,
    DraggableCore = _require.DraggableCore; // Previous versions of this lib exported <Draggable> as the root export. As to no-// them, or TypeScript, we export *both* as the root and as 'default'.
// See https://github.com/mzabriskie/react-draggable/pull/254
// and https://github.com/mzabriskie/react-draggable/issues/266


cjs.exports = Draggable;
cjs.exports.default = Draggable;
cjs.exports.DraggableCore = DraggableCore;

var palette = {
    black: '#000000',
    white: '#FFFFFF',
    gray: {
        50: '#FAFAFA',
        100: '#F5F5F5',
        200: '#EDE8E8',
        300: '#E3E3DE',
        400: '#D9D9D4',
        500: '#D1CFC9',
        600: '#A6A6A1',
        700: '#7D7D78',
        800: '#54524F',
        900: '#292929',
    },
    blue: {
        50: '#E8EDFF',
        100: '#D1DBFF',
        200: '#A6B8FF',
        300: '#7894FF',
        400: '#4A70FF',
        500: '#1C4AFF',
        600: '#173DCC',
        700: '#122E99',
        800: '#0D1F66',
        900: '#050F33',
    },
    green: {
        50: '#E8F5ED',
        100: '#D4EDD9',
        200: '#A6D9B5',
        300: '#7DC791',
        400: '#4FB56E',
        500: '#24A147',
        600: '#1C823B',
        700: '#17612B',
        800: '#0D401C',
        900: '#08210D',
    },
    yellow: {
        50: '#FFFAE6',
        100: '#FCF5CC',
        200: '#FAEB99',
        300: '#F7DE66',
        400: '#F5D633',
        500: '#F2C900',
        600: '#C2A300',
        700: '#927800',
        800: '#615200',
        900: '#302900',
    },
    red: {
        50: '#FAE8EB',
        100: '#F7D1D4',
        200: '#F0A6A8',
        300: '#E8787D',
        400: '#E04A54',
        500: '#D91F29',
        600: '#AD1721',
        700: '#821217',
        800: '#570D0F',
        900: '#2B0508',
    },
};

var theme = {
    fontSize: {
        11: '0.6875rem',
        12: '0.75rem',
        14: '0.875rem',
        16: '1rem',
        18: '1.125rem',
        24: '1.5rem',
        32: '2rem',
        40: '2.5rem',
        48: '3rem',
        64: '4rem', // 800
    },
    fontWeight: {
        regular: 400,
        medium: 500,
        bold: 700,
    },
    brandColor: {
        primary: '#004181',
        empathsis: '#002C5F',
        secondary: '#E4DCD3',
        tertiary: '#F6F3F2',
    },
    systemColor: {
        success: '#24A148',
        warning: '#FDD13A',
        error: '#DA1E28',
        overlay: 'rgba(12, 12, 12, 0.48)',
        disabledDark: 'rgba(254, 254, 254, 0.24)',
        disabled: 'rgba(12, 12, 12, 0.12)',
        white: '#FFFFFF',
        black: '#000000',
        positive: '#1D4BFF',
    },
};

function Button(_a) {
    var children = _a.children, _b = _a.mould, mould = _b === void 0 ? 'primary' : _b, icon = _a.icon, _c = _a.iconPosition, iconPosition = _c === void 0 ? 'none' : _c, _d = _a.size, size = _d === void 0 ? 'large' : _d, _e = _a.disabled, disabled = _e === void 0 ? false : _e, _f = _a.width, width = _f === void 0 ? 'fit-content' : _f, _g = _a.height, height = _g === void 0 ? 'fit-content' : _g, onClick = _a.onClick;
    console.log("!!!");
    console.log("!!!");
    console.log("!!!!!!!!!!!!");
    var isMouldIcon = mould === 'icon';
    var buttonCss = [
        basicSt,
        sizeSt[size],
        mouldSt[mould],
        iconWithLabelSt[(iconPosition + size)],
        isMouldIcon && iconOnlySt[size],
        { width: width, height: height },
    ];
    return (jsxs("button", __assign({ css: buttonCss, disabled: disabled, onClick: onClick }, { children: [iconPosition === 'left' && !isMouldIcon && icon, isMouldIcon ? icon : jsx("span", { children: children }), iconPosition === 'right' && !isMouldIcon && icon, jsx("div", { children: "1" }), jsx("div", { children: "1" })] })));
}
var basicSt = css(templateObject_1$9 || (templateObject_1$9 = __makeTemplateObject(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  border: none;\n  border-radius: 0.5rem;\n  font-weight: ", ";\n  line-height: 100%;\n  cursor: pointer;\n\n  &:disabled {\n    cursor: default;\n\n    svg {\n      fill: ", ";\n    }\n  }\n"], ["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  border: none;\n  border-radius: 0.5rem;\n  font-weight: ", ";\n  line-height: 100%;\n  cursor: pointer;\n\n  &:disabled {\n    cursor: default;\n\n    svg {\n      fill: ", ";\n    }\n  }\n"])), theme.fontWeight.medium, palette.gray[500]);
var sizeSt = {
    large: css(templateObject_2$9 || (templateObject_2$9 = __makeTemplateObject(["\n    padding: 1rem 2rem;\n    font-size: ", ";\n  "], ["\n    padding: 1rem 2rem;\n    font-size: ", ";\n  "])), theme.fontSize[16]),
    medium: css(templateObject_3$7 || (templateObject_3$7 = __makeTemplateObject(["\n    padding: 0.75rem 1.5rem;\n    font-size: ", ";\n  "], ["\n    padding: 0.75rem 1.5rem;\n    font-size: ", ";\n  "])), theme.fontSize[16]),
    small: css(templateObject_4$7 || (templateObject_4$7 = __makeTemplateObject(["\n    padding: 0.563rem 1.125rem;\n    font-size: ", ";\n  "], ["\n    padding: 0.563rem 1.125rem;\n    font-size: ", ";\n  "])), theme.fontSize[14]),
    XSmall: css(templateObject_5$6 || (templateObject_5$6 = __makeTemplateObject([""], [""]))),
};
var mouldSt = {
    primary: css(templateObject_6$6 || (templateObject_6$6 = __makeTemplateObject(["\n    background-color: ", ";\n    color: ", ";\n\n    &:hover {\n      background-color: ", ";\n    }\n\n    &:disabled {\n      background: ", ";\n      color: ", ";\n    }\n  "], ["\n    background-color: ", ";\n    color: ", ";\n\n    &:hover {\n      background-color: ", ";\n    }\n\n    &:disabled {\n      background: ", ";\n      color: ", ";\n    }\n  "])), palette.blue[700], palette.gray[50], palette.blue[800], palette.gray[300], palette.gray[500]),
    secondary: css(templateObject_7$5 || (templateObject_7$5 = __makeTemplateObject(["\n    background-color: ", ";\n    border: 1px solid ", ";\n    color: ", ";\n\n    &:hover {\n      background-color: ", ";\n      border: 1px solid ", ";\n      color: ", ";\n    }\n\n    &:disabled {\n      background: ", ";\n      color: ", ";\n      border: 1px solid ", ";\n    }\n  "], ["\n    background-color: ", ";\n    border: 1px solid ", ";\n    color: ", ";\n\n    &:hover {\n      background-color: ", ";\n      border: 1px solid ", ";\n      color: ", ";\n    }\n\n    &:disabled {\n      background: ", ";\n      color: ", ";\n      border: 1px solid ", ";\n    }\n  "])), palette.gray[50], palette.blue[700], palette.blue[700], palette.gray[300], palette.blue[800], palette.blue[800], palette.gray[300], palette.gray[500], palette.gray[500]),
    tertiary: css(templateObject_8$4 || (templateObject_8$4 = __makeTemplateObject(["\n    background-color: transparent;\n    color: ", ";\n\n    &:hover {\n      background-color: ", ";\n      color: ", ";\n    }\n\n    &:disabled {\n      background-color: transparent;\n      color: ", ";\n    }\n  "], ["\n    background-color: transparent;\n    color: ", ";\n\n    &:hover {\n      background-color: ", ";\n      color: ", ";\n    }\n\n    &:disabled {\n      background-color: transparent;\n      color: ", ";\n    }\n  "])), palette.blue[700], palette.gray[300], palette.blue[800], palette.gray[300]),
    icon: css(templateObject_9$3 || (templateObject_9$3 = __makeTemplateObject(["\n    background-color: transparent;\n\n    &:hover {\n      svg {\n        fill: ", ";\n      }\n    }\n\n    &:disabled {\n      svg {\n        fill: ", ";\n      }\n    }\n  "], ["\n    background-color: transparent;\n\n    &:hover {\n      svg {\n        fill: ", ";\n      }\n    }\n\n    &:disabled {\n      svg {\n        fill: ", ";\n      }\n    }\n  "])), palette.blue[800], palette.gray[300]),
};
var svgSt = {
    large: css(templateObject_10$2 || (templateObject_10$2 = __makeTemplateObject(["\n    svg {\n      width: 2rem;\n      height: 2rem;\n    }\n  "], ["\n    svg {\n      width: 2rem;\n      height: 2rem;\n    }\n  "]))),
    medium: css(templateObject_11$2 || (templateObject_11$2 = __makeTemplateObject(["\n    svg {\n      width: 1.5rem;\n      height: 1.5rem;\n    }\n  "], ["\n    svg {\n      width: 1.5rem;\n      height: 1.5rem;\n    }\n  "]))),
    small: css(templateObject_12$2 || (templateObject_12$2 = __makeTemplateObject(["\n    svg {\n      width: 1.25rem;\n      height: 1.25rem;\n    }\n  "], ["\n    svg {\n      width: 1.25rem;\n      height: 1.25rem;\n    }\n  "]))),
    XSmall: css(templateObject_13$2 || (templateObject_13$2 = __makeTemplateObject(["\n    svg {\n      width: 1rem;\n      height: 1rem;\n    }\n  "], ["\n    svg {\n      width: 1rem;\n      height: 1rem;\n    }\n  "]))),
};
var iconWithLabelSt = {
    leftlarge: css(templateObject_14$2 || (templateObject_14$2 = __makeTemplateObject(["\n    padding: 0.5rem 1.5rem 0.5rem 1rem;\n    ", "\n\n    span {\n      margin-left: 0.5rem;\n    }\n  "], ["\n    padding: 0.5rem 1.5rem 0.5rem 1rem;\n    ", "\n\n    span {\n      margin-left: 0.5rem;\n    }\n  "])), svgSt.large),
    leftmedium: css(templateObject_15$1 || (templateObject_15$1 = __makeTemplateObject(["\n    padding: 0.5rem 1.25rem 0.5rem 1rem;\n    ", "\n\n    span {\n      margin-left: 0.375rem;\n    }\n  "], ["\n    padding: 0.5rem 1.25rem 0.5rem 1rem;\n    ", "\n\n    span {\n      margin-left: 0.375rem;\n    }\n  "])), svgSt.medium),
    leftsmall: css(templateObject_16$1 || (templateObject_16$1 = __makeTemplateObject(["\n    padding: 0.375rem 1rem 0.375rem 0.75rem;\n    ", "\n\n    span {\n      margin-left: 0.25rem;\n    }\n  "], ["\n    padding: 0.375rem 1rem 0.375rem 0.75rem;\n    ", "\n\n    span {\n      margin-left: 0.25rem;\n    }\n  "])), svgSt.small),
    rightlarge: css(templateObject_17 || (templateObject_17 = __makeTemplateObject(["\n    padding: 0.5rem 1rem 0.5rem 1.5rem;\n    ", "\n\n    span {\n      margin-right: 0.75rem;\n    }\n  "], ["\n    padding: 0.5rem 1rem 0.5rem 1.5rem;\n    ", "\n\n    span {\n      margin-right: 0.75rem;\n    }\n  "])), svgSt.large),
    rightmedium: css(templateObject_18 || (templateObject_18 = __makeTemplateObject(["\n    padding: 0.5rem 1rem 0.5rem 1.25rem;\n    ", "\n\n    span {\n      margin-right: 0.5rem;\n    }\n  "], ["\n    padding: 0.5rem 1rem 0.5rem 1.25rem;\n    ", "\n\n    span {\n      margin-right: 0.5rem;\n    }\n  "])), svgSt.medium),
    rightsmall: css(templateObject_19 || (templateObject_19 = __makeTemplateObject(["\n    padding: 0.375rem 0.75rem 0.375rem 1rem;\n    ", "\n\n    span {\n      margin-right: 0.25rem;\n    }\n  "], ["\n    padding: 0.375rem 0.75rem 0.375rem 1rem;\n    ", "\n\n    span {\n      margin-right: 0.25rem;\n    }\n  "])), svgSt.small),
};
var iconOnlySt = {
    large: css(templateObject_20 || (templateObject_20 = __makeTemplateObject(["\n    padding: 0.5rem;\n    ", "\n  "], ["\n    padding: 0.5rem;\n    ", "\n  "])), svgSt.large),
    medium: css(templateObject_21 || (templateObject_21 = __makeTemplateObject(["\n    padding: 0.5rem;\n    ", "\n  "], ["\n    padding: 0.5rem;\n    ", "\n  "])), svgSt.medium),
    small: css(templateObject_22 || (templateObject_22 = __makeTemplateObject(["\n    padding: 0.375rem;\n    ", "\n  "], ["\n    padding: 0.375rem;\n    ", "\n  "])), svgSt.small),
    XSmall: css(templateObject_23 || (templateObject_23 = __makeTemplateObject(["\n    padding: 0.25rem;\n    ", "\n  "], ["\n    padding: 0.25rem;\n    ", "\n  "])), svgSt.XSmall),
};
var templateObject_1$9, templateObject_2$9, templateObject_3$7, templateObject_4$7, templateObject_5$6, templateObject_6$6, templateObject_7$5, templateObject_8$4, templateObject_9$3, templateObject_10$2, templateObject_11$2, templateObject_12$2, templateObject_13$2, templateObject_14$2, templateObject_15$1, templateObject_16$1, templateObject_17, templateObject_18, templateObject_19, templateObject_20, templateObject_21, templateObject_22, templateObject_23;

var _g$A, _defs$A;

function _extends$C() { _extends$C = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$C.apply(this, arguments); }

var SvgContentAccount = function SvgContentAccount(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$C({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$A || (_g$A = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_438_321)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M12 2C6.48 2 2 6.48 2 12C2 17.52 6.48 22 12 22C17.52 22 22 17.52 22 12C22 6.48 17.52 2 12 2ZM12 5C13.66 5 15 6.34 15 8C15 9.66 13.66 11 12 11C10.34 11 9 9.66 9 8C9 6.34 10.34 5 12 5ZM12 19.2C9.5 19.2 7.29 17.92 6 15.98C6.03 13.99 10 12.9 12 12.9C13.99 12.9 17.97 13.99 18 15.98C16.71 17.92 14.5 19.2 12 19.2Z",
    fill: "current"
  }))), _defs$A || (_defs$A = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_438_321"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$z, _defs$z;

function _extends$B() { _extends$B = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$B.apply(this, arguments); }

var SvgContentCalendar = function SvgContentCalendar(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$B({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$z || (_g$z = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_498_158)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M19 4H18V3C18 2.44772 17.5523 2 17 2C16.4477 2 16 2.44772 16 3V4H8V3C8 2.44772 7.55228 2 7 2C6.44772 2 6 2.44772 6 3V4H5C3.89 4 3.01 4.9 3.01 6L3 20C3 21.1 3.89 22 5 22H19C20.1 22 21 21.1 21 20V6C21 4.9 20.1 4 19 4ZM19 20H5V10H19V20ZM19 8H5V6H19V8ZM9 14H7V12H9V14ZM13 14H11V12H13V14ZM17 14H15V12H17V14ZM9 18H7V16H9V18ZM13 18H11V16H13V18Z",
    fill: "current"
  }))), _defs$z || (_defs$z = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_498_158"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$y, _defs$y;

function _extends$A() { _extends$A = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$A.apply(this, arguments); }

var SvgContentDocument = function SvgContentDocument(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$A({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$y || (_g$y = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_3208_2743)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M9 18H15C15.2833 18 15.521 17.904 15.713 17.712C15.9043 17.5207 16 17.2833 16 17C16 16.7167 15.9043 16.4793 15.713 16.288C15.521 16.096 15.2833 16 15 16H9C8.71667 16 8.47933 16.096 8.288 16.288C8.096 16.4793 8 16.7167 8 17C8 17.2833 8.096 17.5207 8.288 17.712C8.47933 17.904 8.71667 18 9 18ZM9 14H15C15.2833 14 15.521 13.904 15.713 13.712C15.9043 13.5207 16 13.2833 16 13C16 12.7167 15.9043 12.479 15.713 12.287C15.521 12.0957 15.2833 12 15 12H9C8.71667 12 8.47933 12.0957 8.288 12.287C8.096 12.479 8 12.7167 8 13C8 13.2833 8.096 13.5207 8.288 13.712C8.47933 13.904 8.71667 14 9 14ZM6 22C5.45 22 4.97933 21.8043 4.588 21.413C4.196 21.021 4 20.55 4 20V4C4 3.45 4.196 2.979 4.588 2.587C4.97933 2.19567 5.45 2 6 2H13.175C13.4417 2 13.696 2.05 13.938 2.15C14.1793 2.25 14.3917 2.39167 14.575 2.575L19.425 7.425C19.6083 7.60833 19.75 7.82067 19.85 8.062C19.95 8.304 20 8.55833 20 8.825V20C20 20.55 19.8043 21.021 19.413 21.413C19.021 21.8043 18.55 22 18 22H6ZM13 8V4H6V20H18V9H14C13.7167 9 13.4793 8.904 13.288 8.712C13.096 8.52067 13 8.28333 13 8ZM6 4V9V4V20V4Z",
    fill: "current"
  }))), _defs$y || (_defs$y = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_3208_2743"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$x, _defs$x;

function _extends$z() { _extends$z = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$z.apply(this, arguments); }

var SvgContentHelp = function SvgContentHelp(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$z({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$x || (_g$x = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_447_518)"
  }, /*#__PURE__*/React$1.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M2 12C2 6.48 6.48 2 12 2C17.52 2 22 6.48 22 12C22 17.52 17.52 22 12 22C6.48 22 2 17.52 2 12ZM14.17 12.17L15.07 11.25C16.09 10.23 16.44 8.48 15.26 6.85C14.36 5.6 12.91 4.81 11.39 5.05C9.84 5.29 8.59 6.41 8.16 7.88C8 8.44 8.4 9 8.98 9H9.28C9.67 9 9.98 8.72 10.1 8.35C10.43 7.4 11.46 6.77 12.57 7.08C13.27 7.28 13.83 7.89 13.96 8.61C14.09 9.31 13.87 9.97 13.41 10.41L12.17 11.67C11.75 12.09 11.42 12.61 11.22 13.19C11.08 13.6 11 14.04 11 14.5V15C11 15 11 16 12 16C13 16 13 15 13 15C13 14.54 13.05 14.18 13.13 13.86C13.31 13.14 13.67 12.68 14.17 12.17ZM12 19C12.5523 19 13 18.5523 13 18C13 17.4477 12.5523 17 12 17C11.4477 17 11 17.4477 11 18C11 18.5523 11.4477 19 12 19Z",
    fill: "current"
  }))), _defs$x || (_defs$x = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_447_518"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$w, _defs$w;

function _extends$y() { _extends$y = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$y.apply(this, arguments); }

var SvgContentInfo = function SvgContentInfo(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$y({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$w || (_g$w = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_770_288)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M11 16C11 16.5523 11.4477 17 12 17C12.5523 17 13 16.5523 13 16V12C13 11.4477 12.5523 11 12 11C11.4477 11 11 11.4477 11 12V16ZM12 9C12.2833 9 12.521 8.904 12.713 8.712C12.9043 8.52067 13 8.28333 13 8C13 7.71667 12.9043 7.479 12.713 7.287C12.521 7.09567 12.2833 7 12 7C11.7167 7 11.4793 7.09567 11.288 7.287C11.096 7.479 11 7.71667 11 8C11 8.28333 11.096 8.52067 11.288 8.712C11.4793 8.904 11.7167 9 12 9ZM12 22C10.6167 22 9.31667 21.7373 8.1 21.212C6.88333 20.6873 5.825 19.975 4.925 19.075C4.025 18.175 3.31267 17.1167 2.788 15.9C2.26267 14.6833 2 13.3833 2 12C2 10.6167 2.26267 9.31667 2.788 8.1C3.31267 6.88333 4.025 5.825 4.925 4.925C5.825 4.025 6.88333 3.31233 8.1 2.787C9.31667 2.26233 10.6167 2 12 2C13.3833 2 14.6833 2.26233 15.9 2.787C17.1167 3.31233 18.175 4.025 19.075 4.925C19.975 5.825 20.6873 6.88333 21.212 8.1C21.7373 9.31667 22 10.6167 22 12C22 13.3833 21.7373 14.6833 21.212 15.9C20.6873 17.1167 19.975 18.175 19.075 19.075C18.175 19.975 17.1167 20.6873 15.9 21.212C14.6833 21.7373 13.3833 22 12 22ZM12 20C14.2167 20 16.1043 19.221 17.663 17.663C19.221 16.1043 20 14.2167 20 12C20 9.78333 19.221 7.89567 17.663 6.337C16.1043 4.779 14.2167 4 12 4C9.78333 4 7.896 4.779 6.338 6.337C4.77933 7.89567 4 9.78333 4 12C4 14.2167 4.77933 16.1043 6.338 17.663C7.896 19.221 9.78333 20 12 20Z",
    fill: "current"
  }))), _defs$w || (_defs$w = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_770_288"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$v, _defs$v;

function _extends$x() { _extends$x = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$x.apply(this, arguments); }

var SvgContentInvite = function SvgContentInvite(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$x({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$v || (_g$v = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_3213_2754)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M15 19H6C5.45 19 5 18.55 5 18V9C5 8.45 5.45 8 6 8H9C9.55 8 10 7.55 10 7C10 6.45 9.55 6 9 6H5C3.89 6 3 6.9 3 8V19C3 20.1 3.9 21 5 21H16C17.1 21 18 20.1 18 19V15C18 14.45 17.55 14 17 14C16.45 14 16 14.45 16 15V18C16 18.55 15.55 19 15 19Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M17 12C16.7167 12 16.4793 11.904 16.288 11.712C16.096 11.5207 16 11.2833 16 11V8H13C12.7167 8 12.479 7.904 12.287 7.712C12.0957 7.52067 12 7.28333 12 7C12 6.71667 12.0957 6.479 12.287 6.287C12.479 6.09567 12.7167 6 13 6H16V3C16 2.71667 16.096 2.479 16.288 2.287C16.4793 2.09567 16.7167 2 17 2C17.2833 2 17.521 2.09567 17.713 2.287C17.9043 2.479 18 2.71667 18 3V6H21C21.2833 6 21.5207 6.09567 21.712 6.287C21.904 6.479 22 6.71667 22 7C22 7.28333 21.904 7.52067 21.712 7.712C21.5207 7.904 21.2833 8 21 8H18V11C18 11.2833 17.9043 11.5207 17.713 11.712C17.521 11.904 17.2833 12 17 12Z",
    fill: "current"
  }))), _defs$v || (_defs$v = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_3213_2754"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$u, _defs$u;

function _extends$w() { _extends$w = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$w.apply(this, arguments); }

var SvgContentNotifications = function SvgContentNotifications(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$w({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$u || (_g$u = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_498_157)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M18 15.5V10.5C18 7.43 16.37 4.86 13.5 4.18V3.5C13.5 2.67 12.83 2 12 2C11.17 2 10.5 2.67 10.5 3.5V4.18C7.64 4.86 6 7.42 6 10.5V15.5L4.20711 17.2929C4.0745 17.4255 4 17.6054 4 17.7929C4 18.1834 4.31658 18.5 4.70711 18.5H19.2929C19.6834 18.5 20 18.1834 20 17.7929C20 17.6054 19.9255 17.4255 19.7929 17.2929L18 15.5ZM16 16.5H8V10.5C8 8.02 9.51 6 12 6C14.49 6 16 8.02 16 10.5V16.5Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M14 20C14 21.1 13.1 22 12 22C10.9 22 10 21.1 10 20H14Z",
    fill: "current"
  }))), _defs$u || (_defs$u = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_498_157"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$t, _defs$t;

function _extends$v() { _extends$v = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$v.apply(this, arguments); }

var SvgContentNumbersWaiting = function SvgContentNumbersWaiting(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$v({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$t || (_g$t = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_3352_3024)"
  }, /*#__PURE__*/React$1.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M11 4C7.13401 4 4 7.13401 4 11C4 14.866 7.13401 18 11 18C11.5523 18 12 18.4477 12 19C12 19.5523 11.5523 20 11 20C6.02944 20 2 15.9706 2 11C2 6.02944 6.02944 2 11 2C14.7786 2 18.011 4.32832 19.3454 7.62479C19.5526 8.13672 19.3056 8.71971 18.7937 8.92694C18.2818 9.13416 17.6988 8.88715 17.4915 8.37521C16.4524 5.80802 13.9361 4 11 4ZM17.5 15C18.8807 15 20 13.8807 20 12.5C20 11.1193 18.8807 10 17.5 10C16.1193 10 15 11.1193 15 12.5C15 13.8807 16.1193 15 17.5 15ZM22 18.25C22 20.1178 20.7143 22 17.5 22C14.2857 22 13 20.1249 13 18.25V18.1264C13 16.9515 13.7937 16 14.7727 16H20.2273C21.2063 16 22 16.9515 22 18.1264V18.25ZM12 7C12 6.44772 11.5523 6 11 6C10.4477 6 10 6.44772 10 7V11C10 11.5523 10.4477 12 11 12H13C13.5523 12 14 11.5523 14 11C14 10.4477 13.5523 10 13 10H12V7Z",
    fill: "current"
  }))), _defs$t || (_defs$t = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_3352_3024"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$s, _defs$s;

function _extends$u() { _extends$u = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$u.apply(this, arguments); }

var SvgContentProcessTime = function SvgContentProcessTime(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$u({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$s || (_g$s = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_3352_3022)"
  }, /*#__PURE__*/React$1.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M20 12C20 16.4183 16.4183 20 12 20C7.58172 20 4 16.4183 4 12C4 7.58172 7.58172 4 12 4C16.4183 4 20 7.58172 20 12ZM22 12C22 17.5228 17.5228 22 12 22C6.47715 22 2 17.5228 2 12C2 6.47715 6.47715 2 12 2C17.5228 2 22 6.47715 22 12ZM8.07436 16.7907C8.35716 16.5117 8.35716 16.0593 8.07436 15.7803C5.90626 13.641 5.90626 10.1726 8.07436 8.03336C9.48605 6.64047 11.469 6.15367 13.2819 6.57606C13.6712 6.66675 14.0612 6.42893 14.1531 6.04488C14.245 5.66083 14.004 5.27598 13.6148 5.1853C11.3338 4.65385 8.83153 5.26535 7.05027 7.0229C4.31658 9.72021 4.31658 14.0934 7.05027 16.7907C7.33307 17.0698 7.79157 17.0698 8.07436 16.7907ZM18.6076 9.62219C18.4756 9.2497 18.0625 9.05333 17.685 9.18359C17.3075 9.31385 17.1085 9.72142 17.2405 10.0939C17.923 12.0195 17.4834 14.2434 15.9258 15.7803C15.643 16.0593 15.643 16.5117 15.9258 16.7907C16.2086 17.0698 16.6671 17.0698 16.9498 16.7907C18.9155 14.8512 19.4667 12.0462 18.6076 9.62219ZM16.5123 6.81186C16.286 6.63521 15.9647 6.64134 15.7455 6.8265L15.5391 7.00116C15.4076 7.11252 15.2194 7.27214 14.9923 7.46527C14.5382 7.85148 13.9281 8.37201 13.3049 8.90889C12.6821 9.44539 12.0442 9.99984 11.5352 10.4534C11.281 10.6799 11.0564 10.8835 10.8809 11.0481C10.7178 11.2012 10.5652 11.3499 10.4821 11.4535C9.86179 12.2271 9.99455 13.3505 10.7787 13.9626C11.5628 14.5747 12.7013 14.4437 13.3217 13.67C13.4047 13.5665 13.5163 13.3857 13.6297 13.1938C13.7517 12.9875 13.9008 12.725 14.0658 12.4288C14.396 11.8357 14.7961 11.0956 15.182 10.3742C15.5681 9.6522 15.9411 8.94664 16.2176 8.42172C16.3558 8.15922 16.4699 7.94179 16.5495 7.78994L16.6743 7.55158C16.8065 7.29851 16.7386 6.98851 16.5123 6.81186Z",
    fill: "current"
  }))), _defs$s || (_defs$s = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_3352_3022"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$r, _defs$r;

function _extends$t() { _extends$t = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$t.apply(this, arguments); }

var SvgContentTotalInflow = function SvgContentTotalInflow(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$t({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$r || (_g$r = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_3352_3021)"
  }, /*#__PURE__*/React$1.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M5 4C5 3.44772 4.55228 3 4 3C3.44772 3 3 3.44772 3 4V20C3 20.5523 3.44772 21 4 21H17.9981C17.9987 21 17.9994 21 18.0001 21C18.0007 21 18.0014 21 18.002 21H20C20.5523 21 21 20.5523 21 20C21 19.4477 20.5523 19 20 19H19.0001V6C19.0001 5.59938 18.761 5.23742 18.3925 5.08021C18.024 4.923 17.5972 5.00089 17.308 5.27814L13.7414 8.69737L11.0047 6.69321C10.5644 6.37079 9.94697 6.46087 9.61716 6.89562L6.20336 11.3956C5.86957 11.8356 5.95567 12.4629 6.39567 12.7967C6.83567 13.1305 7.46295 13.0444 7.79675 12.6044L10.6163 8.88772L13.2368 10.8068C13.6284 11.0936 14.1693 11.0577 14.5197 10.7219L17.0001 8.34398V19H5V4Z",
    fill: "current"
  }))), _defs$r || (_defs$r = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_3352_3021"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$q, _defs$q;

function _extends$s() { _extends$s = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$s.apply(this, arguments); }

var SvgContentWaitTime = function SvgContentWaitTime(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$s({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$q || (_g$q = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_3352_3023)"
  }, /*#__PURE__*/React$1.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M12 6C12.5523 6 13 6.44771 13 7V12H16C16.5523 12 17 12.4477 17 13C17 13.5523 16.5523 14 16 14L12 14C11.931 14 11.8636 13.993 11.7985 13.9797C11.3428 13.8864 11 13.4832 11 13C11 12.9995 11 12.9991 11 12.9986V7C11 6.44771 11.4477 6 12 6ZM15.9 2.788C14.6833 2.26267 13.3833 2 12 2C10.6167 2 9.31667 2.26267 8.1 2.788C6.88333 3.31266 5.825 4.025 4.925 4.925C4.025 5.825 3.31267 6.88333 2.788 8.1C2.26267 9.31667 2 10.6167 2 12C2 13.3833 2.26267 14.6833 2.788 15.9C3.31267 17.1167 4.025 18.175 4.925 19.075C5.825 19.975 6.88333 20.6877 8.1 21.213C9.31667 21.7377 10.6167 22 12 22C13.3833 22 14.6833 21.7377 15.9 21.213C17.1167 20.6877 18.175 19.975 19.075 19.075C19.975 18.175 20.6873 17.1167 21.212 15.9C21.7373 14.6833 22 13.3833 22 12C22 10.6167 21.7373 9.31667 21.212 8.1C20.6873 6.88333 19.975 5.825 19.075 4.925C18.175 4.025 17.1167 3.31267 15.9 2.788ZM6.337 6.337C7.89567 4.779 9.78333 4 12 4C14.2167 4 16.104 4.779 17.662 6.337C19.2207 7.89567 20 9.78333 20 12C20 14.2167 19.2207 16.1043 17.662 17.663C16.104 19.221 14.2167 20 12 20C9.78333 20 7.89567 19.221 6.337 17.663C4.779 16.1043 4 14.2167 4 12C4 9.78333 4.779 7.89566 6.337 6.337Z",
    fill: "current"
  }))), _defs$q || (_defs$q = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_3352_3023"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$p, _defs$p;

function _extends$r() { _extends$r = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$r.apply(this, arguments); }

var SvgFunctionAdd = function SvgFunctionAdd(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$r({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$p || (_g$p = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_2008_2311)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M12 19C11.7167 19 11.4793 18.904 11.288 18.712C11.096 18.5207 11 18.2833 11 18V13H6C5.71667 13 5.479 12.904 5.287 12.712C5.09567 12.5207 5 12.2833 5 12C5 11.7167 5.09567 11.479 5.287 11.287C5.479 11.0957 5.71667 11 6 11H11V6C11 5.71667 11.096 5.479 11.288 5.287C11.4793 5.09567 11.7167 5 12 5C12.2833 5 12.521 5.09567 12.713 5.287C12.9043 5.479 13 5.71667 13 6V11H18C18.2833 11 18.5207 11.0957 18.712 11.287C18.904 11.479 19 11.7167 19 12C19 12.2833 18.904 12.5207 18.712 12.712C18.5207 12.904 18.2833 13 18 13H13V18C13 18.2833 12.9043 18.5207 12.713 18.712C12.521 18.904 12.2833 19 12 19Z",
    fill: "current"
  }))), _defs$p || (_defs$p = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_2008_2311"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$o, _defs$o;

function _extends$q() { _extends$q = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$q.apply(this, arguments); }

var SvgFunctionDashboard = function SvgFunctionDashboard(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$q({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$o || (_g$o = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_452_97)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M4 13H10C10.55 13 11 12.55 11 12V4C11 3.45 10.55 3 10 3H4C3.45 3 3 3.45 3 4V12C3 12.55 3.45 13 4 13ZM4 21H10C10.55 21 11 20.55 11 20V16C11 15.45 10.55 15 10 15H4C3.45 15 3 15.45 3 16V20C3 20.55 3.45 21 4 21ZM14 21H20C20.55 21 21 20.55 21 20V12C21 11.45 20.55 11 20 11H14C13.45 11 13 11.45 13 12V20C13 20.55 13.45 21 14 21ZM13 4V8C13 8.55 13.45 9 14 9H20C20.55 9 21 8.55 21 8V4C21 3.45 20.55 3 20 3H14C13.45 3 13 3.45 13 4Z",
    fill: "current"
  }))), _defs$o || (_defs$o = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_452_97"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _path$1;

function _extends$p() { _extends$p = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$p.apply(this, arguments); }

var SvgFunctionEdit = function SvgFunctionEdit(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$p({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1 || (_path$1 = /*#__PURE__*/React$1.createElement("path", {
    d: "M15.9514 4C17.0694 2.88199 18.0435 3.72049 19.1615 4.83843C20.2794 5.95627 21 7.04819 19.8821 8.1661L18.4482 9.60007L14.3996 5.55183L15.9514 4ZM13.5511 6.40035L5.55283 14.399C5.22777 14.7241 4.99928 15.133 4.8928 15.5802L4.01633 19.2611C3.96807 19.4638 4.02842 19.677 4.17575 19.8243C4.32308 19.9716 4.53629 20.0319 4.73899 19.9837L8.41999 19.1073C8.86736 19.0008 9.27638 18.7722 9.60154 18.4471L17.5997 10.4486L13.5511 6.40035Z",
    fill: "current"
  })));
};

var _g$n, _defs$n;

function _extends$o() { _extends$o = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$o.apply(this, arguments); }

var SvgFunctionFileDownload = function SvgFunctionFileDownload(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$o({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$n || (_g$n = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_526_322)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M18 15V18H6V15H5C4.44772 15 4 15.4477 4 16V18C4 19.1 4.9 20 6 20H18C19.1 20 20 19.1 20 18V16C20 15.4477 19.5523 15 19 15H18ZM16.2943 11.7057C16.6841 11.3159 16.6841 10.6841 16.2943 10.2943C15.9051 9.90511 15.2743 9.9045 14.8843 10.293L13 12.17V5C13 4.44771 12.5523 4 12 4C11.4477 4 11 4.44772 11 5V12.17L9.11568 10.293C8.72572 9.9045 8.09489 9.90511 7.70568 10.2943C7.31594 10.6841 7.31594 11.3159 7.70568 11.7057L12 16L16.2943 11.7057Z",
    fill: "current"
  }))), _defs$n || (_defs$n = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_526_322"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$m, _defs$m;

function _extends$n() { _extends$n = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$n.apply(this, arguments); }

var SvgFunctionMonitoring = function SvgFunctionMonitoring(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$n({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$m || (_g$m = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_452_88)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M15.11 12.45L14 10.24L10.89 16.45C10.73 16.79 10.38 17 10 17C9.62 17 9.27 16.79 9.11 16.45L7.38 13H2V18C2 19.1 2.9 20 4 20H20C21.1 20 22 19.1 22 18V13H16C15.62 13 15.27 12.79 15.11 12.45Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M20 4H4C2.9 4 2 4.9 2 6V11H8C8.38 11 8.73 11.21 8.89 11.55L10 13.76L13.11 7.55C13.45 6.87 14.56 6.87 14.9 7.55L16.62 11H22V6C22 4.9 21.1 4 20 4Z",
    fill: "current"
  }))), _defs$m || (_defs$m = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_452_88"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$l, _defs$l;

function _extends$m() { _extends$m = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$m.apply(this, arguments); }

var SvgFunctionProject = function SvgFunctionProject(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$m({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$l || (_g$l = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_492_114)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M19 3H5C3.9 3 3 3.9 3 5V19C3 20.1 3.9 21 5 21H19C20.1 21 21 20.1 21 19V5C21 3.9 20.1 3 19 3ZM19 19H5V5H19V19Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M9 12H7V17H9V12Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M17 7H15V17H17V7Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M13 14H11V17H13V14Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M13 10H11V12H13V10Z",
    fill: "current"
  }))), _defs$l || (_defs$l = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_492_114"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$k, _defs$k;

function _extends$l() { _extends$l = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$l.apply(this, arguments); }

var SvgFunctionRefresh = function SvgFunctionRefresh(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$l({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$k || (_g$k = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_527_326)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M17.65 6.34999C16.02 4.71999 13.71 3.77999 11.17 4.03999C7.5 4.40999 4.48 7.38999 4.07 11.06C3.52 15.91 7.27 20 12 20C15.19 20 17.93 18.13 19.21 15.44C19.53 14.77 19.05 14 18.31 14C17.94 14 17.59 14.2 17.43 14.53C16.3 16.96 13.59 18.5 10.63 17.84C8.41 17.35 6.62 15.54 6.15 13.32C5.31 9.43999 8.26 5.99999 12 5.99999C13.66 5.99999 15.14 6.68999 16.22 7.77999L14.71 9.28999C14.08 9.91999 14.52 11 15.41 11H19C19.55 11 20 10.55 20 9.99999V6.40999C20 5.51999 18.92 5.06999 18.29 5.69999L17.65 6.34999Z",
    fill: "current"
  }))), _defs$k || (_defs$k = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_527_326"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$j, _defs$j;

function _extends$k() { _extends$k = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$k.apply(this, arguments); }

var SvgFunctionSettings = function SvgFunctionSettings(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$k({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$j || (_g$j = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_456_106)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M19.5 12C19.5 11.77 19.49 11.55 19.47 11.32L21.33 9.91C21.73 9.61 21.84 9.05 21.59 8.61L19.72 5.38C19.47 4.94 18.93 4.76 18.47 4.96L16.32 5.87C15.95 5.61 15.56 5.38 15.15 5.19L14.86 2.88C14.8 2.38 14.37 2 13.87 2H10.14C9.63 2 9.2 2.38 9.14 2.88L8.85 5.19C8.44 5.38 8.05 5.61 7.68 5.87L5.53 4.96C5.07 4.76 4.53 4.94 4.28 5.38L2.41 8.62C2.16 9.06 2.27 9.61 2.67 9.92L4.53 11.33C4.51 11.55 4.5 11.77 4.5 12C4.5 12.23 4.51 12.45 4.53 12.68L2.67 14.09C2.27 14.39 2.16 14.95 2.41 15.39L4.28 18.62C4.53 19.06 5.07 19.24 5.53 19.04L7.68 18.13C8.05 18.39 8.44 18.62 8.85 18.81L9.14 21.12C9.2 21.62 9.63 22 10.13 22H13.86C14.36 22 14.79 21.62 14.85 21.12L15.14 18.81C15.55 18.62 15.94 18.39 16.31 18.13L18.46 19.04C18.92 19.24 19.46 19.06 19.71 18.62L21.58 15.39C21.83 14.95 21.72 14.4 21.32 14.09L19.46 12.68C19.49 12.45 19.5 12.23 19.5 12ZM12.04 15.5C10.11 15.5 8.54 13.93 8.54 12C8.54 10.07 10.11 8.5 12.04 8.5C13.97 8.5 15.54 10.07 15.54 12C15.54 13.93 13.97 15.5 12.04 15.5Z",
    fill: "current"
  }))), _defs$j || (_defs$j = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_456_106"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$i, _defs$i;

function _extends$j() { _extends$j = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$j.apply(this, arguments); }

var SvgFunctionTableChart = function SvgFunctionTableChart(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$j({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$i || (_g$i = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_769_285)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M20 21H5C4.45 21 3.979 20.8043 3.587 20.413C3.19567 20.021 3 19.55 3 19V5C3 4.45 3.19567 3.979 3.587 3.587C3.979 3.19567 4.45 3 5 3H20C20.55 3 21.021 3.19567 21.413 3.587C21.8043 3.979 22 4.45 22 5V19C22 19.55 21.8043 20.021 21.413 20.413C21.021 20.8043 20.55 21 20 21ZM5 8H20V5H5V8ZM8 10H5V19H8V10ZM17 10V19H20V10H17ZM15 10H10V19H15V10Z",
    fill: "current"
  }))), _defs$i || (_defs$i = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_769_285"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _path;

function _extends$i() { _extends$i = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$i.apply(this, arguments); }

var SvgNavigationArrowDown = function SvgNavigationArrowDown(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$i({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path || (_path = /*#__PURE__*/React$1.createElement("path", {
    d: "M7.29168 15.7586C7.68059 15.3697 8.31699 15.3697 8.7059 15.7586L10.5373 17.59L10.5373 3.99702C10.5373 3.44548 10.9828 3 11.5343 3C12.0859 3 12.5313 3.44548 12.5313 3.99702L12.5313 17.59L14.3627 15.7586C14.7517 15.3697 15.3881 15.3697 15.777 15.7586C16.1659 16.1475 16.1659 16.7839 15.777 17.1728L12.2414 20.7083C11.8525 21.0972 11.2161 21.0972 10.8272 20.7083L7.29168 17.1728C6.90277 16.7839 6.90277 16.1475 7.29168 15.7586Z",
    fill: "current"
  })));
};

var _g$h, _defs$h;

function _extends$h() { _extends$h = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$h.apply(this, arguments); }

var SvgNavigationArrowUp = function SvgNavigationArrowUp(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$h({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$h || (_g$h = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_592_412)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M7.29168 8.24143C7.68059 8.63034 8.31699 8.63034 8.7059 8.24143L10.5373 6.41002L10.5373 20.003C10.5373 20.5545 10.9828 21 11.5343 21C12.0859 21 12.5313 20.5545 12.5313 20.003L12.5313 6.41002L14.3627 8.24143C14.7517 8.63034 15.3881 8.63034 15.777 8.24143C16.1659 7.85252 16.1659 7.21612 15.777 6.82722L12.2414 3.29168C11.8525 2.90277 11.2161 2.90277 10.8272 3.29168L7.29168 6.82721C6.90277 7.21612 6.90277 7.85252 7.29168 8.24143Z",
    fill: "current"
  }))), _defs$h || (_defs$h = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_592_412"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$g, _defs$g;

function _extends$g() { _extends$g = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$g.apply(this, arguments); }

var SvgNavigationChevronDown = function SvgNavigationChevronDown(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$g({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$g || (_g$g = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_611_2241)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M17.5896 10.413C17.9792 10.0234 17.9792 9.39178 17.5896 9.0022C17.2003 8.61293 16.5693 8.61259 16.1796 9.00143L12.295 12.8776L8.41038 9.00143C8.02069 8.61258 7.38966 8.61293 7.00039 9.0022C6.61081 9.39178 6.61081 10.0234 7.00039 10.413L11.5879 15.0005C11.9784 15.391 12.6116 15.391 13.0021 15.0005L17.5896 10.413Z",
    fill: "current"
  }))), _defs$g || (_defs$g = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_611_2241"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$f, _defs$f;

function _extends$f() { _extends$f = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$f.apply(this, arguments); }

var SvgNavigationChevronLeft = function SvgNavigationChevronLeft(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$f({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$f || (_g$f = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_496_138)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M13.5904 6.70539C13.98 6.31581 14.6116 6.31581 15.0012 6.70539C15.3904 7.09466 15.3908 7.72569 15.0019 8.11539L11.1258 12L15.0019 15.8846C15.3908 16.2743 15.3904 16.9053 15.0012 17.2946C14.6116 17.6842 13.98 17.6842 13.5904 17.2946L9.00289 12.7071C8.61237 12.3166 8.61237 11.6834 9.00289 11.2929L13.5904 6.70539Z",
    fill: "current"
  }))), _defs$f || (_defs$f = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_496_138"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$e, _defs$e;

function _extends$e() { _extends$e = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$e.apply(this, arguments); }

var SvgNavigationChevronRight = function SvgNavigationChevronRight(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$e({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$e || (_g$e = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_496_133)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M10.413 6.70539C10.0234 6.31581 9.39176 6.31581 9.00219 6.70539C8.61291 7.09466 8.61257 7.72569 9.00142 8.11539L12.8776 12L9.00142 15.8846C8.61257 16.2743 8.61291 16.9053 9.00219 17.2946C9.39176 17.6842 10.0234 17.6842 10.413 17.2946L15.0005 12.7071C15.391 12.3166 15.391 11.6834 15.0005 11.2929L10.413 6.70539Z",
    fill: "current"
  }))), _defs$e || (_defs$e = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_496_133"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$d, _defs$d;

function _extends$d() { _extends$d = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$d.apply(this, arguments); }

var SvgNavigationClose = function SvgNavigationClose(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$d({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$d || (_g$d = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_352_112)"
  }, /*#__PURE__*/React$1.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M20.7163 3.28366C21.0946 3.66188 21.0946 4.27509 20.7163 4.6533L4.6533 20.7163C4.27509 21.0946 3.66188 21.0946 3.28366 20.7163C2.90545 20.3381 2.90545 19.7249 3.28366 19.3467L19.3467 3.28366C19.7249 2.90545 20.3381 2.90545 20.7163 3.28366Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M20.7163 20.7163C21.0946 20.3381 21.0946 19.7249 20.7163 19.3467L4.6533 3.28366C4.27509 2.90545 3.66188 2.90545 3.28366 3.28366C2.90545 3.66188 2.90545 4.27509 3.28366 4.65331L19.3467 20.7163C19.7249 21.0946 20.3381 21.0946 20.7163 20.7163Z",
    fill: "current"
  }))), _defs$d || (_defs$d = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_352_112"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$c, _defs$c;

function _extends$c() { _extends$c = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$c.apply(this, arguments); }

var SvgNavigationDoubleChevronLeft = function SvgNavigationDoubleChevronLeft(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$c({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$c || (_g$c = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_2212_4504)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M15.8804 6.29218C16.27 5.90261 16.9016 5.90261 17.2912 6.29218C17.6804 6.68145 17.6808 7.31248 17.2919 7.70218L13.4158 11.5868L17.2919 15.4714C17.6808 15.8611 17.6804 16.4921 17.2912 16.8814C16.9016 17.271 16.27 17.271 15.8804 16.8814L11.2929 12.2939C10.9024 11.9034 10.9024 11.2702 11.2929 10.8797L15.8804 6.29218Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M10.8804 6.29218C11.27 5.90261 11.9016 5.90261 12.2912 6.29218C12.6804 6.68145 12.6808 7.31248 12.2919 7.70218L8.41579 11.5868L12.2919 15.4714C12.6808 15.8611 12.6804 16.4921 12.2912 16.8814C11.9016 17.271 11.27 17.271 10.8804 16.8814L6.29289 12.2939C5.90237 11.9034 5.90237 11.2702 6.29289 10.8797L10.8804 6.29218Z",
    fill: "current"
  }))), _defs$c || (_defs$c = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_2212_4504"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$b, _defs$b;

function _extends$b() { _extends$b = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$b.apply(this, arguments); }

var SvgNavigationDoubleChevronRight = function SvgNavigationDoubleChevronRight(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$b({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$b || (_g$b = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_2201_4185)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M7.70295 6.29218C7.31338 5.90261 6.68175 5.90261 6.29218 6.29218C5.90291 6.68145 5.90256 7.31248 6.29141 7.70218L10.1676 11.5868L6.29141 15.4714C5.90256 15.8611 5.90291 16.4921 6.29218 16.8814C6.68175 17.271 7.31338 17.271 7.70295 16.8814L12.2905 12.2939C12.681 11.9034 12.681 11.2702 12.2905 10.8797L7.70295 6.29218Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M12.7029 6.29218C12.3134 5.90261 11.6817 5.90261 11.2922 6.29218C10.9029 6.68145 10.9026 7.31248 11.2914 7.70218L15.1676 11.5868L11.2914 15.4714C10.9026 15.8611 10.9029 16.4921 11.2922 16.8814C11.6817 17.271 12.3134 17.271 12.7029 16.8814L17.2904 12.2939C17.681 11.9034 17.681 11.2702 17.2904 10.8797L12.7029 6.29218Z",
    fill: "current"
  }))), _defs$b || (_defs$b = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_2201_4185"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$a, _defs$a;

function _extends$a() { _extends$a = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$a.apply(this, arguments); }

var SvgNavigationLogout = function SvgNavigationLogout(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$a({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$a || (_g$a = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_768_432)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M9 12C9 11.4477 9.44772 11 10 11H17.175L15.3127 9.13775C14.93 8.755 14.9218 8.13701 15.2943 7.74424C15.681 7.33644 16.3279 7.32786 16.7252 7.72525L21 12L16.7252 16.2748C16.3279 16.6721 15.681 16.6636 15.2943 16.2558C14.9218 15.863 14.93 15.245 15.3127 14.8623L17.175 13H10C9.44771 13 9 12.5523 9 12ZM11 3C11.5523 3 12 3.44772 12 4C12 4.55228 11.5523 5 11 5H5V19H11C11.5523 19 12 19.4477 12 20C12 20.5523 11.5523 21 11 21H5C4.45 21 3.979 20.8043 3.587 20.413C3.19567 20.021 3 19.55 3 19V5C3 4.45 3.19567 3.979 3.587 3.587C3.979 3.19567 4.45 3 5 3H11Z",
    fill: "current"
  }))), _defs$a || (_defs$a = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_768_432"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$9, _defs$9;

function _extends$9() { _extends$9 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$9.apply(this, arguments); }

var SvgNavigationMenu = function SvgNavigationMenu(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$9({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$9 || (_g$9 = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_344_1740)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M3 12C3 11.4477 3.44772 11 4 11H20C20.5523 11 21 11.4477 21 12C21 12.5523 20.5523 13 20 13H4C3.44772 13 3 12.5523 3 12Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M3 17C3 16.4477 3.44772 16 4 16H20C20.5523 16 21 16.4477 21 17C21 17.5523 20.5523 18 20 18H4C3.44772 18 3 17.5523 3 17Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M3 7C3 6.44772 3.44772 6 4 6H20C20.5523 6 21 6.44772 21 7C21 7.55228 20.5523 8 20 8H4C3.44772 8 3 7.55228 3 7Z",
    fill: "current"
  }))), _defs$9 || (_defs$9 = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_344_1740"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$8, _defs$8;

function _extends$8() { _extends$8 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$8.apply(this, arguments); }

var SvgNavigationMoreHorizontal = function SvgNavigationMoreHorizontal(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$8({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$8 || (_g$8 = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_502_217)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M17.5 13.5C16.6716 13.5 16 12.8284 16 12C16 11.1716 16.6716 10.5 17.5 10.5C18.3284 10.5 19 11.1716 19 12C19 12.8284 18.3284 13.5 17.5 13.5Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M12 13.5C11.1716 13.5 10.5 12.8284 10.5 12C10.5 11.1716 11.1716 10.5 12 10.5C12.8284 10.5 13.5 11.1716 13.5 12C13.5 12.8284 12.8284 13.5 12 13.5Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M6.5 13.5C5.67157 13.5 5 12.8284 5 12C5 11.1716 5.67157 10.5 6.5 10.5C7.32843 10.5 8 11.1716 8 12C8 12.8284 7.32843 13.5 6.5 13.5Z",
    fill: "current"
  }))), _defs$8 || (_defs$8 = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_502_217"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$7, _defs$7;

function _extends$7() { _extends$7 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$7.apply(this, arguments); }

var SvgNavigationMoreVertical = function SvgNavigationMoreVertical(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$7({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$7 || (_g$7 = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_502_208)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M13.5 6.5C13.5 7.32843 12.8284 8 12 8C11.1716 8 10.5 7.32843 10.5 6.5C10.5 5.67157 11.1716 5 12 5C12.8284 5 13.5 5.67157 13.5 6.5Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M13.5 12C13.5 12.8284 12.8284 13.5 12 13.5C11.1716 13.5 10.5 12.8284 10.5 12C10.5 11.1716 11.1716 10.5 12 10.5C12.8284 10.5 13.5 11.1716 13.5 12Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    d: "M13.5 17.5C13.5 18.3284 12.8284 19 12 19C11.1716 19 10.5 18.3284 10.5 17.5C10.5 16.6716 11.1716 16 12 16C12.8284 16 13.5 16.6716 13.5 17.5Z",
    fill: "current"
  }))), _defs$7 || (_defs$7 = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_502_208"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$6, _defs$6;

function _extends$6() { _extends$6 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$6.apply(this, arguments); }

var SvgNavigationNewWindow = function SvgNavigationNewWindow(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$6({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$6 || (_g$6 = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_503_232)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M18 19H6C5.45 19 5 18.55 5 18V6C5 5.45 5.45 5 6 5H11C11.55 5 12 4.55 12 4C12 3.45 11.55 3 11 3H5C3.89 3 3 3.9 3 5V19C3 20.1 3.9 21 5 21H19C20.1 21 21 20.1 21 19V13C21 12.45 20.55 12 20 12C19.45 12 19 12.45 19 13V18C19 18.55 18.55 19 18 19ZM14 4C14 4.55 14.45 5 15 5H17.59L8.46 14.13C8.07 14.52 8.07 15.15 8.46 15.54C8.85 15.93 9.48 15.93 9.87 15.54L19 6.41V9C19 9.55 19.45 10 20 10C20.55 10 21 9.55 21 9V4C21 3.45 20.55 3 20 3H15C14.45 3 14 3.45 14 4Z",
    fill: "current"
  }))), _defs$6 || (_defs$6 = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_503_232"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$5, _defs$5;

function _extends$5() { _extends$5 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$5.apply(this, arguments); }

var SvgStatusDecrease = function SvgStatusDecrease(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$5({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$5 || (_g$5 = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_3390_2911)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M12.8192 16.8297C12.4211 17.3984 11.5789 17.3984 11.1808 16.8297L6.10142 9.57346C5.63748 8.91069 6.11163 8 6.92066 8L17.0793 8C17.8884 8 18.3625 8.91069 17.8986 9.57346L12.8192 16.8297Z",
    fill: "current"
  }))), _defs$5 || (_defs$5 = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_3390_2911"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$4, _defs$4;

function _extends$4() { _extends$4 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$4.apply(this, arguments); }

var SvgStatusDone = function SvgStatusDone(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$4({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$4 || (_g$4 = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_360_157)"
  }, /*#__PURE__*/React$1.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M20.2949 5.99895C20.6854 6.38947 20.6854 7.02264 20.2949 7.41316L9.70914 17.9989C9.31861 18.3895 8.68545 18.3895 8.29492 17.9989L7.58782 17.2918L18.8807 5.99895C19.2712 5.60842 19.9044 5.60842 20.2949 5.99895Z",
    fill: "current"
  }), /*#__PURE__*/React$1.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M9.70711 18.001C9.31658 18.3915 8.68342 18.3915 8.29289 18.001L3.70711 13.4152C3.31658 13.0247 3.31658 12.3915 3.70711 12.001C4.09763 11.6105 4.7308 11.6105 5.12132 12.001L10.4142 17.2939L9.70711 18.001Z",
    fill: "current"
  }))), _defs$4 || (_defs$4 = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_360_157"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$3, _defs$3;

function _extends$3() { _extends$3 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$3.apply(this, arguments); }

var SvgStatusIncrease = function SvgStatusIncrease(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$3({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$3 || (_g$3 = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_3390_2912)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M11.1808 9.17033C11.5789 8.60162 12.4211 8.60161 12.8192 9.17033L17.8986 16.4265C18.3625 17.0893 17.8884 18 17.0793 18H6.92066C6.11163 18 5.63748 17.0893 6.10142 16.4265L11.1808 9.17033Z",
    fill: "current"
  }))), _defs$3 || (_defs$3 = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_3390_2912"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$2, _defs$2;

function _extends$2() { _extends$2 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$2.apply(this, arguments); }

var SvgStatusIndeterminate = function SvgStatusIndeterminate(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$2({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$2 || (_g$2 = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_550_150)"
  }, /*#__PURE__*/React$1.createElement("rect", {
    x: 4,
    y: 11,
    width: 16,
    height: 2,
    rx: 1,
    fill: "current"
  }))), _defs$2 || (_defs$2 = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_550_150"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g$1, _defs$1;

function _extends$1() { _extends$1 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1.apply(this, arguments); }

var SvgStatusNoChange = function SvgStatusNoChange(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends$1({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$1 || (_g$1 = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_3552_2949)"
  }, /*#__PURE__*/React$1.createElement("path", {
    d: "M7 12C7 11.4477 7.44772 11 8 11H16C16.5523 11 17 11.4477 17 12C17 12.5523 16.5523 13 16 13H8C7.44772 13 7 12.5523 7 12Z",
    fill: "current"
  }))), _defs$1 || (_defs$1 = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_3552_2949"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

var _g, _defs;

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var SvgStatusWarning = function SvgStatusWarning(props) {
  return /*#__PURE__*/React$1.createElement("svg", _extends({
    width: 24,
    height: 24,
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g || (_g = /*#__PURE__*/React$1.createElement("g", {
    clipPath: "url(#clip0_360_103)"
  }, /*#__PURE__*/React$1.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M21.0233 21.0025H2.97671C2.2268 21.0025 1.75932 20.1725 2.12941 19.5025L11.1576 3.5025C11.5277 2.8325 12.4626 2.8325 12.8424 3.5025L21.8706 19.5025C22.2407 20.1725 21.7732 21.0025 21.0233 21.0025ZM11.031 13.0025C11.031 13.5525 11.4692 14.0025 12.0049 14.0025C12.5405 14.0025 12.9788 13.5525 12.9788 13.0025V11.0025C12.9788 10.4525 12.5405 10.0025 12.0049 10.0025C11.4692 10.0025 11.031 10.4525 11.031 11.0025V13.0025ZM12 18.0025C12.5523 18.0025 13 17.5548 13 17.0025C13 16.4502 12.5523 16.0025 12 16.0025C11.4477 16.0025 11 16.4502 11 17.0025C11 17.5548 11.4477 18.0025 12 18.0025Z",
    fill: "current"
  }))), _defs || (_defs = /*#__PURE__*/React$1.createElement("defs", null, /*#__PURE__*/React$1.createElement("clipPath", {
    id: "clip0_360_103"
  }, /*#__PURE__*/React$1.createElement("rect", {
    width: 24,
    height: 24,
    fill: "white"
  })))));
};

function TextInput(_a) {
    var label = _a.label, name = _a.name, placeholder = _a.placeholder, value = _a.value, _b = _a.valueType, valueType = _b === void 0 ? 'text' : _b, _c = _a.valueCount, valueCount = _c === void 0 ? false : _c, helpText = _a.helpText, _d = _a.size, size = _d === void 0 ? 'large' : _d, _e = _a.width, width = _e === void 0 ? '100%' : _e, _f = _a.validation, validation = _f === void 0 ? 'none' : _f, _g = _a.showIcon, showIcon = _g === void 0 ? false : _g, _h = _a.disabled, disabled = _h === void 0 ? false : _h, _j = _a.readOnly, readOnly = _j === void 0 ? false : _j, maxLength = _a.maxLength, _k = _a.onChange, onChange = _k === void 0 ? function () { } : _k, _l = _a.onBlur, onBlur = _l === void 0 ? function () { } : _l, _m = _a.onKeyUp, onKeyUp = _m === void 0 ? function () { } : _m;
    var _o = useState(showIcon), isShowIcon = _o[0], setShowIcon = _o[1];
    var inputSt = [
        inputCss(readOnly),
        sizes$2({ size: size, validation: validation }, isShowIcon),
        inputValidations[validation],
    ];
    var chooseIcon = function (_a) {
        var validation = _a.validation, size = _a.size;
        switch (validation) {
            case 'passed':
                return size === 'small' ? (jsx(SvgStatusDone, { width: "20", fill: "".concat(palette.green[500]) })) : (jsx(SvgStatusDone, { width: "24", fill: "".concat(palette.green[500]) }));
            case 'failed':
                return size === 'small' ? (jsx(SvgStatusWarning, { width: "20", fill: "".concat(palette.red[500]) })) : (jsx(SvgStatusWarning, { width: "24", fill: "".concat(palette.red[500]) }));
        }
    };
    var hideIcon = function () {
        setShowIcon(false);
    };
    var revealIcon = function () {
        setShowIcon(showIcon);
    };
    return (jsxs("div", __assign({ css: containerCss(width) }, { children: [label && (jsxs("div", __assign({ css: labelWrapperCss }, { children: [jsx("div", __assign({ css: labelCss }, { children: label })), jsx("div", __assign({ css: countCss }, { children: valueCount && "".concat(value === null || value === void 0 ? void 0 : value.length, "/").concat(maxLength) }))] }))), jsxs("div", __assign({ css: inputWrapCss }, { children: [jsx("input", { type: valueType, css: inputSt, name: name, placeholder: placeholder, value: value, disabled: disabled, readOnly: readOnly, maxLength: maxLength, onChange: onChange, onBlur: function (e) {
                            onBlur(e);
                            revealIcon();
                        }, onKeyUp: onKeyUp, onFocus: hideIcon }), isShowIcon && (jsx("div", __assign({ css: iconCss }, { children: chooseIcon({ validation: validation, size: size }) })))] })), helpText && jsx("div", __assign({ css: helpTextCss({ validation: validation }) }, { children: helpText }))] })));
}
var containerCss = function (width) { return css(templateObject_1$8 || (templateObject_1$8 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n  align-items: flex-start;\n  box-sizing: border-box;\n  width: ", ";\n"], ["\n  display: flex;\n  flex-direction: column;\n  align-items: flex-start;\n  box-sizing: border-box;\n  width: ", ";\n"])), width); };
var labelWrapperCss = css(templateObject_2$8 || (templateObject_2$8 = __makeTemplateObject(["\n  display: flex;\n  justify-content: space-between;\n  margin-bottom: 0.5rem;\n  color: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n  width: 100%;\n"], ["\n  display: flex;\n  justify-content: space-between;\n  margin-bottom: 0.5rem;\n  color: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n  width: 100%;\n"])), palette.gray[700], theme.fontSize[14], theme.fontWeight.regular);
var labelCss = css(templateObject_3$6 || (templateObject_3$6 = __makeTemplateObject(["\n  width: 100%;\n"], ["\n  width: 100%;\n"])));
var countCss = css(templateObject_4$6 || (templateObject_4$6 = __makeTemplateObject(["\n  padding-left: 1rem;\n  color: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n"], ["\n  padding-left: 1rem;\n  color: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n"])), palette.gray[700], theme.fontSize[14], theme.fontWeight.regular);
var inputWrapCss = css(templateObject_5$5 || (templateObject_5$5 = __makeTemplateObject(["\n  position: relative;\n  width: 100%;\n"], ["\n  position: relative;\n  width: 100%;\n"])));
var inputCss = function (readOnly) { return css(templateObject_6$5 || (templateObject_6$5 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  box-sizing: border-box;\n  border: ", ";\n  padding-left: 1rem;\n  padding-right: 1rem;\n  width: 100%;\n  line-height: 160%;\n  letter-spacing: 0.0128rem;\n  background: ", ";\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: normal;\n  font-weight: ", ";\n\n  ::placeholder {\n    color: ", ";\n  }\n\n  :read-only {\n    padding-left: 0;\n    padding-right: 0;\n    pointer-events: none;\n    background-color: inherit;\n  }\n\n  :disabled {\n    padding-left: 1rem;\n    padding-right: 1rem;\n    border: 1px solid ", ";\n    background-color: ", ";\n    color: ", ";\n\n    ::placeholder {\n      color: ", ";\n    }\n  }\n"], ["\n  display: flex;\n  align-items: center;\n  box-sizing: border-box;\n  border: ", ";\n  padding-left: 1rem;\n  padding-right: 1rem;\n  width: 100%;\n  line-height: 160%;\n  letter-spacing: 0.0128rem;\n  background: ", ";\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: normal;\n  font-weight: ", ";\n\n  ::placeholder {\n    color: ", ";\n  }\n\n  :read-only {\n    padding-left: 0;\n    padding-right: 0;\n    pointer-events: none;\n    background-color: inherit;\n  }\n\n  :disabled {\n    padding-left: 1rem;\n    padding-right: 1rem;\n    border: 1px solid ", ";\n    background-color: ", ";\n    color: ", ";\n\n    ::placeholder {\n      color: ", ";\n    }\n  }\n"])), readOnly ? 'none' : "1px solid ".concat(palette.gray[500]), palette.gray[50], theme.fontWeight.regular, palette.gray[600], palette.gray[500], palette.gray[300], palette.gray[300], palette.gray[500]); };
var iconCss = css(templateObject_7$4 || (templateObject_7$4 = __makeTemplateObject(["\n  position: absolute;\n  top: 50%;\n  right: 1rem;\n  transform: translate(0, -45%);\n"], ["\n  position: absolute;\n  top: 50%;\n  right: 1rem;\n  transform: translate(0, -45%);\n"])));
var helpTextCss = function (_a) {
    var validation = _a.validation;
    return css(templateObject_8$3 || (templateObject_8$3 = __makeTemplateObject(["\n  margin-top: 0.5rem;\n  color: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n  ", "\n"], ["\n  margin-top: 0.5rem;\n  color: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n  ", "\n"])), palette.gray[700], theme.fontSize[14], theme.fontWeight.regular, validation === 'failed' && "color: ".concat(palette.red[500]));
};
var sizes$2 = function (_a, isShowIcon) {
    var size = _a.size, validation = _a.validation;
    switch (size) {
        case 'large':
            return css(templateObject_9$2 || (templateObject_9$2 = __makeTemplateObject(["\n        border-radius: 8px;\n        height: 3rem;\n        font-size: ", ";\n        padding-right: ", ";\n      "], ["\n        border-radius: 8px;\n        height: 3rem;\n        font-size: ", ";\n        padding-right: ", ";\n      "])), theme.fontSize[16], validation !== 'none' &&
                isShowIcon === true &&
                '2.4rem');
        case 'medium':
            return css(templateObject_10$1 || (templateObject_10$1 = __makeTemplateObject(["\n        border-radius: 8px;\n        height: 2.5rem;\n        font-size: ", ";\n        padding-right: ", ";\n      "], ["\n        border-radius: 8px;\n        height: 2.5rem;\n        font-size: ", ";\n        padding-right: ", ";\n      "])), theme.fontSize[16], validation !== 'none' &&
                isShowIcon === true &&
                '2.4rem');
        case 'small':
            return css(templateObject_11$1 || (templateObject_11$1 = __makeTemplateObject(["\n        border-radius: 6px;\n        height: 2rem;\n        font-size: ", ";\n        padding-right: ", ";\n      "], ["\n        border-radius: 6px;\n        height: 2rem;\n        font-size: ", ";\n        padding-right: ", ";\n      "])), theme.fontSize[14], validation !== 'none' &&
                isShowIcon === true &&
                '2.2rem');
    }
};
var inputValidations = {
    none: css(templateObject_12$1 || (templateObject_12$1 = __makeTemplateObject(["\n    :hover {\n      border: 1px solid ", ";\n    }\n\n    :focus {\n      outline: 1px solid ", ";\n    }\n  "], ["\n    :hover {\n      border: 1px solid ", ";\n    }\n\n    :focus {\n      outline: 1px solid ", ";\n    }\n  "])), palette.blue[700], palette.blue[700]),
    passed: css(templateObject_13$1 || (templateObject_13$1 = __makeTemplateObject(["\n    :hover {\n      border: 1px solid ", ";\n    }\n\n    :focus {\n      outline: 1px solid ", ";\n    }\n  "], ["\n    :hover {\n      border: 1px solid ", ";\n    }\n\n    :focus {\n      outline: 1px solid ", ";\n    }\n  "])), palette.blue[700], palette.blue[700]),
    failed: css(templateObject_14$1 || (templateObject_14$1 = __makeTemplateObject(["\n    border: 1px solid ", ";\n    color: ", ";\n\n    :hover {\n      border: 1px solid ", ";\n    }\n\n    :focus {\n      outline: 1px solid ", ";\n    }\n  "], ["\n    border: 1px solid ", ";\n    color: ", ";\n\n    :hover {\n      border: 1px solid ", ";\n    }\n\n    :focus {\n      outline: 1px solid ", ";\n    }\n  "])), palette.red[500], palette.red[500], palette.red[500], palette.red[500]),
};
var templateObject_1$8, templateObject_2$8, templateObject_3$6, templateObject_4$6, templateObject_5$5, templateObject_6$5, templateObject_7$4, templateObject_8$3, templateObject_9$2, templateObject_10$1, templateObject_11$1, templateObject_12$1, templateObject_13$1, templateObject_14$1;

function RadioGroup(_a) {
    var _b = _a.groupName, groupName = _b === void 0 ? '' : _b, groupLabel = _a.groupLabel, _c = _a.radioLists, radioLists = _c === void 0 ? [] : _c, _d = _a.containerWidth, containerWidth = _d === void 0 ? '100%' : _d, _e = _a.radioListWidth, radioListWidth = _e === void 0 ? '' : _e, _f = _a.direction, direction = _f === void 0 ? 'vertical' : _f, _g = _a.helpText, helpText = _g === void 0 ? '' : _g, _h = _a.validation, validation = _h === void 0 ? 'failed' : _h, _j = _a.allDisabled, allDisabled = _j === void 0 ? false : _j, onChange = _a.onChange;
    return (jsxs("div", __assign({ css: radioGroupContainerSt(containerWidth) }, { children: [groupLabel && jsx("div", __assign({ css: groupLabelSt(allDisabled) }, { children: groupLabel })), jsx("div", { children: jsx("form", __assign({ css: radioListsContainerSt(direction) }, { children: radioLists.map(function (list, i) { return (jsxs("div", __assign({ css: eachRadioSt }, { children: [jsx("input", { type: "radio", css: radioButtonSt, name: groupName, id: list.name, value: list.name, defaultChecked: list.selected, disabled: list.disabled || allDisabled, onChange: onChange }), jsx("label", __assign({ css: radioLabelSt(radioListWidth), htmlFor: list.name }, { children: list.name }))] }), list.name)); }) })) }), helpText && jsx("div", __assign({ css: helpTextSt$1[validation] }, { children: helpText }))] })));
}
var radioGroupContainerSt = function (containerWidth) { return css(templateObject_1$7 || (templateObject_1$7 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n  padding: 0rem;\n  font-style: normal;\n  font-weight: 400;\n  width: ", ";\n  font-size: 0.875rem;\n  gap: 0.5rem;\n"], ["\n  display: flex;\n  flex-direction: column;\n  padding: 0rem;\n  font-style: normal;\n  font-weight: 400;\n  width: ", ";\n  font-size: 0.875rem;\n  gap: 0.5rem;\n"])), containerWidth === '100%' ? '100%' : "".concat(containerWidth, "rem")); };
var groupLabelSt = function (allDisabled) { return css(templateObject_2$7 || (templateObject_2$7 = __makeTemplateObject(["\n  height: 1.375rem;\n  font-weight: ", ";\n  letter-spacing: 0.0128em;\n  color: ", ";\n"], ["\n  height: 1.375rem;\n  font-weight: ", ";\n  letter-spacing: 0.0128em;\n  color: ", ";\n"])), theme.fontWeight.regular, allDisabled ? palette.gray[500] : palette.gray[700]); };
var radioListsContainerSt = function (direction) { return css(templateObject_3$5 || (templateObject_3$5 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: ", ";\n  padding: 0px;\n  gap: 0.5rem;\n"], ["\n  display: flex;\n  flex-direction: ", ";\n  padding: 0px;\n  gap: 0.5rem;\n"])), direction === 'horizontal' ? 'row' : 'column'); };
var helpTextSt$1 = {
    none: css(templateObject_4$5 || (templateObject_4$5 = __makeTemplateObject(["\n    color: ", ";\n  "], ["\n    color: ", ";\n  "])), palette.gray[700]),
    passed: css(templateObject_5$4 || (templateObject_5$4 = __makeTemplateObject(["\n    color: ", ";\n  "], ["\n    color: ", ";\n  "])), palette.gray[700]),
    failed: css(templateObject_6$4 || (templateObject_6$4 = __makeTemplateObject(["\n    color: ", ";\n  "], ["\n    color: ", ";\n  "])), palette.red[500]),
};
var radioButtonSt = css(templateObject_7$3 || (templateObject_7$3 = __makeTemplateObject(["\n  width: 1rem;\n  height: 1rem;\n  background: ", ";\n  border: ", " 1px solid;\n  border-radius: 50%;\n  margin: 0.188rem;\n\n  &:checked {\n    accent-color: ", ";\n    & + label {\n      color: ", ";\n    }\n  }\n\n  &:disabled {\n    background: ", ";\n    border: 1px solid ", ";\n\n    &checked {\n      accent-color: ", ";\n    }\n\n    & + label {\n      color: ", ";\n      cursor: not-allowed;\n    }\n  }\n"], ["\n  width: 1rem;\n  height: 1rem;\n  background: ", ";\n  border: ", " 1px solid;\n  border-radius: 50%;\n  margin: 0.188rem;\n\n  &:checked {\n    accent-color: ", ";\n    & + label {\n      color: ", ";\n    }\n  }\n\n  &:disabled {\n    background: ", ";\n    border: 1px solid ", ";\n\n    &checked {\n      accent-color: ", ";\n    }\n\n    & + label {\n      color: ", ";\n      cursor: not-allowed;\n    }\n  }\n"])), palette.gray[50], palette.gray[500], palette.blue[700], palette.blue[700], palette.gray[300], palette.gray[500], palette.gray[500], palette.gray[500]);
var eachRadioSt = css(templateObject_8$2 || (templateObject_8$2 = __makeTemplateObject(["\n  display: flex;\n  padding: 0px;\n  gap: 0.25rem;\n"], ["\n  display: flex;\n  padding: 0px;\n  gap: 0.25rem;\n"])));
var radioLabelSt = function (radioListWidth) { return css(templateObject_9$1 || (templateObject_9$1 = __makeTemplateObject(["\n  width: ", ";\n  font-weight: ", ";\n  font-size: 0.875rem;\n  line-height: 160%;\n  letter-spacing: 0.0128em;\n  color: ", ";\n  word-break: break-all;\n  width: calc(100% - 1.375rem);\n"], ["\n  width: ", ";\n  font-weight: ", ";\n  font-size: 0.875rem;\n  line-height: 160%;\n  letter-spacing: 0.0128em;\n  color: ", ";\n  word-break: break-all;\n  width: calc(100% - 1.375rem);\n"])), radioListWidth, theme.fontWeight.regular, palette.gray[700]); };
var templateObject_1$7, templateObject_2$7, templateObject_3$5, templateObject_4$5, templateObject_5$4, templateObject_6$4, templateObject_7$3, templateObject_8$2, templateObject_9$1;

function Dropdown(_a) {
    var name = _a.name, label = _a.label, placeholder = _a.placeholder, menu = _a.menu, selectedValue = _a.selectedValue, helpText = _a.helpText, _b = _a.validation, validation = _b === void 0 ? 'none' : _b, _c = _a.width, width = _c === void 0 ? 'fit-content' : _c, height = _a.height, _d = _a.size, size = _d === void 0 ? 'large' : _d, _e = _a.disabled, disabled = _e === void 0 ? false : _e, _f = _a.useDoneIcon, useDoneIcon = _f === void 0 ? true : _f, onChange = _a.onChange;
    var _g = useState(), option = _g[0], setOption = _g[1];
    var _h = useState(false), isOpen = _h[0], setIsOpen = _h[1];
    var selectRef = useRef(null);
    var divRef = useRef();
    console.log("dDD");
    useOverlayclick(divRef, function () { return setIsOpen(false); });
    var handleClickOption = function (selectedIdx) {
        setOption(menu[selectedIdx]);
        setIsOpen(function (isOpen) { return !isOpen; });
    };
    useEffect(function () {
        menu &&
            menu.forEach(function (item, idx) {
                if (!menu[idx].id)
                    item.id = idx;
            });
    }, [menu]);
    useEffect(function () {
        if (selectedValue) {
            var defaultOption = menu.find(function (opt) { return opt.value === selectedValue; });
            setOption(defaultOption);
        }
    }, [selectedValue, menu]);
    useEffect(function () {
        if (selectRef.current) {
            selectRef.current.dispatchEvent(new Event('change', { bubbles: true }));
        }
    }, [option === null || option === void 0 ? void 0 : option.id]);
    var menuWrapperCss = [menuWrapperSt, { width: width, size: size }];
    var menuButtonCss = [
        menuButtonSt({ validation: validation, option: option }),
        sizes$1({ size: size, validation: validation }),
        { width: width, height: height },
    ];
    var menuCss = [menuSt({ size: size }), { width: width }, menuHeight[size]];
    var menuOptionCss = [
        menuOptionSt,
        sizes$1({ size: size, validation: validation, useDoneIcon: useDoneIcon }),
        { height: height },
    ];
    var chooseDoneIconBySize = function (_a) {
        var size = _a.size;
        return size === 'small' ? (jsx(SvgStatusDone, { width: "20", fill: "".concat(palette.blue[900]) })) : (jsx(SvgStatusDone, { width: "24", fill: "".concat(palette.blue[900]) }));
    };
    var chooseValidationIconBySize = function (_a) {
        var size = _a.size;
        return size === 'small' ? (jsx(SvgStatusWarning, { width: "20", fill: "".concat(palette.red[500]) })) : (jsx(SvgStatusWarning, { width: "20", fill: "".concat(palette.red[500]) }));
    };
    return (jsxs("div", { children: [label && jsx("div", __assign({ css: labelSt }, { children: label })), jsxs("div", __assign({ css: menuWrapperCss, ref: divRef }, { children: [jsxs("button", __assign({ type: "button", css: menuButtonCss, disabled: disabled, onClick: function () {
                            setIsOpen(function (isOpen) { return !isOpen; });
                        } }, { children: [option === undefined ? placeholder : option.name, jsx(SvgNavigationChevronDown, { width: "22", fill: "".concat(palette.gray[600]), css: openIconSt({ isOpen: isOpen }) }), validation === 'failed' ? (jsx("div", __assign({ css: validationIconSt }, { children: chooseValidationIconBySize({ size: size }) }))) : null] })), isOpen && (jsx("ul", __assign({ css: menuCss }, { children: menu.map(function (item, selectedIdx) { return (jsx("li", __assign({ value: item.value, css: menuListSt, onClick: function () { return handleClickOption(selectedIdx); } }, { children: item.value === (option === null || option === void 0 ? void 0 : option.value) ? (jsxs("button", __assign({ type: "button", css: menuOptionCss, className: "selected" }, { children: [item.name, useDoneIcon && (jsx("div", __assign({ css: doneIconSt }, { children: chooseDoneIconBySize({ size: size }) })))] }))) : (jsx("button", __assign({ type: "button", css: menuOptionCss }, { children: item.name }))) }), item.id)); }) }))), jsx("select", __assign({ hidden: true, name: name, onChange: onChange, ref: selectRef }, { children: jsx("option", __assign({ hidden: true, value: option === null || option === void 0 ? void 0 : option.value }, { children: option === null || option === void 0 ? void 0 : option.name }), option === null || option === void 0 ? void 0 : option.id) }))] })), helpText && jsx("div", __assign({ css: helpTextSt({ validation: validation }) }, { children: helpText }))] }));
}
var labelSt = css(templateObject_1$6 || (templateObject_1$6 = __makeTemplateObject(["\n  margin-bottom: 0.5rem;\n  color: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n  word-break: break-all;\n"], ["\n  margin-bottom: 0.5rem;\n  color: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n  word-break: break-all;\n"])), palette.gray[700], theme.fontSize[14], theme.fontWeight.regular);
var menuWrapperSt = css(templateObject_2$6 || (templateObject_2$6 = __makeTemplateObject(["\n  position: relative;\n"], ["\n  position: relative;\n"])));
var menuButtonSt = function (_a) {
    var validation = _a.validation, option = _a.option;
    return css(templateObject_3$4 || (templateObject_3$4 = __makeTemplateObject(["\n  position: relative;\n  border: 1px solid ", ";\n  border-radius: 8px;\n  background-color: ", ";\n  color: ", ";\n  ", "\n  text-align: left;\n  overflow: hidden;\n  white-space: nowrap;\n  text-overflow: ellipsis;\n  cursor: pointer;\n  &:hover {\n    border: 1px solid ", ";\n  }\n  &:disabled {\n    color: ", ";\n    background-color: ", ";\n    border: 1px solid ", ";\n  }\n"], ["\n  position: relative;\n  border: 1px solid ", ";\n  border-radius: 8px;\n  background-color: ", ";\n  color: ", ";\n  ", "\n  text-align: left;\n  overflow: hidden;\n  white-space: nowrap;\n  text-overflow: ellipsis;\n  cursor: pointer;\n  &:hover {\n    border: 1px solid ", ";\n  }\n  &:disabled {\n    color: ", ";\n    background-color: ", ";\n    border: 1px solid ", ";\n  }\n"])), palette.gray[500], palette.gray[50], (option === null || option === void 0 ? void 0 : option.value) == null ? palette.gray[600] : palette.blue[900], validation === 'failed' &&
        "border: 1px solid ".concat(palette.red[500], "; color: ").concat(palette.red[500], ";"), palette.blue[700], palette.gray[500], palette.gray[300], palette.gray[500]);
};
var menuSt = function (_a) {
    var size = _a.size;
    return css(templateObject_4$4 || (templateObject_4$4 = __makeTemplateObject(["\n  position: absolute;\n  top: ", ";\n  margin: 0;\n  padding: 0;\n  z-index: 3500;\n  list-style: none;\n\n  margin-bottom: 0.5rem;\n  border: 1px solid ", ";\n  border-radius: 8px;\n\n  background-color: 'transparent';\n  overflow-x: hidden;\n  overflow-y: overlay;\n  background-clip: text;\n  -webkit-background-clip: text;\n  transition: background-color 0.5s;\n\n  &::-webkit-scrollbar {\n    width: 1rem;\n  }\n  &::-webkit-scrollbar-thumb {\n    border: 4px solid transparent;\n    border-radius: 8px;\n    background-clip: padding-box;\n    background-color: inherit;\n  }\n  &:hover {\n    background-color: ", ";\n  }\n"], ["\n  position: absolute;\n  top: ", ";\n  margin: 0;\n  padding: 0;\n  z-index: 3500;\n  list-style: none;\n\n  margin-bottom: 0.5rem;\n  border: 1px solid ", ";\n  border-radius: 8px;\n\n  background-color: 'transparent';\n  overflow-x: hidden;\n  overflow-y: overlay;\n  background-clip: text;\n  -webkit-background-clip: text;\n  transition: background-color 0.5s;\n\n  &::-webkit-scrollbar {\n    width: 1rem;\n  }\n  &::-webkit-scrollbar-thumb {\n    border: 4px solid transparent;\n    border-radius: 8px;\n    background-clip: padding-box;\n    background-color: inherit;\n  }\n  &:hover {\n    background-color: ", ";\n  }\n"])), size === 'large' ? '3.3rem' : size === 'medium' ? '2.8rem' : '2.3rem', palette.gray[500], theme.systemColor.overlay);
};
var menuListSt = css(templateObject_5$3 || (templateObject_5$3 = __makeTemplateObject(["\n  margin: 0;\n  padding: 0;\n  list-style: none;\n\n  background-color: ", ";\n\n  &:not(:last-child) {\n    border-bottom: 1px solid ", ";\n  }\n"], ["\n  margin: 0;\n  padding: 0;\n  list-style: none;\n\n  background-color: ", ";\n\n  &:not(:last-child) {\n    border-bottom: 1px solid ", ";\n  }\n"])), palette.gray[50], palette.gray[200]);
var menuOptionSt = css(templateObject_6$3 || (templateObject_6$3 = __makeTemplateObject(["\n  position: relative;\n  width: 100%;\n  border: none;\n  background-color: ", ";\n  color: ", ";\n  font-weight: ", ";\n  text-align: left;\n  overflow: hidden;\n  white-space: nowrap;\n  text-overflow: ellipsis;\n  cursor: pointer;\n  &:hover {\n    background-color: ", ";\n  }\n  &.selected {\n    background-color: ", ";\n  }\n"], ["\n  position: relative;\n  width: 100%;\n  border: none;\n  background-color: ", ";\n  color: ", ";\n  font-weight: ", ";\n  text-align: left;\n  overflow: hidden;\n  white-space: nowrap;\n  text-overflow: ellipsis;\n  cursor: pointer;\n  &:hover {\n    background-color: ", ";\n  }\n  &.selected {\n    background-color: ", ";\n  }\n"])), palette.gray[50], palette.blue[900], theme.fontWeight.regular, palette.gray[200], palette.gray[200]);
var helpTextSt = function (_a) {
    var validation = _a.validation;
    return css(templateObject_7$2 || (templateObject_7$2 = __makeTemplateObject(["\n  margin-top: 0.5rem;\n  color: ", ";\n  ", ";\n  font-size: ", ";\n  font-weight: ", ";\n  word-break: break-all;\n"], ["\n  margin-top: 0.5rem;\n  color: ", ";\n  ", ";\n  font-size: ", ";\n  font-weight: ", ";\n  word-break: break-all;\n"])), palette.gray[700], validation === 'failed' && "color: ".concat(palette.red[500]), theme.fontSize[14], theme.fontWeight.regular);
};
var openIconSt = function (_a) {
    var isOpen = _a.isOpen;
    return css(templateObject_8$1 || (templateObject_8$1 = __makeTemplateObject(["\n  position: absolute;\n  top: 50%;\n  right: 1rem;\n  transform: translate(0, -45%);\n  ", "\n"], ["\n  position: absolute;\n  top: 50%;\n  right: 1rem;\n  transform: translate(0, -45%);\n  ", "\n"])), isOpen && "top: 45%; transform: rotate(180deg) translate(0, 40%);");
};
var doneIconSt = css(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n  position: absolute;\n  top: 50%;\n  right: 0.5rem;\n  transform: translate(0, -45%);\n"], ["\n  position: absolute;\n  top: 50%;\n  right: 0.5rem;\n  transform: translate(0, -45%);\n"])));
var validationIconSt = css(templateObject_10 || (templateObject_10 = __makeTemplateObject(["\n  position: absolute;\n  top: 50%;\n  right: 3.125rem;\n  transform: translate(0, -40%);\n"], ["\n  position: absolute;\n  top: 50%;\n  right: 3.125rem;\n  transform: translate(0, -40%);\n"])));
var sizes$1 = function (_a) {
    var size = _a.size, validation = _a.validation, useDoneIcon = _a.useDoneIcon;
    switch (size) {
        case 'large':
            return css(templateObject_11 || (templateObject_11 = __makeTemplateObject(["\n        height: 3rem;\n        padding: 0.688rem 3rem 0.688rem 1rem;\n        font-size: ", ";\n        ", "\n        ", "\n      "], ["\n        height: 3rem;\n        padding: 0.688rem 3rem 0.688rem 1rem;\n        font-size: ", ";\n        ", "\n        ", "\n      "])), theme.fontSize[16], useDoneIcon === false && "padding-right: 1rem;", validation === 'failed' && "padding-right: 5rem;");
        case 'medium':
            return css(templateObject_12 || (templateObject_12 = __makeTemplateObject(["\n        height: 2.5rem;\n        padding: 0.438rem 3rem 0.438rem 0.75rem;\n        font-size: ", ";\n        ", "\n        ", "\n      "], ["\n        height: 2.5rem;\n        padding: 0.438rem 3rem 0.438rem 0.75rem;\n        font-size: ", ";\n        ", "\n        ", "\n      "])), theme.fontSize[16], useDoneIcon === false && "padding-right: 0.75rem;", validation === 'failed' && "padding-right: 5rem;");
        case 'small':
            return css(templateObject_13 || (templateObject_13 = __makeTemplateObject(["\n        height: 2rem;\n        padding: 0.188rem 2rem 0.188rem 0.75rem;\n        font-size: ", ";\n        ", "\n        ", "\n      "], ["\n        height: 2rem;\n        padding: 0.188rem 2rem 0.188rem 0.75rem;\n        font-size: ", ";\n        ", "\n        ", "\n      "])), theme.fontSize[14], useDoneIcon === false && "padding-right: 0.75rem;", validation === 'failed' && "padding-right: 5rem;");
    }
};
var menuHeight = {
    large: css(templateObject_14 || (templateObject_14 = __makeTemplateObject(["\n    max-height: 14rem;\n  "], ["\n    max-height: 14rem;\n  "]))),
    medium: css(templateObject_15 || (templateObject_15 = __makeTemplateObject(["\n    max-height: 11.75rem;\n  "], ["\n    max-height: 11.75rem;\n  "]))),
    small: css(templateObject_16 || (templateObject_16 = __makeTemplateObject(["\n    max-height: 9.75rem;\n  "], ["\n    max-height: 9.75rem;\n  "]))),
};
var templateObject_1$6, templateObject_2$6, templateObject_3$4, templateObject_4$4, templateObject_5$3, templateObject_6$3, templateObject_7$2, templateObject_8$1, templateObject_9, templateObject_10, templateObject_11, templateObject_12, templateObject_13, templateObject_14, templateObject_15, templateObject_16;

function CheckBox(_a) {
    var _b = _a.id, id = _b === void 0 ? '' : _b, _c = _a.label, label = _c === void 0 ? '' : _c, _d = _a.name, name = _d === void 0 ? '' : _d, _e = _a.value, value = _e === void 0 ? '' : _e, _f = _a.checked, checked = _f === void 0 ? false : _f, _g = _a.indeterminate, indeterminate = _g === void 0 ? false : _g, _h = _a.disabled, disabled = _h === void 0 ? false : _h, _j = _a.onChange, onChange = _j === void 0 ? function () { } : _j;
    var inputRef = useRef();
    var handleSvgClick = useCallback(function () {
        inputRef.current.click();
    }, []);
    return (jsxs("div", __assign({ css: containerSt$1 }, { children: [jsx("input", { css: checkboxBasicSt, type: "checkbox", name: name, id: id, value: value, checked: checked || indeterminate, disabled: disabled, onChange: onChange, ref: inputRef }), jsx("label", __assign({ htmlFor: id, css: labelBasicSt }, { children: label })), (checked || indeterminate) && (jsxs("div", __assign({ css: iconBoxSt({ disabled: disabled }) }, { children: [checked && (jsx(SvgStatusDone, { width: 10, height: 10, fill: palette.gray[50], onClick: handleSvgClick })), indeterminate && (jsx(SvgStatusIndeterminate, { width: 10, height: 10, fill: palette.gray[50], onClick: handleSvgClick }))] })))] })));
}
var containerSt$1 = css(templateObject_1$5 || (templateObject_1$5 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  margin-bottom: 0.5rem;\n  min-height: 1.375rem;\n\n  &:last-child {\n    margin-bottom: 0;\n  }\n"], ["\n  display: flex;\n  align-items: center;\n  margin-bottom: 0.5rem;\n  min-height: 1.375rem;\n\n  &:last-child {\n    margin-bottom: 0;\n  }\n"])));
var checkboxBasicSt = css(templateObject_2$5 || (templateObject_2$5 = __makeTemplateObject(["\n  position: absolute;\n  margin-right: 0.4375rem;\n  width: 1rem;\n  height: 1rem;\n  border: 1px solid ", ";\n  border-radius: 4px;\n  background-color: ", ";\n  cursor: pointer;\n  vertical-align: middle;\n  appearance: none;\n  -webkit-appearance: none;\n  -moz-appearance: none;\n  -ms-appearance: none;\n\n  &:checked {\n    border: 1px solid ", ";\n\n    & + label {\n      color: ", ";\n    }\n  }\n\n  &:disabled {\n    border: 1px solid ", ";\n    background-color: ", ";\n    cursor: not-allowed;\n\n    & + label {\n      color: ", ";\n      cursor: not-allowed;\n    }\n  }\n"], ["\n  position: absolute;\n  margin-right: 0.4375rem;\n  width: 1rem;\n  height: 1rem;\n  border: 1px solid ", ";\n  border-radius: 4px;\n  background-color: ", ";\n  cursor: pointer;\n  vertical-align: middle;\n  appearance: none;\n  -webkit-appearance: none;\n  -moz-appearance: none;\n  -ms-appearance: none;\n\n  &:checked {\n    border: 1px solid ", ";\n\n    & + label {\n      color: ", ";\n    }\n  }\n\n  &:disabled {\n    border: 1px solid ", ";\n    background-color: ", ";\n    cursor: not-allowed;\n\n    & + label {\n      color: ", ";\n      cursor: not-allowed;\n    }\n  }\n"])), palette.gray[500], palette.gray[50], palette.blue[700], palette.blue[700], palette.gray[500], palette.gray[300], palette.gray[700]);
var labelBasicSt = css(templateObject_3$3 || (templateObject_3$3 = __makeTemplateObject(["\n  display: inline-block;\n  width: 100%;\n  height: 1.375rem;\n  line-height: 1.4rem;\n  padding-left: 1.375rem;\n\n  color: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n\n  vertical-align: middle;\n  cursor: pointer;\n"], ["\n  display: inline-block;\n  width: 100%;\n  height: 1.375rem;\n  line-height: 1.4rem;\n  padding-left: 1.375rem;\n\n  color: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n\n  vertical-align: middle;\n  cursor: pointer;\n"])), palette.gray[700], theme.fontSize[14], theme.fontWeight.regular);
var iconBoxSt = function (_a) {
    var disabled = _a.disabled;
    return css(templateObject_4$3 || (templateObject_4$3 = __makeTemplateObject(["\n  position: absolute;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n\n  width: 0.75rem;\n  height: 0.75rem;\n\n  border-radius: 2px;\n  background-color: ", ";\n\n  transform: translateX(0.125rem);\n  cursor: pointer;\n"], ["\n  position: absolute;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n\n  width: 0.75rem;\n  height: 0.75rem;\n\n  border-radius: 2px;\n  background-color: ", ";\n\n  transform: translateX(0.125rem);\n  cursor: pointer;\n"])), disabled
        ? "".concat(palette.gray[700])
        : "".concat(palette.blue[700]));
};
var templateObject_1$5, templateObject_2$5, templateObject_3$3, templateObject_4$3;

function Link(_a) {
    var _b = _a.size, size = _b === void 0 ? 'large' : _b; _a.standalone; var _d = _a.inline, inline = _d === void 0 ? false : _d, _e = _a.disabled, disabled = _e === void 0 ? false : _e, _f = _a.href, href = _f === void 0 ? '' : _f, children = _a.children;
    var linkBasicStyle = disabled ? 'disabled' : 'default';
    var mould = inline ? 'inline' : 'standalone';
    return (jsx("a", __assign({ css: [linkStyle[linkBasicStyle], fontSizes[size], mouldStyle[mould]], href: href }, { children: children })));
}
var linkStyle = {
    default: css(templateObject_1$4 || (templateObject_1$4 = __makeTemplateObject(["\n    color: ", ";\n\n    &:hover {\n      color: ", ";\n      text-decoration-line: underline;\n    }\n  "], ["\n    color: ", ";\n\n    &:hover {\n      color: ", ";\n      text-decoration-line: underline;\n    }\n  "])), theme.brandColor.primary, theme.systemColor.positive),
    disabled: css(templateObject_2$4 || (templateObject_2$4 = __makeTemplateObject(["\n    color: ", ";\n    pointer-events: none;\n  "], ["\n    color: ", ";\n    pointer-events: none;\n  "])), theme.systemColor.disabled),
};
var fontSizes = {
    medium: css(templateObject_3$2 || (templateObject_3$2 = __makeTemplateObject(["\n    font-size: ", ";\n  "], ["\n    font-size: ", ";\n  "])), theme.fontSize[14]),
    large: css(templateObject_4$2 || (templateObject_4$2 = __makeTemplateObject(["\n    font-size: ", ";\n  "], ["\n    font-size: ", ";\n  "])), theme.fontSize[16]),
};
var mouldStyle = {
    standalone: css(templateObject_5$2 || (templateObject_5$2 = __makeTemplateObject(["\n    display: block;\n    text-decoration-line: none;\n  "], ["\n    display: block;\n    text-decoration-line: none;\n  "]))),
    inline: css(templateObject_6$2 || (templateObject_6$2 = __makeTemplateObject(["\n    text-decoration-line: underline;\n  "], ["\n    text-decoration-line: underline;\n  "]))),
};
var templateObject_1$4, templateObject_2$4, templateObject_3$2, templateObject_4$2, templateObject_5$2, templateObject_6$2;

function Modal(_a) {
    var visible = _a.visible, title = _a.title, onCancel = _a.onCancel, _b = _a.onClickOverlay, onClickOverlay = _b === void 0 ? function () { } : _b, _c = _a.overlayColor, overlayColor = _c === void 0 ? "".concat(theme.systemColor.overlay) : _c, children = _a.children, _d = _a.actionType, actionType = _d === void 0 ? 'single' : _d, secondaryBtnLabel = _a.secondaryBtnLabel, secondaryBtnFunction = _a.secondaryBtnFunction, primaryBtnFunction = _a.primaryBtnFunction, primaryBtnLabel = _a.primaryBtnLabel, footer = _a.footer, actionLink = _a.actionLink, actionLinkLabel = _a.actionLinkLabel, _e = _a.size, size = _e === void 0 ? 'small' : _e, width = _a.width, _f = _a.top, top = _f === void 0 ? '11.25rem' : _f, _g = _a.left, left = _g === void 0 ? '50%' : _g, _h = _a.center, center = _h === void 0 ? false : _h, _j = _a.draggable, draggable = _j === void 0 ? false : _j, maxHeight = _a.maxHeight, _k = _a.isBackgroundActive, isBackgroundActive = _k === void 0 ? false : _k, _l = _a.isCloseIconVisible, isCloseIconVisible = _l === void 0 ? true : _l;
    var nodeRef = useRef();
    var _m = useState(0), windowScrollY = _m[0], setWindowScrollY = _m[1];
    useOverlayclick(nodeRef, onClickOverlay);
    console.log("!!@#!dgsdsdsadfasdfsdfg!");
    useEffect(function () {
        if (visible && !isBackgroundActive)
            document.body.style.overflow = 'hidden';
        setWindowScrollY(window.scrollY);
        return function () {
            document.body.style.overflow = '';
        };
    }, [visible, isBackgroundActive]);
    if (!visible)
        return null;
    var containerTop;
    if (center && !isBackgroundActive) {
        containerTop = '50%';
    }
    else if (center && isBackgroundActive) {
        containerTop = "calc(".concat(windowScrollY, "px + 50%)");
    }
    else if (!center && !isBackgroundActive) {
        containerTop = top;
    }
    else {
        containerTop = "calc(".concat(windowScrollY, "px + ").concat(top, ")");
    }
    var containerCss = [
        containerSt,
        { width: width ? width : sizes[size] },
        { top: containerTop },
        { left: center ? '50%' : left },
        { cursor: draggable ? 'move' : 'default' },
        { maxHeight: maxHeight },
    ];
    var overlayCss = [
        overlaySt(isBackgroundActive, overlayColor),
        { top: "".concat(window.scrollY, "px") },
    ];
    var draggablePositionOffset;
    if (center) {
        draggablePositionOffset = { x: '-50%', y: "-50%" };
    }
    else if (left === '50%') {
        draggablePositionOffset = { x: '-50%', y: "0%" };
    }
    else {
        draggablePositionOffset = { x: '0%', y: "0%" };
    }
    var actionComponents = {
        none: null,
        single: [
            jsx(Button, __assign({ onClick: primaryBtnFunction, mould: "primary", size: "large", width: "100%" }, { children: primaryBtnLabel }), "first-btn"),
        ],
        double: [
            jsx(Button, __assign({ onClick: secondaryBtnFunction, mould: "secondary", size: "large", width: "100%" }, { children: secondaryBtnLabel }), "first-btn"),
            jsx(Button, __assign({ onClick: primaryBtnFunction, mould: "primary", size: "large", width: "100%" }, { children: primaryBtnLabel }), "second-btn"),
        ],
        triple: [
            jsx("div", __assign({ css: linkContainerSt }, { children: jsx(Link, __assign({ href: actionLink }, { children: actionLinkLabel })) }), "first-link"),
            jsx(Button, __assign({ onClick: secondaryBtnFunction, mould: "secondary", size: "large", width: "100%" }, { children: secondaryBtnLabel }), "first-btn"),
            jsx(Button, __assign({ onClick: primaryBtnFunction, mould: "primary", size: "large", width: "100%" }, { children: primaryBtnLabel }), "second-btn"),
        ],
    };
    return (jsx("div", __assign({ css: overlayCss }, { children: jsx(cjs.exports, __assign({ nodeRef: nodeRef, disabled: !draggable, positionOffset: draggablePositionOffset }, { children: jsxs("div", __assign({ css: containerCss, ref: nodeRef }, { children: [jsxs("div", __assign({ css: headerContainerSt(title, isCloseIconVisible) }, { children: [jsx("div", __assign({ css: titleContainerSt(isCloseIconVisible) }, { children: title })), isCloseIconVisible && (jsx(SvgNavigationClose, { onClick: onCancel, css: closeIconSt, fill: palette.blue[700], width: "24", height: "24" }))] })), jsx("div", __assign({ css: bodyContainerSt({ actionType: actionType }, isCloseIconVisible, title) }, { children: children })), jsx("div", __assign({ css: actionsContainerSt }, { children: footer ? footer : actionComponents[actionType] }))] })) })) })));
}
var overlaySt = function (isBackgroundVisible, overlayColor) { return css(templateObject_1$3 || (templateObject_1$3 = __makeTemplateObject(["\n  display: ", ";\n  position: absolute;\n  left: 0rem;\n  right: 0rem;\n\n  height: 100%;\n\n  background: ", ";\n\n  z-index: 9999;\n"], ["\n  display: ", ";\n  position: absolute;\n  left: 0rem;\n  right: 0rem;\n\n  height: 100%;\n\n  background: ", ";\n\n  z-index: 9999;\n"])), isBackgroundVisible && 'contents', overlayColor); };
var containerSt = css(templateObject_2$3 || (templateObject_2$3 = __makeTemplateObject(["\n  position: absolute;\n  left: 50%;\n\n  display: flow-root;\n  flex-direction: column;\n  justify-content: center;\n  align-items: flex-start;\n\n  margin-right: -50%;\n  padding: 1.5rem 2rem;\n  z-index: 10000;\n\n  border: 1px solid ", ";\n  background: ", ";\n  box-shadow: 0px 8px 8px rgba(0, 0, 0, 0.24);\n  border-radius: 8px;\n"], ["\n  position: absolute;\n  left: 50%;\n\n  display: flow-root;\n  flex-direction: column;\n  justify-content: center;\n  align-items: flex-start;\n\n  margin-right: -50%;\n  padding: 1.5rem 2rem;\n  z-index: 10000;\n\n  border: 1px solid ", ";\n  background: ", ";\n  box-shadow: 0px 8px 8px rgba(0, 0, 0, 0.24);\n  border-radius: 8px;\n"])), palette.gray[300], palette.gray[50]);
var headerContainerSt = function (title, isCloseIconVisible) { return css(templateObject_3$1 || (templateObject_3$1 = __makeTemplateObject(["\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n\n  width: 100%;\n  min-height: ", ";\n  padding-bottom: ", ";\n  border-bottom: ", ";\n\n  font-weight: ", ";\n  font-size: ", ";\n  line-height: 160%;\n  color: ", ";\n"], ["\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n\n  width: 100%;\n  min-height: ", ";\n  padding-bottom: ", ";\n  border-bottom: ", ";\n\n  font-weight: ", ";\n  font-size: ", ";\n  line-height: 160%;\n  color: ", ";\n"])), title && isCloseIconVisible
    ? '3rem'
    : !title && isCloseIconVisible
        ? '2rem'
        : '', title && '1rem', title && "1px solid ".concat(palette.gray[300]), theme.fontWeight.medium, theme.fontSize[18], palette.gray[900]); };
var titleContainerSt = function (isCloseIconVisible) { return css(templateObject_4$1 || (templateObject_4$1 = __makeTemplateObject(["\n  width: ", ";\n  word-break: break-all;\n"], ["\n  width: ", ";\n  word-break: break-all;\n"])), isCloseIconVisible ? 'calc(100% - 1.5rem)' : "100%"); };
var closeIconSt = css(templateObject_5$1 || (templateObject_5$1 = __makeTemplateObject(["\n  cursor: pointer;\n"], ["\n  cursor: pointer;\n"])));
var bodyContainerSt = function (_a, isCloseIconVisible, title) {
    var actionType = _a.actionType;
    return css(templateObject_6$1 || (templateObject_6$1 = __makeTemplateObject(["\n  margin-top: ", ";\n  margin-bottom: ", ";\n  height: fit-content;\n"], ["\n  margin-top: ", ";\n  margin-bottom: ", ";\n  height: fit-content;\n"])), (isCloseIconVisible || title) && '1rem', actionType !== 'none' && '2.5rem');
};
var actionsContainerSt = css(templateObject_7$1 || (templateObject_7$1 = __makeTemplateObject(["\n  display: flex;\n  justify-content: flex-end;\n  align-items: center;\n  gap: 0.5rem;\n\n  width: 100%;\n"], ["\n  display: flex;\n  justify-content: flex-end;\n  align-items: center;\n  gap: 0.5rem;\n\n  width: 100%;\n"])));
var linkContainerSt = css(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  width: 100%;\n  min-width: 5rem;\n\n  word-break: break-all;\n"], ["\n  width: 100%;\n  min-width: 5rem;\n\n  word-break: break-all;\n"])));
var sizes = {
    large: "",
    medium: "\n    35rem;\n  ",
    small: "\n    25rem;\n  ",
    XSmall: "",
};
var templateObject_1$3, templateObject_2$3, templateObject_3$1, templateObject_4$1, templateObject_5$1, templateObject_6$1, templateObject_7$1, templateObject_8;

var COUNT = 5;
function PaginationBasic(_a) {
    var _b = _a.totalPages, totalPages = _b === void 0 ? 0 : _b, selectedPage = _a.selectedPage, onClickSelectPage = _a.onClickSelectPage, _c = _a.backgroundColor, backgroundColor = _c === void 0 ? palette.gray[50] : _c, onClickPrev = _a.onClickPrev, onClickNext = _a.onClickNext;
    var pageCount = totalPages <= COUNT ? totalPages - 2 : COUNT;
    var isTotalPageTippingPoint = totalPages === 6;
    var renderPageButtons = function () {
        if (selectedPage <= COUNT)
            return (jsx(React__default.Fragment, { children: pageCount > 0 && (jsxs("div", __assign({ css: pageButtonsSt }, { children: [new Array(pageCount).fill('').map(function (_, i) {
                            var page = i + 2;
                            return (jsx(Button, __assign({ mould: page === selectedPage ? 'secondary' : 'tertiary', size: "small", width: "fit-content", onClick: function (e) { return onClickSelectPage(e, page); } }, { children: page }), page));
                        }), totalPages > COUNT && !isTotalPageTippingPoint && (jsx(SvgNavigationMoreHorizontal, { fill: palette.gray[600] }))] }))) }));
        else if (selectedPage > totalPages - COUNT)
            return (jsxs("div", __assign({ css: pageButtonsSt }, { children: [!isTotalPageTippingPoint && (jsx(SvgNavigationMoreHorizontal, { fill: palette.gray[600] })), new Array(COUNT).fill('').map(function (_, i) {
                        var page = totalPages - COUNT + i;
                        if (totalPages === 6)
                            page++;
                        return (page <= totalPages && (jsx(Button, __assign({ mould: page === selectedPage ? 'secondary' : 'tertiary', size: "small", width: "fit-content", onClick: function (e) { return onClickSelectPage(e, page); } }, { children: page }), page)));
                    })] })));
        else
            return (jsxs("div", __assign({ css: pageButtonsSt }, { children: [jsx(SvgNavigationMoreHorizontal, { fill: palette.gray[600] }), new Array(COUNT).fill('').map(function (_, i) {
                        var page = selectedPage - 2 + i;
                        return (page < totalPages && (jsx(Button, __assign({ mould: page === selectedPage ? 'secondary' : 'tertiary', size: "small", width: "fit-content", onClick: function (e) { return onClickSelectPage(e, page); } }, { children: page }), page)));
                    }), jsx(SvgNavigationMoreHorizontal, { fill: palette.gray[600] })] })));
    };
    return (jsx("div", __assign({ css: pagenationSt(backgroundColor) }, { children: jsxs("div", __assign({ css: pageButtonsSt }, { children: [jsx(Button, { mould: "icon", size: "XSmall", icon: jsx(SvgNavigationChevronLeft, { fill: palette.blue[700] }), disabled: selectedPage === 1, onClick: onClickPrev }), jsx(Button, __assign({ mould: selectedPage === 1 ? 'secondary' : 'tertiary', size: "small", width: "fit-content", onClick: function (e) { return onClickSelectPage(e, 1); } }, { children: "1" })), renderPageButtons(), pageCount >= 0 && !isTotalPageTippingPoint && (jsx(Button, __assign({ mould: selectedPage === totalPages ? 'secondary' : 'tertiary', size: "small", width: "fit-content", onClick: function (e) { return onClickSelectPage(e, totalPages); } }, { children: totalPages }))), jsx(Button, { mould: "icon", size: "XSmall", icon: jsx(SvgNavigationChevronRight, { fill: palette.blue[700] }), disabled: selectedPage === totalPages, onClick: onClickNext })] })) })));
}
var pagenationSt = function (backgroundColor) { return css(templateObject_1$2 || (templateObject_1$2 = __makeTemplateObject(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  gap: 5.75rem;\n  width: 100%;\n  height: 3rem;\n  padding: 0 0.5rem;\n  background-color: ", ";\n\n  button {\n    padding: 8px 12px;\n  }\n"], ["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  gap: 5.75rem;\n  width: 100%;\n  height: 3rem;\n  padding: 0 0.5rem;\n  background-color: ", ";\n\n  button {\n    padding: 8px 12px;\n  }\n"])), backgroundColor); };
var pageButtonsSt = css(templateObject_2$2 || (templateObject_2$2 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  gap: 0.5rem;\n  height: 3rem;\n"], ["\n  display: flex;\n  align-items: center;\n  gap: 0.5rem;\n  height: 3rem;\n"])));
var templateObject_1$2, templateObject_2$2;

function PaginationDots(_a) {
    var dotsData = _a.dotsData, _b = _a.backgroundColor, backgroundColor = _b === void 0 ? palette.gray[50] : _b, onClickDot = _a.onClickDot;
    return (jsx("div", __assign({ css: paginationDotsCss(backgroundColor) }, { children: dotsData.map(function (dot) { return (jsx("button", { css: dotCss(dot.selected), value: dot.id, onClick: onClickDot }, dot.id)); }) })));
}
var paginationDotsCss = function (backgroundColor) { return css(templateObject_1$1 || (templateObject_1$1 = __makeTemplateObject(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  gap: 1rem;\n  width: 100%;\n  height: 3rem;\n  padding: 0 0.5rem;\n  background-color: ", ";\n"], ["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  gap: 1rem;\n  width: 100%;\n  height: 3rem;\n  padding: 0 0.5rem;\n  background-color: ", ";\n"])), backgroundColor); };
var dotCss = function (isActive) { return css(templateObject_2$1 || (templateObject_2$1 = __makeTemplateObject(["\n  width: 0.5rem;\n  height: 0.5rem;\n  padding: 0;\n  background-color: ", ";\n  border: none;\n  border-radius: 50%;\n  cursor: pointer;\n"], ["\n  width: 0.5rem;\n  height: 0.5rem;\n  padding: 0;\n  background-color: ", ";\n  border: none;\n  border-radius: 50%;\n  cursor: pointer;\n"])), isActive ? palette.blue[700] : palette.gray[300]); };
var templateObject_1$1, templateObject_2$1;

var makeDropdownMenuOption = function (totalPage) {
    var optionMenu = [];
    for (var i = 1; i < totalPage + 1; i++)
        optionMenu.push({ id: i, name: i + '', value: i });
    return optionMenu;
};
function PaginationDataTable(_a) {
    var totalPage = _a.totalPage, selectedPage = _a.selectedPage, itemPerPageMenu = _a.itemPerPageMenu, _b = _a.backgroundColor, backgroundColor = _b === void 0 ? palette.gray[50] : _b, selectedItemPerPage = _a.selectedItemPerPage, onChangeItemPerPage = _a.onChangeItemPerPage, onChangeSelectPage = _a.onChangeSelectPage, onClickPrev = _a.onClickPrev, onClickNext = _a.onClickNext;
    return (jsxs("div", __assign({ css: paginationDataTableSt(backgroundColor) }, { children: [jsxs("div", __assign({ css: leftSideSt }, { children: [jsx("div", { children: "Item per page : " }), jsx("div", __assign({ css: itemPerPageDropdownWrapperSt }, { children: jsx(Dropdown, { menu: itemPerPageMenu, selectedValue: selectedItemPerPage, size: "small", width: "4rem", useDoneIcon: false, onChange: onChangeItemPerPage }) }))] })), jsxs("div", __assign({ css: rightSideSt }, { children: [jsxs("div", __assign({ css: totalPageWrapperSt }, { children: [jsx("div", __assign({ css: pageSelectDropdownWrapperSt }, { children: jsx(Dropdown, { menu: makeDropdownMenuOption(totalPage), selectedValue: selectedPage, size: "small", width: "4rem", useDoneIcon: false, onChange: onChangeSelectPage }) })), jsxs("div", { children: ["/ ", totalPage, " Pages"] })] })), jsxs("div", __assign({ css: buttonWrapperSt }, { children: [jsx(Button, { mould: "icon", size: "XSmall", icon: jsx(SvgNavigationChevronLeft, { fill: palette.blue[700] }), width: "32px", disabled: selectedPage === 1, onClick: onClickPrev }), jsx(Button, { mould: "icon", size: "XSmall", icon: jsx(SvgNavigationChevronRight, { fill: palette.blue[700] }), width: "32px", disabled: selectedPage === totalPage, onClick: onClickNext })] }))] }))] })));
}
var paginationDataTableSt = function (backgroundColor) { return css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  width: 100%;\n  height: 3rem;\n  background-color: ", ";\n"], ["\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  width: 100%;\n  height: 3rem;\n  background-color: ", ";\n"])), backgroundColor); };
var leftSideSt = css(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  height: 100%;\n  padding: 0 0.5rem;\n  border-right: 1px solid ", ";\n"], ["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  height: 100%;\n  padding: 0 0.5rem;\n  border-right: 1px solid ", ";\n"])), palette.gray[200]);
var rightSideSt = css(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: row;\n  justify-content: center;\n  align-items: center;\n  height: 100%;\n"], ["\n  display: flex;\n  flex-direction: row;\n  justify-content: center;\n  align-items: center;\n  height: 100%;\n"])));
var itemPerPageDropdownWrapperSt = css(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  padding-left: 0.5rem;\n"], ["\n  padding-left: 0.5rem;\n"])));
var totalPageWrapperSt = css(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  padding: 0 0.5rem;\n"], ["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  padding: 0 0.5rem;\n"])));
var pageSelectDropdownWrapperSt = css(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  padding-right: 0.5rem;\n"], ["\n  padding-right: 0.5rem;\n"])));
var buttonWrapperSt = css(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  width: 5rem;\n  height: 100%;\n  padding: 0 0.5rem;\n  border-left: 1px solid ", ";\n"], ["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  width: 5rem;\n  height: 100%;\n  padding: 0 0.5rem;\n  border-left: 1px solid ", ";\n"])), palette.gray[200]);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7;

export { SvgContentAccount as AccountIcon, SvgFunctionAdd as AddIcon, SvgNavigationArrowDown as ArrowDownIcon, SvgNavigationArrowUp as ArrowUpIcon, Button, SvgContentCalendar as CalendarIcon, CheckBox, SvgNavigationChevronDown as ChevronDownIcon, SvgNavigationChevronLeft as ChevronLeftIcon, SvgNavigationChevronRight as ChevronRightIcon, SvgNavigationClose as CloseIcon, SvgFunctionDashboard as DashboardIcon, SvgStatusDecrease as DecreaseIcon, SvgContentDocument as DocumentIcon, SvgStatusDone as DoneIcon, SvgNavigationDoubleChevronLeft as DoubleChevronLeftIcon, SvgNavigationDoubleChevronRight as DoubleChevronRightIcon, Dropdown, SvgFunctionEdit as EditIcon, SvgFunctionFileDownload as FileDownloadIcon, SvgContentHelp as HelpIcon, SvgStatusIncrease as IncreaseIcon, SvgStatusIndeterminate as IndeterminateIcon, SvgContentInfo as InfoIcon, SvgContentInvite as InviteIcon, Link, SvgNavigationLogout as LogoutIcon, SvgNavigationMenu as MenuIcon, Modal, SvgFunctionMonitoring as MonitoringIcon, SvgNavigationMoreHorizontal as MoreHorizontalIcon, SvgNavigationMoreVertical as MoreVerticalIcon, SvgNavigationNewWindow as NewWindowIcon, SvgStatusNoChange as NoChangeIcon, SvgContentNotifications as NotificationsIcon, SvgContentNumbersWaiting as NumbersWaitingIcon, PaginationBasic, PaginationDataTable, PaginationDots, SvgContentProcessTime as ProcessTimeIcon, SvgFunctionProject as ProjectIcon, RadioGroup, SvgFunctionRefresh as RefreshIcon, SvgFunctionSettings as SettingsIcon, SvgFunctionTableChart as TableChartIcon, TextInput, SvgContentTotalInflow as TotalInFlowIcon, SvgContentWaitTime as WaitTimeIcon, SvgStatusWarning as WarningIcon, useOverlayclick };
//# sourceMappingURL=index.js.map
